Last Comment Bug 845190 - Intermittent test_645970.js,test_logging.js,test_startup_session_sync.js,test_startup_nosession_sync.js | application crashed [@ mozalloc_abort(char const*)] from ASSERTION: thread pool wasn't shutdown
: Intermittent test_645970.js,test_logging.js,test_startup_session_sync.js,test...
Status: RESOLVED FIXED
: assertion, crash, intermittent-failure
Product: Core
Classification: Components
Component: DOM: Workers (show other bugs)
: Trunk
: x86 All
-- critical (vote)
: mozilla27
Assigned To: David Teller [:Yoric] (please use "needinfo")
:
: Andrew Overholt [:overholt]
Mentors:
Depends on: 908015 862570 888347 910827
Blocks: 853301 860965
  Show dependency treegraph
 
Reported: 2013-02-25 22:01 PST by Phil Ringnalda (:philor)
Modified: 2013-11-06 14:52 PST (History)
23 users (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
wontfix
fixed
wontfix


Attachments
Made test_logging.js correctly ignore messages it wants to ignore (1.32 KB, patch)
2013-04-11 23:59 PDT, Norbert Lindenberg
dteller: review+
Details | Diff | Splinter Review
Unregistering the shutdown observer after the first "web-workers-shutdown" (2.69 KB, patch)
2013-04-16 02:00 PDT, David Teller [:Yoric] (please use "needinfo")
nfroyd: review+
yzenevich: feedback+
Details | Diff | Splinter Review
Unregistering the shutdown observer after the first "web-workers-shutdown", v2 (2.62 KB, patch)
2013-04-17 05:34 PDT, David Teller [:Yoric] (please use "needinfo")
no flags Details | Diff | Splinter Review
Better handling of attempts to initialize the OS.File worker thread during shutdown. (3.84 KB, patch)
2013-05-13 07:22 PDT, David Teller [:Yoric] (please use "needinfo")
no flags Details | Diff | Splinter Review
Better handling of attempts to initialize the OS.File worker thread during shutdown, v2 (3.35 KB, patch)
2013-05-13 13:03 PDT, David Teller [:Yoric] (please use "needinfo")
cbiesinger: review+
Details | Diff | Splinter Review
Wallpaper patch (4.11 KB, patch)
2013-06-01 00:20 PDT, David Teller [:Yoric] (please use "needinfo")
no flags Details | Diff | Splinter Review
Preventing nsStreamTransportService from re-initializing (2.09 KB, patch)
2013-06-02 05:41 PDT, David Teller [:Yoric] (please use "needinfo")
no flags Details | Diff | Splinter Review
Preventing nsStreamTransportService from re-initializing, v2 (2.23 KB, patch)
2013-06-02 07:12 PDT, David Teller [:Yoric] (please use "needinfo")
bent.mozilla: feedback-
Details | Diff | Splinter Review
Preventing nsStreamTransportService from re-initializing, v3 (2.36 KB, patch)
2013-06-02 10:43 PDT, David Teller [:Yoric] (please use "needinfo")
no flags Details | Diff | Splinter Review
Preventing nsStreamTransportService from re-initializing, v4 (2.36 KB, patch)
2013-06-02 14:07 PDT, David Teller [:Yoric] (please use "needinfo")
no flags Details | Diff | Splinter Review
Preventing nsStreamTransportService from re-initializing, v5 (2.36 KB, patch)
2013-06-03 02:54 PDT, David Teller [:Yoric] (please use "needinfo")
cbiesinger: review+
Details | Diff | Splinter Review
Re-enabling test suite. (1.34 KB, patch)
2013-06-10 13:52 PDT, David Teller [:Yoric] (please use "needinfo")
dteller: review+
Details | Diff | Splinter Review
2. Preventing nsStreamTransportService from re-initializing, v6 (1.53 KB, patch)
2013-06-26 12:36 PDT, David Teller [:Yoric] (please use "needinfo")
cbiesinger: review-
Details | Diff | Splinter Review
1. Exposing startup/shutdown data (7.91 KB, patch)
2013-06-26 12:40 PDT, David Teller [:Yoric] (please use "needinfo")
no flags Details | Diff | Splinter Review
2. Preventing nsStreamTransportService from re-initializing, v7 (7.03 KB, patch)
2013-06-26 17:47 PDT, David Teller [:Yoric] (please use "needinfo")
no flags Details | Diff | Splinter Review
2. Preventing nsStreamTransportService from re-initializing, v8 (1.58 KB, patch)
2013-06-27 12:36 PDT, David Teller [:Yoric] (please use "needinfo")
cbiesinger: review+
Details | Diff | Splinter Review
Re-enable all tests (2.06 KB, patch)
2013-09-24 04:42 PDT, David Teller [:Yoric] (please use "needinfo")
dteller: review+
Details | Diff | Splinter Review

Description User image Phil Ringnalda (:philor) 2013-02-25 22:01:39 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=20090551&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-02-25 20:36:43 PST for push 70814e7dbcb8
slave: tst-linux32-ec2-056

21:46:56     INFO -  TEST-PASS | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | [run_test : 23] [xpconnect wrapped nsISearchEngine @ 0x9e367e8 (native @ 0x9e365b8)] != null
21:46:56     INFO -  *** Search: SRCH_SVC_saveSortedEngineList: starting
21:46:56     INFO -  TEST-INFO | (xpcshell/head.js) | test 1 finished
21:46:56     INFO -  TEST-INFO | (xpcshell/head.js) | exiting test
21:46:56     INFO -  TEST-PASS | (xpcshell/head.js) | 1 (+ 1) check(s) passed
21:46:56     INFO -  TEST-INFO | (xpcshell/head.js) | 0 check(s) todo
21:46:56     INFO -  WARNING: nsExceptionService ignoring thread destruction after shutdown: file ../../../xpcom/base/nsExceptionService.cpp, line 167
21:46:56     INFO -  ###!!! ASSERTION: thread pool wasn't shutdown: '!mPool', file ../../../../netwerk/base/src/nsStreamTransportService.cpp, line 435
21:46:56     INFO -  UNKNOWN [/builds/slave/test/build/application/firefox/libxul.so +0x003425C9]
21:46:56     INFO -  UNKNOWN [/builds/slave/test/build/application/firefox/libxul.so +0x00342674]
21:46:56     INFO -  UNKNOWN [/builds/slave/test/build/application/firefox/libxul.so +0x003F948F]
21:46:56     INFO -  UNKNOWN [/builds/slave/test/build/application/firefox/libxul.so +0x015C46E6]
21:46:56     INFO -  UNKNOWN [/builds/slave/test/build/application/firefox/libxul.so +0x01608089]
21:46:56     INFO -  UNKNOWN [/builds/slave/test/build/application/firefox/libxul.so +0x016050B1]
21:46:56     INFO -  UNKNOWN [/builds/slave/test/build/application/firefox/libxul.so +0x015CA3AF]
21:46:56     INFO -  UNKNOWN [/builds/slave/test/build/application/firefox/libxul.so +0x01605B47]
21:46:56     INFO -  UNKNOWN [/builds/slave/test/build/application/firefox/libxul.so +0x01605BB4]
21:46:56     INFO -  UNKNOWN [/builds/slave/test/build/application/firefox/libxul.so +0x015CFB67]
21:46:56     INFO -  NS_ShutdownXPCOM+0x0000001A [/builds/slave/test/build/application/firefox/libxpcom.so +0x00001DD6]
21:46:56     INFO -  UNKNOWN [/builds/slave/test/build/application/firefox/xpcshell +0x00009388]
21:46:56     INFO -  ###!!! ASSERTION: thread pool wasn't shutdown: '!mPool', file ../../../../netwerk/base/src/nsStreamTransportService.cpp, line 435
21:46:56     INFO -  <<<<<<<
21:47:16     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
21:47:16     INFO -  Crash dump filename: /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/24d47b23-07e3-f49d-4b785bfa-18f81c59.dmp
21:47:16     INFO -  Operating system: Linux
21:47:16     INFO -                    0.0.0 Linux 3.2.0-23-generic-pae #36-Ubuntu SMP Tue Apr 10 22:19:09 UTC 2012 i686
21:47:16     INFO -  CPU: x86
21:47:16     INFO -       GenuineIntel family 6 model 26 stepping 5
21:47:16     INFO -       1 CPU
21:47:16     INFO -  Crash reason:  SIGSEGV
21:47:16     INFO -  Crash address: 0x0
21:47:16     INFO -  Thread 0 (crashed)
21:47:16     INFO -   0  libmozalloc.so!mozalloc_abort(char const*) [mozalloc_abort.cpp : 30 + 0x0]
21:47:16     INFO -      eip = 0xb7722f0d   esp = 0xbfa13ec0   ebp = 0xbfa13ed8   ebx = 0xb7724120
21:47:16     INFO -      esi = 0xb4868d9c   edi = 0xbfa13f08   eax = 0x0000000a   ecx = 0xffffffff
21:47:16     INFO -      edx = 0xb48698ac   efl = 0x00210282
21:47:16     INFO -      Found by: given as instruction pointer in context
21:47:16     INFO -   1  libxul.so!NS_DebugBreak_P [nsDebugImpl.cpp:70814e7dbcb8 : 422 + 0x5]
21:47:16     INFO -      eip = 0xb5ffd692   esp = 0xbfa13ee0   ebp = 0xbfa14318
21:47:16     INFO -      Found by: previous frame's frame pointer
21:47:16     INFO -   2  libxul.so!nsStreamTransportService::~nsStreamTransportService [nsStreamTransportService.cpp:70814e7dbcb8 : 435 + 0x23]
21:47:16     INFO -      eip = 0xb4d265c9   esp = 0xbfa14320   ebp = 0xbfa14348
21:47:16     INFO -      Found by: previous frame's frame pointer
21:47:16     INFO -   3  libxul.so!nsStreamTransportService::Release() [nsStreamTransportService.cpp:70814e7dbcb8 : 457 + 0x5]
21:47:16     INFO -      eip = 0xb4d26674   esp = 0xbfa14350   ebp = 0xbfa14378
21:47:16     INFO -      Found by: previous frame's frame pointer
21:47:16     INFO -   4  libxul.so!nsCOMPtr_base::assign_assuming_AddRef(nsISupports*) [nsCOMPtr.h:70814e7dbcb8 : 442 + 0x7]
21:47:16     INFO -      eip = 0xb4ddd48f   esp = 0xbfa14380   ebp = 0xbfa143a8
21:47:16     INFO -      Found by: previous frame's frame pointer
21:47:16     INFO -   5  libxul.so!nsCOMPtr_base::assign_with_AddRef(nsISupports*) [nsCOMPtr.cpp:70814e7dbcb8 : 49 + 0x8]
21:47:16     INFO -      eip = 0xb5fa86e6   esp = 0xbfa143b0   ebp = 0xbfa143c8
21:47:16     INFO -      Found by: previous frame's frame pointer
21:47:16     INFO -   6  libxul.so!FreeFactoryEntries [nsCOMPtr.h:70814e7dbcb8 : 947 + 0x9]
21:47:16     INFO -      eip = 0xb5fec089   esp = 0xbfa143d0   ebp = 0xbfa143e8
21:47:16     INFO -      Found by: previous frame's frame pointer
21:47:16     INFO -   7  libxul.so!nsBaseHashtable<nsIDHashKey, nsFactoryEntry*, nsFactoryEntry*>::s_EnumReadStub(PLDHashTable*, PLDHashEntryHdr*, unsigned int, void*) [nsBaseHashtable.h:70814e7dbcb8 : 400 + 0x2]
21:47:16     INFO -      eip = 0xb5fe90b1   esp = 0xbfa143f0   ebp = 0xbfa14408
21:47:16     INFO -      Found by: previous frame's frame pointer
21:47:16     INFO -   8  libxul.so!PL_DHashTableEnumerate [pldhash.cpp:70814e7dbcb8 : 717 + 0x11]
21:47:16     INFO -      eip = 0xb5fae3af   esp = 0xbfa14410   ebp = 0xbfa14458
21:47:16     INFO -      Found by: previous frame's frame pointer
Comment 1 User image Treeherder Robot 2013-03-04 14:05:22 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20310864&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-04 12:52:16
slave: tst-linux64-ec2-014

13:52:49  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
13:53:03     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
13:54:50    ERROR - Return code: 1
Comment 2 User image Treeherder Robot 2013-03-08 17:31:11 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20477166&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-08 15:51:49
slave: tst-linux32-ec2-016

16:49:12  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
16:49:33     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
16:51:21    ERROR - Return code: 1
Comment 3 User image Treeherder Robot 2013-03-08 17:33:41 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20476631&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-08 15:30:11
slave: tst-linux32-ec2-026

16:23:49  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
16:24:08     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
16:25:46    ERROR - Return code: 1
Comment 4 User image Treeherder Robot 2013-03-08 18:28:55 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20478496&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-08 17:34:36
slave: tst-linux32-ec2-063

18:21:33  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
18:21:52     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
18:23:22    ERROR - Return code: 1
Comment 5 User image Treeherder Robot 2013-03-09 09:24:36 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20490766&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-09 08:26:24
slave: tst-linux32-ec2-360

09:12:51  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
09:13:09     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
09:14:37    ERROR - Return code: 1
Comment 6 User image Treeherder Robot 2013-03-09 20:15:06 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20498708&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-09 19:16:22
slave: tst-linux32-ec2-339

20:05:50  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
20:06:09     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
20:07:45    ERROR - Return code: 1
Comment 7 User image Treeherder Robot 2013-03-10 03:42:36 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=20501486&tree=Firefox
Ubuntu 12.04 mozilla-central debug test xpcshell on 2013-03-10 01:16:47
slave: tst-linux32-ec2-326

03:06:53  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
03:07:12     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
03:08:49    ERROR - Return code: 1
Comment 8 User image Treeherder Robot 2013-03-10 14:09:10 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20507053&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-10 13:06:49
slave: tst-linux32-ec2-010

13:55:49  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
13:56:08     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
13:57:47    ERROR - Return code: 1
Comment 9 User image Treeherder Robot 2013-03-10 16:17:46 PDT
seth
https://tbpl.mozilla.org/php/getParsedLog.php?id=20509110&tree=Try
Ubuntu 12.04 try debug test xpcshell on 2013-03-10 15:16:25
slave: tst-linux32-ec2-067

16:03:23  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
16:03:41     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
16:05:11    ERROR - Return code: 1
Comment 10 User image Treeherder Robot 2013-03-10 17:36:51 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20510546&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-10 16:29:27
slave: tst-linux32-ec2-326

17:18:10  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
17:18:29     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
17:20:07    ERROR - Return code: 1
Comment 11 User image Treeherder Robot 2013-03-10 18:28:17 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20511229&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-10 17:33:41
slave: tst-linux32-ec2-344

18:18:57  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
18:19:15     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
18:20:44    ERROR - Return code: 1
Comment 12 User image Treeherder Robot 2013-03-10 20:21:51 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20511952&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-10 19:27:03
slave: tst-linux32-ec2-021

20:14:02  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
20:14:20     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
20:15:48    ERROR - Return code: 1
Comment 13 User image Treeherder Robot 2013-03-10 21:18:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20513070&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-10 20:16:44
slave: tst-linux32-ec2-067

21:11:03  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
21:11:24     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
21:13:08    ERROR - Return code: 1
Comment 14 User image Treeherder Robot 2013-03-11 06:57:09 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20518688&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 02:01:25
slave: tst-linux32-ec2-357

02:47:40  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
02:47:59     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
02:49:27    ERROR - Return code: 1
Comment 15 User image Treeherder Robot 2013-03-11 06:58:24 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20520732&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 05:05:10
slave: tst-linux32-ec2-029

05:55:19  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
05:55:38     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
05:57:14    ERROR - Return code: 1
Comment 16 User image Treeherder Robot 2013-03-11 06:59:56 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20521210&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 05:40:05
slave: tst-linux32-ec2-344

06:29:02  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
06:29:21     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
06:30:57    ERROR - Return code: 1
Comment 17 User image Treeherder Robot 2013-03-11 08:27:38 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=20522437&tree=Fx-Team
Ubuntu 12.04 fx-team debug test xpcshell on 2013-03-11 07:03:08
slave: tst-linux32-ec2-006

07:49:33  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
07:49:51     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
07:51:20    ERROR - Return code: 1
Comment 18 User image Treeherder Robot 2013-03-11 08:39:29 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20523228&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 07:42:51
slave: tst-linux32-ec2-344

08:31:32  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
08:31:51     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
08:33:29    ERROR - Return code: 1
Comment 19 User image Treeherder Robot 2013-03-11 08:48:08 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20523387&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 07:45:46
slave: tst-linux32-ec2-323

08:36:29  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
08:36:48     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
08:38:25    ERROR - Return code: 1
Comment 20 User image Treeherder Robot 2013-03-11 12:43:01 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20531015&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 11:16:27
slave: tst-linux32-ec2-057

12:33:02  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
12:33:23     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
12:35:06    ERROR - Return code: 1
Comment 21 User image Treeherder Robot 2013-03-11 12:56:37 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20531387&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 11:36:29
slave: tst-linux32-ec2-027

12:40:29  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
12:40:49     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
12:42:31    ERROR - Return code: 1
Comment 22 User image Treeherder Robot 2013-03-11 16:56:58 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20541611&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 15:58:46
slave: tst-linux32-ec2-045

16:46:37  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
16:46:55     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
16:48:24    ERROR - Return code: 1
Comment 23 User image Treeherder Robot 2013-03-11 17:29:09 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20542694&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 16:20:19
slave: tst-linux32-ec2-006

17:16:20  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
17:16:41     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
17:18:23    ERROR - Return code: 1
Comment 24 User image Treeherder Robot 2013-03-11 18:21:44 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20543935&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 17:00:18
slave: tst-linux32-ec2-336

17:47:00  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
17:47:19     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
17:48:47    ERROR - Return code: 1
Comment 25 User image Treeherder Robot 2013-03-11 18:33:47 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20544977&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 17:33:14
slave: tst-linux32-ec2-010

18:22:59  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
18:23:18     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
18:24:56    ERROR - Return code: 1
Comment 26 User image Treeherder Robot 2013-03-11 19:11:28 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20546598&tree=Firefox
Ubuntu 12.04 mozilla-central debug test xpcshell on 2013-03-11 18:15:51
slave: tst-linux32-ec2-361

19:06:22  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
19:06:41     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
19:08:20    ERROR - Return code: 1
Comment 27 User image Treeherder Robot 2013-03-11 19:17:13 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20546788&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 18:24:01
slave: tst-linux32-ec2-043

19:11:17  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
19:11:36     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
19:13:12    ERROR - Return code: 1
Comment 28 User image Treeherder Robot 2013-03-11 19:41:13 PDT
seth
https://tbpl.mozilla.org/php/getParsedLog.php?id=20547245&tree=Try
Ubuntu 12.04 try debug test xpcshell on 2013-03-11 18:39:15
slave: tst-linux32-ec2-327

19:24:02  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
19:24:20     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
19:25:49    ERROR - Return code: 1
Comment 29 User image Treeherder Robot 2013-03-11 20:09:45 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20548482&tree=Firefox
Ubuntu 12.04 mozilla-central debug test xpcshell on 2013-03-11 19:11:46
slave: tst-linux32-ec2-056

20:00:02  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
20:00:21     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
20:01:51    ERROR - Return code: 1
Comment 30 User image Treeherder Robot 2013-03-11 20:32:46 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20549348&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 19:34:03
slave: tst-linux32-ec2-342

20:24:38  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
20:24:57     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
20:26:36    ERROR - Return code: 1
Comment 31 User image Treeherder Robot 2013-03-11 21:03:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20550049&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 19:54:16
slave: tst-linux32-ec2-010

20:43:33  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
20:43:52     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
20:45:29    ERROR - Return code: 1
Comment 32 User image Treeherder Robot 2013-03-12 05:35:39 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20562331&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-12 04:43:41
slave: tst-linux32-ec2-332

05:29:36  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
05:29:54     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
05:31:23    ERROR - Return code: 1
Comment 33 User image Treeherder Robot 2013-03-12 05:48:50 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20562753&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-12 04:53:13
slave: tst-linux32-ec2-036

05:40:51  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
05:41:10     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
05:42:38    ERROR - Return code: 1
Comment 34 User image Treeherder Robot 2013-03-12 05:52:38 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20559285&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-12 03:16:30
slave: tst-linux32-ec2-347

04:05:36  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
04:05:55     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
04:07:31    ERROR - Return code: 1
Comment 35 User image Treeherder Robot 2013-03-12 05:54:08 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20556425&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-12 01:18:13
slave: tst-linux32-ec2-330

02:06:19  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
02:06:38     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
02:08:15    ERROR - Return code: 1
Comment 36 User image Treeherder Robot 2013-03-12 05:56:08 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20556643&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-12 01:31:47
slave: tst-linux32-ec2-042

02:18:30  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
02:18:48     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
02:20:17    ERROR - Return code: 1
Comment 37 User image Treeherder Robot 2013-03-12 05:58:30 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20554292&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-11 23:26:13
slave: tst-linux32-ec2-325

00:15:32  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
00:15:51     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
00:17:28    ERROR - Return code: 1
Comment 38 User image Treeherder Robot 2013-03-12 07:44:24 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20566083&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-12 06:49:36
slave: tst-linux32-ec2-013

07:36:17  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
07:36:36     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
07:38:06    ERROR - Return code: 1
Comment 39 User image Treeherder Robot 2013-03-12 10:00:42 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20570040&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-12 08:48:42
slave: tst-linux32-ec2-033

09:39:05  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
09:39:24     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
09:41:01    ERROR - Return code: 1
Comment 40 User image Treeherder Robot 2013-03-12 10:16:11 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20570767&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-12 09:12:06
slave: tst-linux32-ec2-038

10:01:12  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:01:30     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
10:03:06    ERROR - Return code: 1
Comment 41 User image Treeherder Robot 2013-03-12 12:17:14 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20574230&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-12 11:18:49
slave: tst-linux32-ec2-326

12:09:14  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
12:09:33     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
12:11:09    ERROR - Return code: 1
Comment 42 User image Treeherder Robot 2013-03-12 13:17:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20574605&tree=Fx-Team
Ubuntu 12.04 fx-team debug test xpcshell on 2013-03-12 11:33:51
slave: tst-linux32-ec2-335

12:23:33  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
12:23:52     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
12:25:27    ERROR - Return code: 1
Comment 43 User image Treeherder Robot 2013-03-12 14:26:23 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20577914&tree=Firefox
Ubuntu 12.04 mozilla-central debug test xpcshell on 2013-03-12 13:28:26
slave: tst-linux32-ec2-334

14:20:10  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
14:20:29     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
14:22:07    ERROR - Return code: 1
Comment 44 User image Treeherder Robot 2013-03-12 15:43:21 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20580518&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-12 14:43:25
slave: tst-linux32-ec2-388

15:31:31  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
15:31:49     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
15:33:20    ERROR - Return code: 1
Comment 45 User image Treeherder Robot 2013-03-12 16:10:10 PDT
honzab.moz%firemni.cz
https://tbpl.mozilla.org/php/getParsedLog.php?id=20548065&tree=Try
Ubuntu 12.04 try debug test xpcshell on 2013-03-11 18:59:58
slave: tst-linux32-ec2-019

19:46:45  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
19:47:03     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
19:48:32    ERROR - Return code: 1
Comment 46 User image Treeherder Robot 2013-03-12 16:23:41 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20582127&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-12 15:17:35
slave: tst-linux32-ec2-002

16:09:31  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
16:09:49     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
16:11:24    ERROR - Return code: 1
Comment 47 User image Treeherder Robot 2013-03-12 20:53:31 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20587751&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-12 19:52:49
slave: tst-linux32-ec2-024

20:43:39  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
20:43:58     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
20:45:33    ERROR - Return code: 1
Comment 48 User image Treeherder Robot 2013-03-12 20:56:11 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20579921&tree=Build-System
Ubuntu 12.04 x64 build-system debug test xpcshell on 2013-03-12 14:27:26
slave: tst-linux64-ec2-024

15:17:29  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
15:17:43     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
15:19:21    ERROR - Return code: 1
Comment 49 User image Treeherder Robot 2013-03-12 22:06:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20590030&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-12 21:05:52
slave: tst-linux32-ec2-328

21:57:35  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
21:57:54     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
21:59:28    ERROR - Return code: 1
Comment 50 User image Treeherder Robot 2013-03-12 22:07:44 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20590109&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-12 21:10:21
slave: tst-linux32-ec2-316

22:00:03  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
22:00:22     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
22:01:57    ERROR - Return code: 1
Comment 51 User image Treeherder Robot 2013-03-13 02:31:44 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20592101&tree=Fx-Team
Ubuntu 12.04 fx-team debug test xpcshell on 2013-03-12 22:15:25
slave: tst-linux32-ec2-058

23:05:01  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
23:05:20     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
23:06:56    ERROR - Return code: 1
Comment 52 User image Treeherder Robot 2013-03-13 02:41:01 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20594400&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 00:11:14
slave: tst-linux32-ec2-349

00:57:24  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
00:57:42     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
00:59:12    ERROR - Return code: 1
Comment 53 User image Treeherder Robot 2013-03-13 07:31:09 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20603469&tree=Fx-Team
Ubuntu 12.04 fx-team debug test xpcshell on 2013-03-13 06:31:38
slave: tst-linux32-ec2-388

07:20:15  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
07:20:34     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
07:22:09    ERROR - Return code: 1
Comment 54 User image Treeherder Robot 2013-03-13 07:32:15 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20603083&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 06:12:57
slave: tst-linux32-ec2-060

07:06:16  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
07:06:35     INFO -  mozcrash ERROR | PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
07:06:35     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
07:08:15    ERROR - Return code: 1
Comment 55 User image Treeherder Robot 2013-03-13 08:58:15 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20606098&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 07:55:26
slave: tst-linux32-ec2-041

08:46:08  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
08:46:27     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
08:48:04    ERROR - Return code: 1
Comment 56 User image Treeherder Robot 2013-03-13 09:02:40 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20606354&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 07:57:55
slave: tst-linux32-ec2-032

08:53:27  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
08:53:47     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
08:55:31    ERROR - Return code: 1
Comment 57 User image Treeherder Robot 2013-03-13 10:13:29 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20608944&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 09:06:38
slave: tst-linux32-ec2-038

10:02:38  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:02:57     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
10:04:33    ERROR - Return code: 1
Comment 58 User image Treeherder Robot 2013-03-13 10:45:10 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20610260&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 09:44:40
slave: tst-linux32-ec2-002

10:35:31  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:35:50     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
10:37:26    ERROR - Return code: 1
Comment 59 User image Treeherder Robot 2013-03-13 10:45:26 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20610280&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 09:46:37
slave: tst-linux32-ec2-361

10:36:21  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:36:40     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
10:38:15    ERROR - Return code: 1
Comment 60 User image Treeherder Robot 2013-03-13 11:18:55 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20611139&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 10:10:25
slave: tst-linux32-ec2-327

10:58:30  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:58:49     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
11:00:24    ERROR - Return code: 1
Comment 61 User image Treeherder Robot 2013-03-13 11:18:59 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20611058&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 10:07:24
slave: tst-linux32-ec2-036

10:56:34  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:56:53     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
10:58:29    ERROR - Return code: 1
Comment 62 User image Treeherder Robot 2013-03-13 11:32:49 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20611943&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 10:39:14
slave: tst-linux32-ec2-322

11:23:45  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
11:24:04     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
11:25:32    ERROR - Return code: 1
Comment 63 User image Treeherder Robot 2013-03-13 12:35:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20614346&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 11:37:38
slave: tst-linux32-ec2-043

12:31:33  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
12:31:52     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
12:33:30    ERROR - Return code: 1
Comment 64 User image Treeherder Robot 2013-03-13 12:39:55 PDT
paul
https://tbpl.mozilla.org/php/getParsedLog.php?id=20614110&tree=Fx-Team
Ubuntu 12.04 fx-team debug test xpcshell on 2013-03-13 11:29:42
slave: tst-linux32-ec2-057

12:25:15  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
12:25:36     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
12:27:19    ERROR - Return code: 1
Comment 65 User image Treeherder Robot 2013-03-13 14:10:10 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20618129&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 12:57:26
slave: tst-linux32-ec2-016

13:52:00  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
13:52:22     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
13:54:05    ERROR - Return code: 1
Comment 66 User image Treeherder Robot 2013-03-13 15:27:44 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20620668&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 14:01:28
slave: tst-linux32-ec2-044

14:50:19  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
14:50:37     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
14:52:06    ERROR - Return code: 1
Comment 67 User image Treeherder Robot 2013-03-13 16:14:40 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20622394&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 14:41:41
slave: tst-linux32-ec2-325

15:33:48  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
15:34:07     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
15:35:43    ERROR - Return code: 1
Comment 68 User image Treeherder Robot 2013-03-13 16:17:43 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20623977&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 15:17:15
slave: tst-linux32-ec2-334

16:11:01  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
16:11:20     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
16:13:00    ERROR - Return code: 1
Comment 69 User image Treeherder Robot 2013-03-13 16:18:27 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20623529&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 15:06:17
slave: tst-linux32-ec2-044

15:59:20  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
15:59:39     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
16:01:07    ERROR - Return code: 1
Comment 70 User image Treeherder Robot 2013-03-13 21:12:42 PDT
MattN
https://tbpl.mozilla.org/php/getParsedLog.php?id=20633568&tree=Firefox
Ubuntu 12.04 mozilla-central debug test xpcshell on 2013-03-13 20:11:17
slave: tst-linux32-ec2-024

21:00:19  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
21:00:38     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
21:02:14    ERROR - Return code: 1
Comment 71 User image Treeherder Robot 2013-03-13 22:16:29 PDT
MattN
https://tbpl.mozilla.org/php/getParsedLog.php?id=20635005&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 21:21:47
slave: tst-linux32-ec2-302

22:09:38  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
22:09:57     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
22:11:34    ERROR - Return code: 1
Comment 72 User image Treeherder Robot 2013-03-13 23:16:44 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20636029&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 21:59:52
slave: tst-linux32-ec2-345

22:48:52  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
22:49:11     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
22:50:48    ERROR - Return code: 1
Comment 73 User image Treeherder Robot 2013-03-13 23:18:59 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20636330&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 22:09:12
slave: tst-linux32-ec2-367

22:59:46  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
23:00:06     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
23:01:41    ERROR - Return code: 1
Comment 74 User image Treeherder Robot 2013-03-13 23:44:54 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20637233&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-13 22:45:17
slave: tst-linux32-ec2-024

23:34:00  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
23:34:19     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
23:35:56    ERROR - Return code: 1
Comment 75 User image Treeherder Robot 2013-03-14 06:45:14 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20645176&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 05:44:06
slave: tst-linux32-ec2-037

06:29:42  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
06:30:01     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
06:31:29    ERROR - Return code: 1
Comment 76 User image Treeherder Robot 2013-03-14 06:46:05 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20645251&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 05:35:37
slave: tst-linux32-ec2-384

06:25:07  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
06:25:26     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
06:27:02    ERROR - Return code: 1
Comment 77 User image Treeherder Robot 2013-03-14 07:48:13 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20646962&tree=Firefox
Ubuntu 12.04 mozilla-central debug test xpcshell on 2013-03-14 06:51:16
slave: tst-linux32-ec2-018

07:41:01  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
07:41:20     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
07:42:56    ERROR - Return code: 1
Comment 78 User image Treeherder Robot 2013-03-14 07:50:06 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20646905&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 06:49:30
slave: tst-linux32-ec2-358

07:39:21  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
07:39:40     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
07:41:16    ERROR - Return code: 1
Comment 79 User image Treeherder Robot 2013-03-14 08:26:59 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20647863&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 07:30:18
slave: tst-linux32-ec2-325

08:16:38  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
08:16:57     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
08:18:26    ERROR - Return code: 1
Comment 80 User image Treeherder Robot 2013-03-14 10:10:56 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20650441&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 09:15:28
slave: tst-linux32-ec2-064

10:05:22  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:05:41     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
10:07:16    ERROR - Return code: 1
Comment 81 User image Treeherder Robot 2013-03-14 10:11:05 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20650356&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 09:11:12
slave: tst-linux32-ec2-056

10:01:29  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:01:48     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
10:03:26    ERROR - Return code: 1
Comment 82 User image Treeherder Robot 2013-03-14 10:18:39 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20650475&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 09:17:05
slave: tst-linux32-ec2-050

10:06:59  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:07:18     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
10:08:57    ERROR - Return code: 1
Comment 83 User image Treeherder Robot 2013-03-14 10:21:11 PDT
jhammel
https://tbpl.mozilla.org/php/getParsedLog.php?id=20642325&tree=Try
Ubuntu 12.04 try debug test xpcshell on 2013-03-14 04:10:23
slave: tst-linux32-ec2-301

04:59:55  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
05:00:15     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
05:01:54    ERROR - Return code: 1
Comment 84 User image Treeherder Robot 2013-03-14 14:05:42 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20656903&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 13:05:46
slave: tst-linux32-ec2-302

13:54:09  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
13:54:29     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
13:56:06    ERROR - Return code: 1
Comment 85 User image Treeherder Robot 2013-03-14 14:26:55 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20657730&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 13:28:08
slave: tst-linux32-ec2-011

14:18:58  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
14:19:18     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
14:20:53    ERROR - Return code: 1
Comment 86 User image Treeherder Robot 2013-03-14 14:27:20 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20657730&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 13:28:08
slave: tst-linux32-ec2-011

14:18:58  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
14:19:18     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
14:20:53    ERROR - Return code: 1
Comment 87 User image Treeherder Robot 2013-03-14 14:27:50 PDT
rnewman
https://tbpl.mozilla.org/php/getParsedLog.php?id=20655724&tree=Services-Central
Ubuntu 12.04 services-central debug test xpcshell on 2013-03-14 12:31:00
slave: tst-linux32-ec2-046

13:18:49  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
13:19:08     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
13:20:44    ERROR - Return code: 1
Comment 88 User image Treeherder Robot 2013-03-14 15:29:25 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20653723&tree=Build-System
Ubuntu 12.04 build-system debug test xpcshell on 2013-03-14 11:29:16
slave: tst-linux32-ec2-040

12:16:29  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
12:16:48     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
12:18:24    ERROR - Return code: 1
Comment 89 User image Treeherder Robot 2013-03-14 17:27:54 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20664471&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 16:28:45
slave: tst-linux32-ec2-059

17:15:21  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
17:15:40     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
17:17:10    ERROR - Return code: 1
Comment 90 User image Treeherder Robot 2013-03-14 17:28:42 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=20664471&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 16:28:45
slave: tst-linux32-ec2-059

17:15:21  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
17:15:40     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
17:17:10    ERROR - Return code: 1
Comment 91 User image Treeherder Robot 2013-03-14 17:31:58 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=20664669&tree=Firefox
Ubuntu 12.04 mozilla-central debug test xpcshell on 2013-03-14 16:31:29
slave: tst-linux32-ec2-025

17:22:51  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
17:23:11     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
17:24:49    ERROR - Return code: 1
Comment 92 User image Treeherder Robot 2013-03-14 17:32:19 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20664669&tree=Firefox
Ubuntu 12.04 mozilla-central debug test xpcshell on 2013-03-14 16:31:29
slave: tst-linux32-ec2-025

17:22:51  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
17:23:11     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
17:24:49    ERROR - Return code: 1
Comment 93 User image Treeherder Robot 2013-03-14 21:49:48 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20671068&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 20:49:21
slave: tst-linux32-ec2-335

21:38:08  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
21:38:27     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
21:40:02    ERROR - Return code: 1
Comment 94 User image Treeherder Robot 2013-03-14 22:03:15 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20664964&tree=Fx-Team
Ubuntu 12.04 fx-team debug test xpcshell on 2013-03-14 16:45:53
slave: tst-linux32-ec2-327

17:34:32  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
17:34:51     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
17:36:26    ERROR - Return code: 1
Comment 95 User image Treeherder Robot 2013-03-14 23:33:45 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20674828&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 22:34:52
slave: tst-linux32-ec2-389

23:23:49  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
23:24:08     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
23:25:45    ERROR - Return code: 1
Comment 96 User image Treeherder Robot 2013-03-14 23:38:52 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20675030&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 22:38:36
slave: tst-linux32-ec2-045

23:27:04  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
23:27:23     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
23:29:00    ERROR - Return code: 1
Comment 97 User image Treeherder Robot 2013-03-15 03:39:56 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20680925&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 02:17:05
slave: tst-linux32-ec2-301

03:06:18  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
03:06:37     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
03:08:13    ERROR - Return code: 1
Comment 98 User image Treeherder Robot 2013-03-15 03:42:24 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20676450&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 23:13:36
slave: tst-linux32-ec2-330

23:59:55  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
00:00:14     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
00:01:42    ERROR - Return code: 1
Comment 99 User image Treeherder Robot 2013-03-15 03:43:36 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20676834&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-14 23:25:25
slave: tst-linux32-ec2-336

00:13:10  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
00:13:29     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
00:14:57    ERROR - Return code: 1
Comment 100 User image Treeherder Robot 2013-03-15 03:45:24 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20678993&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 00:16:45
slave: tst-linux32-ec2-308

01:10:52  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
01:11:11     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
01:12:50    ERROR - Return code: 1
Comment 101 User image Treeherder Robot 2013-03-15 04:26:14 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20682596&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 03:11:36
slave: tst-linux32-ec2-389

04:00:42  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
04:01:01     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
04:02:36    ERROR - Return code: 1
Comment 102 User image Treeherder Robot 2013-03-15 04:27:28 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20682827&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 03:15:35
slave: tst-linux32-ec2-397

04:08:01  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
04:08:20     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
04:09:56    ERROR - Return code: 1
Comment 103 User image Ted Mielczarek [:ted.mielczarek] 2013-03-15 05:37:44 PDT
josh, jduell: this is one of our most frequent intermittent orange bugs. We're tripping an assertion in nsStreamTransportService:
###!!! ASSERTION: thread pool wasn't shutdown: '!mPool', file ../../../../netwerk/base/src/nsStreamTransportService.cpp, line 435

in this xpcshell test:
http://mxr.mozilla.org/mozilla-central/source/toolkit/components/search/tests/xpcshell/test_645970.js

That test is manually sending out a "quit-application" observer service notification, so I wonder if it's screwing up nsStreamTransportService's expectations around shutdown ordering?

Can you take a look at this (or find someone else who can)?
Comment 104 User image Treeherder Robot 2013-03-15 05:43:50 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20685852&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 04:39:32
slave: tst-linux32-ec2-356

05:33:29  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
05:33:51     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
05:35:32    ERROR - Return code: 1
Comment 105 User image Treeherder Robot 2013-03-15 06:55:28 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20688528&tree=Firefox
Ubuntu 12.04 mozilla-central debug test xpcshell on 2013-03-15 05:55:33
slave: tst-linux32-ec2-049

06:44:27  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
06:44:45     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
06:46:14    ERROR - Return code: 1
Comment 106 User image Treeherder Robot 2013-03-15 07:28:55 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=20689846&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 06:30:31
slave: tst-linux32-ec2-019

07:18:10  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
07:18:29     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
07:19:58    ERROR - Return code: 1
Comment 107 User image Treeherder Robot 2013-03-15 07:51:53 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20690290&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 06:39:24
slave: tst-linux32-ec2-384

07:29:18  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
07:29:37     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
07:31:12    ERROR - Return code: 1
Comment 108 User image Treeherder Robot 2013-03-15 07:52:03 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20690290&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 06:39:24
slave: tst-linux32-ec2-384

07:29:18  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
07:29:37     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
07:31:12    ERROR - Return code: 1
Comment 109 User image Treeherder Robot 2013-03-15 09:08:37 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20693696&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 08:03:44
slave: tst-linux32-ec2-044

08:56:03  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
08:56:22     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
08:57:58    ERROR - Return code: 1
Comment 110 User image Treeherder Robot 2013-03-15 12:41:15 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20699889&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 11:43:58
slave: tst-linux32-ec2-316

12:31:13  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
12:31:33     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
12:33:05    ERROR - Return code: 1
Comment 111 User image Treeherder Robot 2013-03-15 13:07:50 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20701270&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 12:10:42
slave: tst-linux32-ec2-051

13:01:03  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
13:01:22     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
13:02:59    ERROR - Return code: 1
Comment 112 User image Treeherder Robot 2013-03-15 13:08:10 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20701226&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 12:14:31
slave: tst-linux32-ec2-337

13:00:19  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
13:00:38     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
13:02:07    ERROR - Return code: 1
Comment 113 User image Treeherder Robot 2013-03-15 13:28:20 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20702043&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 12:31:15
slave: tst-linux32-ec2-352

13:21:35  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
13:21:54     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
13:23:31    ERROR - Return code: 1
Comment 114 User image Treeherder Robot 2013-03-15 14:23:08 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=20703560&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 13:28:20
slave: tst-linux32-ec2-019

14:15:52  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
14:16:10     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
14:17:39    ERROR - Return code: 1
Comment 115 User image Ted Mielczarek [:ted.mielczarek] 2013-03-15 15:23:19 PDT
Josh: can you get someone to take a look at this? See comment 103 for my brief synopsis.
Comment 116 User image Treeherder Robot 2013-03-15 22:50:40 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=20708495&tree=Fx-Team
Ubuntu 12.04 fx-team debug test xpcshell on 2013-03-15 15:42:08
slave: tst-linux32-ec2-043

16:30:17  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
16:30:36     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
16:32:11    ERROR - Return code: 1
Comment 117 User image Treeherder Robot 2013-03-16 00:26:58 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20716879&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 22:46:10
slave: tst-linux32-ec2-351

23:45:30  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
23:45:48     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
23:47:18    ERROR - Return code: 1
Comment 118 User image Treeherder Robot 2013-03-16 02:19:29 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=20718530&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-15 23:55:15
slave: tst-linux32-ec2-021

00:52:24  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
00:52:43     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
00:54:15    ERROR - Return code: 1
Comment 119 User image Treeherder Robot 2013-03-16 02:21:46 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=20719623&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-16 00:17:32
slave: tst-linux32-ec2-303

01:32:43  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
01:33:02     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
01:34:38    ERROR - Return code: 1
Comment 120 User image Treeherder Robot 2013-03-16 02:23:00 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=20720105&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-16 01:19:20
slave: tst-linux32-ec2-341

02:11:20  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
02:11:39     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
02:13:17    ERROR - Return code: 1
Comment 121 User image Treeherder Robot 2013-03-16 04:56:16 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=20721035&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-16 02:33:25
slave: tst-linux32-ec2-368

03:27:38  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
03:27:57     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
03:29:35    ERROR - Return code: 1
Comment 122 User image Treeherder Robot 2013-03-16 14:34:48 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=20727500&tree=Try
Ubuntu 12.04 try debug test xpcshell on 2013-03-16 12:46:42
slave: tst-linux32-ec2-305

13:38:38  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
13:38:57     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
13:40:32    ERROR - Return code: 1
Comment 123 User image Treeherder Robot 2013-03-16 17:18:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20729314&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-16 16:09:12
slave: tst-linux32-ec2-340

17:07:56  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
17:08:15     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
17:09:52    ERROR - Return code: 1
Comment 124 User image Treeherder Robot 2013-03-16 17:45:47 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20730069&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-16 16:38:34
slave: tst-linux32-ec2-307

17:35:17  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
17:35:35     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
17:37:04    ERROR - Return code: 1
Comment 125 User image Treeherder Robot 2013-03-16 18:35:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20731540&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-16 17:16:21
slave: tst-linux32-ec2-365

18:15:44  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
18:16:03     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
18:17:40    ERROR - Return code: 1
Comment 126 User image Treeherder Robot 2013-03-16 19:33:45 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20733240&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-16 18:35:14
slave: tst-linux32-ec2-312

19:25:03  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
19:25:23     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
19:27:02    ERROR - Return code: 1
Comment 127 User image Treeherder Robot 2013-03-16 21:45:51 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20735685&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-16 20:28:24
slave: tst-linux32-ec2-006

21:15:19  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
21:15:38     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
21:17:08    ERROR - Return code: 1
Comment 128 User image Treeherder Robot 2013-03-16 21:53:36 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20736399&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-16 20:57:37
slave: tst-linux32-ec2-364

21:44:59  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
21:45:18     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
21:46:47    ERROR - Return code: 1
Comment 129 User image Treeherder Robot 2013-03-17 01:27:56 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=20739982&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-17 00:12:25
slave: tst-linux32-ec2-006

00:56:59  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
00:57:18     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
00:58:46    ERROR - Return code: 1
Comment 130 User image Treeherder Robot 2013-03-17 01:28:14 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=20739984&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 00:15:43
slave: tst-linux64-ec2-322

00:57:19  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
00:57:33     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
00:58:55    ERROR - Return code: 1
Comment 131 User image Treeherder Robot 2013-03-17 01:29:44 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=20739919&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 00:10:00
slave: tst-linux64-ec2-010

00:52:57  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
00:53:10     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
00:54:27    ERROR - Return code: 1
Comment 132 User image Treeherder Robot 2013-03-17 01:33:47 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=20738261&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-16 22:41:01
slave: tst-linux64-ec2-035

23:23:00  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
23:23:13     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
23:24:30    ERROR - Return code: 1
Comment 133 User image Treeherder Robot 2013-03-17 02:52:32 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=20740829&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 01:12:26
slave: tst-linux64-ec2-305

01:55:27  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
01:55:41     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
01:57:03    ERROR - Return code: 1
Comment 134 User image Treeherder Robot 2013-03-17 03:09:37 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=20741485&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-17 02:09:49
slave: tst-linux32-ec2-317

02:57:05  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
02:57:24     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
02:58:51    ERROR - Return code: 1
Comment 135 User image Treeherder Robot 2013-03-17 04:55:00 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20718316&tree=Services-Central
Ubuntu 12.04 services-central debug test xpcshell on 2013-03-15 23:39:58
slave: tst-linux32-ec2-026

00:43:11  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
00:43:30     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
00:45:09    ERROR - Return code: 1
Comment 136 User image Treeherder Robot 2013-03-17 05:04:01 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20683575&tree=Ionmonkey
Ubuntu 12.04 ionmonkey debug test xpcshell on 2013-03-15 03:41:15
slave: tst-linux32-ec2-374

04:31:59  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
04:32:19     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
04:33:56    ERROR - Return code: 1
Comment 137 User image Treeherder Robot 2013-03-17 05:05:31 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20677122&tree=Graphics
Ubuntu 12.04 graphics debug test xpcshell on 2013-03-14 23:32:54
slave: tst-linux32-ec2-319

00:21:12  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
00:21:31     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
00:23:06    ERROR - Return code: 1
Comment 138 User image Treeherder Robot 2013-03-17 05:06:16 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20662823&tree=Graphics
Ubuntu 12.04 graphics debug test xpcshell on 2013-03-14 15:33:18
slave: tst-linux32-ec2-363

16:24:37  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
16:24:56     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
16:26:36    ERROR - Return code: 1
Comment 139 User image Treeherder Robot 2013-03-17 05:07:15 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20658607&tree=Graphics
Ubuntu 12.04 graphics debug test xpcshell on 2013-03-14 13:42:08
slave: tst-linux32-ec2-340

14:37:57  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
14:38:16     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
14:39:53    ERROR - Return code: 1
Comment 140 User image Treeherder Robot 2013-03-17 10:13:01 PDT
jdm
https://tbpl.mozilla.org/php/getParsedLog.php?id=20747651&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-17 09:20:25
slave: tst-linux32-ec2-053

10:07:08  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:07:27     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
10:08:55    ERROR - Return code: 1
Comment 141 User image Treeherder Robot 2013-03-17 10:13:07 PDT
jdm
https://tbpl.mozilla.org/php/getParsedLog.php?id=20747563&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 09:22:20
slave: tst-linux64-ec2-023

10:04:59  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:05:13     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
10:06:35    ERROR - Return code: 1
Comment 142 User image Treeherder Robot 2013-03-17 10:20:17 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20747673&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 09:18:45
slave: tst-linux64-ec2-062

10:07:46  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:08:01     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
10:09:30    ERROR - Return code: 1
Comment 143 User image Treeherder Robot 2013-03-17 12:00:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20749423&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 11:05:41
slave: tst-linux64-ec2-028

11:46:50  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
11:47:04     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
11:48:26    ERROR - Return code: 1
Comment 144 User image Treeherder Robot 2013-03-17 12:22:34 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20749736&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-17 11:11:38
slave: tst-linux32-ec2-318

12:00:26  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
12:00:45     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
12:02:21    ERROR - Return code: 1
Comment 145 User image Treeherder Robot 2013-03-17 12:43:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20750309&tree=Firefox
Ubuntu 12.04 mozilla-central debug test xpcshell on 2013-03-17 11:45:15
slave: tst-linux32-ec2-367

12:34:45  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
12:35:05     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
12:36:41    ERROR - Return code: 1
Comment 146 User image Treeherder Robot 2013-03-17 13:55:12 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20751081&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-17 12:56:46
slave: tst-linux32-ec2-311

13:42:27  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
13:42:46     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
13:44:14    ERROR - Return code: 1
Comment 147 User image Treeherder Robot 2013-03-17 13:57:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20751081&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-17 12:56:46
slave: tst-linux32-ec2-311

13:42:27  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
13:42:46     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
13:44:14    ERROR - Return code: 1
Comment 148 User image Treeherder Robot 2013-03-17 15:01:25 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20753528&tree=Firefox
Ubuntu 12.04 mozilla-central debug test xpcshell on 2013-03-17 14:06:56
slave: tst-linux32-ec2-013

14:53:34  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
14:53:52     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
14:55:20    ERROR - Return code: 1
Comment 149 User image Treeherder Robot 2013-03-17 15:09:27 PDT
jorendorff
https://tbpl.mozilla.org/php/getParsedLog.php?id=20747963&tree=Try
Ubuntu 12.04 x64 try debug test xpcshell on 2013-03-17 09:34:17
slave: tst-linux64-ec2-334

10:17:23  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:17:37     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
10:18:58    ERROR - Return code: 1
Comment 150 User image Treeherder Robot 2013-03-17 15:25:53 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20754232&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-17 14:29:21
slave: tst-linux32-ec2-322

15:13:51  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
15:14:10     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
15:15:38    ERROR - Return code: 1
Comment 151 User image Treeherder Robot 2013-03-17 15:35:18 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20754546&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 14:40:42
slave: tst-linux64-ec2-338

15:23:33  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
15:23:47     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
15:25:12    ERROR - Return code: 1
Comment 152 User image Treeherder Robot 2013-03-17 15:37:45 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20754748&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-17 14:43:12
slave: tst-linux32-ec2-365

15:29:55  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
15:30:14     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
15:31:48    ERROR - Return code: 1
Comment 153 User image Treeherder Robot 2013-03-17 16:07:12 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20755369&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 15:10:25
slave: tst-linux64-ec2-053

15:52:22  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
15:52:36     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
15:53:59    ERROR - Return code: 1
Comment 154 User image Treeherder Robot 2013-03-17 16:42:25 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20756418&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 15:50:44
slave: tst-linux64-ec2-363

16:33:04  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
16:33:18     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
16:34:40    ERROR - Return code: 1
Comment 155 User image Treeherder Robot 2013-03-17 17:02:41 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20756675&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-17 16:00:14
slave: tst-linux32-ec2-311

16:45:52  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
16:46:10     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
16:47:38    ERROR - Return code: 1
Comment 156 User image Treeherder Robot 2013-03-17 17:03:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20756641&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 16:02:17
slave: tst-linux64-ec2-042

16:44:17  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
16:44:30     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
16:45:52    ERROR - Return code: 1
Comment 157 User image Treeherder Robot 2013-03-17 17:12:39 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20757028&tree=Firefox
Ubuntu 12.04 mozilla-central debug test xpcshell on 2013-03-17 16:20:12
slave: tst-linux32-ec2-322

17:04:10  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
17:04:29     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
17:05:58    ERROR - Return code: 1
Comment 158 User image Treeherder Robot 2013-03-17 18:28:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20758483&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 17:37:21
slave: tst-linux64-ec2-349

18:19:07  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
18:19:21     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
18:20:43    ERROR - Return code: 1
Comment 159 User image Treeherder Robot 2013-03-17 19:09:35 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20759429&tree=Firefox
Ubuntu 12.04 x64 mozilla-central debug test xpcshell on 2013-03-17 18:12:19
slave: tst-linux64-ec2-006

18:52:46  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
18:53:00     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
18:54:22    ERROR - Return code: 1
Comment 160 User image Treeherder Robot 2013-03-17 19:14:32 PDT
jorendorff
https://tbpl.mozilla.org/php/getParsedLog.php?id=20755814&tree=Try
Ubuntu 12.04 x64 try debug test xpcshell on 2013-03-17 15:30:39
slave: tst-linux64-ec2-312

16:11:08  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
16:11:21     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
16:12:38    ERROR - Return code: 1
Comment 161 User image Treeherder Robot 2013-03-17 20:42:31 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20761979&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 19:52:18
slave: tst-linux64-ec2-011

20:34:11  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
20:34:25     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
20:35:47    ERROR - Return code: 1
Comment 162 User image Treeherder Robot 2013-03-17 22:09:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20763966&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 21:15:23
slave: tst-linux64-ec2-312

21:57:46  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
21:58:00     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
21:59:23    ERROR - Return code: 1
Comment 163 User image Treeherder Robot 2013-03-17 22:43:06 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20765165&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-17 21:41:27
slave: tst-linux32-ec2-027

22:35:56  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
22:36:18     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
22:37:57    ERROR - Return code: 1
Comment 164 User image Treeherder Robot 2013-03-17 23:07:24 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20765744&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 22:11:18
slave: tst-linux64-ec2-020

22:52:43  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
22:52:58     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
22:54:21    ERROR - Return code: 1
Comment 165 User image Treeherder Robot 2013-03-17 23:40:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20766918&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-17 22:45:16
slave: tst-linux64-ec2-339

23:26:00  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
23:26:13     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
23:27:30    ERROR - Return code: 1
Comment 166 User image Treeherder Robot 2013-03-17 23:42:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20767213&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-17 22:47:09
slave: tst-linux32-ec2-367

23:32:56  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
23:33:15     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
23:34:42    ERROR - Return code: 1
Comment 167 User image Treeherder Robot 2013-03-18 00:30:26 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20768640&tree=Firefox
Ubuntu 12.04 x64 mozilla-central debug test xpcshell on 2013-03-17 23:33:12
slave: tst-linux64-ec2-042

00:15:58  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
00:16:12     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
00:17:33    ERROR - Return code: 1
Comment 168 User image Treeherder Robot 2013-03-18 03:17:40 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20771605&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-18 01:29:42
slave: tst-linux32-ec2-067

02:15:40  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
02:15:59     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
02:17:27    ERROR - Return code: 1
Comment 169 User image Treeherder Robot 2013-03-18 03:18:04 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20770734&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-18 00:44:17
slave: tst-linux64-ec2-359

01:28:29  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
01:28:43     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
01:30:06    ERROR - Return code: 1
Comment 170 User image Treeherder Robot 2013-03-18 04:10:56 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20773372&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-18 03:25:32
slave: tst-linux64-ec2-003

04:06:41  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
04:06:54     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
04:08:16    ERROR - Return code: 1
Comment 171 User image Treeherder Robot 2013-03-18 04:13:18 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20769028&tree=Graphics
Ubuntu 12.04 graphics debug test xpcshell on 2013-03-17 23:41:18
slave: tst-linux32-ec2-374

00:31:39  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
00:31:58     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
00:33:34    ERROR - Return code: 1
Comment 172 User image Ed Morley [:emorley] 2013-03-18 05:31:30 PDT
Test disabled for Linux debug for now, until we get get responses to comment 103 / comment 115):
https://hg.mozilla.org/integration/mozilla-inbound/rev/509b300bda68
Comment 173 User image Treeherder Robot 2013-03-18 05:31:56 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20774610&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-18 04:19:08
slave: tst-linux64-ec2-305

05:00:00  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
05:00:13     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
05:01:30    ERROR - Return code: 1
Comment 174 User image Treeherder Robot 2013-03-18 05:38:35 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20775730&tree=Mozilla-Inbound
Ubuntu 12.04 mozilla-inbound debug test xpcshell on 2013-03-18 04:40:49
slave: tst-linux32-ec2-382

05:30:10  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
05:30:33     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
05:32:20    ERROR - Return code: 1
Comment 175 User image Treeherder Robot 2013-03-18 05:43:14 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=20775893&tree=Mozilla-Inbound
Ubuntu 12.04 x64 mozilla-inbound debug test xpcshell on 2013-03-18 04:52:32
slave: tst-linux64-ec2-038

05:35:40  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
05:35:54     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
05:37:16    ERROR - Return code: 1
Comment 176 User image Josh Aas 2013-03-18 08:46:46 PDT
Looking into an owner now.
Comment 177 User image Ed Morley [:emorley] 2013-03-18 13:14:21 PDT
https://hg.mozilla.org/mozilla-central/rev/509b300bda68
Comment 178 User image Treeherder Robot 2013-03-18 20:23:01 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=20778928&tree=Fx-Team
Ubuntu 12.04 x64 fx-team debug test xpcshell on 2013-03-18 07:17:38
slave: tst-linux64-ec2-019

07:54:58  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
07:55:09     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
07:56:16    ERROR - Return code: 1
Comment 179 User image Treeherder Robot 2013-03-19 03:23:56 PDT
jonco
https://tbpl.mozilla.org/php/getParsedLog.php?id=20789535&tree=Try
Ubuntu 12.04 try debug test xpcshell on 2013-03-18 12:11:53
slave: tst-linux32-ec2-314

12:57:55  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
12:58:13     INFO -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
12:59:40    ERROR - Return code: 1
Comment 180 User image Honza Bambas (:mayhemer) 2013-03-26 19:57:29 PDT
nsStreamTransportService gets first instantiated after NS_XPCOM_SHUTDOWN_THREADS_OBSERVER_ID.


When doing check-interactive of the failing test, after test has run and I type quit() I'm getting the following stack (windows):

 	xul.dll!nsStreamTransportService::Init()  Line 441	C++
 	xul.dll!nsStreamTransportServiceConstructor(nsISupports * aOuter=0x00000000, const nsID & aIID={...}, void * * aResult=0x0034f568)  Line 67 + 0x79 bytes	C++
 	xul.dll!mozilla::GenericFactory::CreateInstance(nsISupports * aOuter=0x00000000, const nsID & aIID={...}, void * * aResult=0x0034f568)  Line 16 + 0x14 bytes	C++
 	xul.dll!nsComponentManagerImpl::CreateInstance(const nsID & aClass={...}, nsISupports * aDelegate=0x00000000, const nsID & aIID={...}, void * * aResult=0x0034f568)  Line 1009 + 0x25 bytes	C++
 	xul.dll!nsComponentManagerImpl::GetService(const nsID & aClass={...}, const nsID & aIID={...}, void * * result=0x0034f5c0)  Line 1257 + 0x34 bytes	C++
 	xul.dll!CallGetService(const nsID & aCID={...}, const nsID & aIID={...}, void * * aResult=0x0034f5c0)  Line 52	C++
 	xul.dll!nsGetServiceByCIDWithError::operator()(const nsID & aIID={...}, void * * aInstancePtr=0x0034f5c0)  Line 234 + 0x13 bytes	C++
 	xul.dll!nsCOMPtr<nsIStreamTransportService>::assign_from_gs_cid_with_error(const nsGetServiceByCIDWithError & gs={...}, const nsID & aIID={...})  Line 1193 + 0xf bytes	C++
 	xul.dll!nsCOMPtr<nsIStreamTransportService>::nsCOMPtr<nsIStreamTransportService>(const nsGetServiceByCIDWithError & gs={...})  Line 581	C++
 	xul.dll!nsInputStreamPump::AsyncRead(nsIStreamListener * listener=0x0427aa98, nsISupports * ctxt=0x00000000)  Line 307	C++
 	xul.dll!nsBaseChannel::BeginPumpingData()  Line 223 + 0x3a bytes	C++
 	xul.dll!nsBaseChannel::AsyncOpen(nsIStreamListener * listener=0x04a6c988, nsISupports * ctxt=0x02b61480)  Line 600 + 0xb bytes	C++
>	xul.dll!`anonymous namespace'::ScriptLoaderRunnable::RunInternal()  Line 324 + 0x34 bytes	C++
 	xul.dll!`anonymous namespace'::ScriptLoaderRunnable::Run()  Line 159 + 0xb bytes	C++
 	xul.dll!nsThread::ProcessNextEvent(bool mayWait=false, bool * result=0x0034f7ff)  Line 627 + 0x19 bytes	C++
 	xul.dll!NS_ProcessPendingEvents_P(nsIThread * thread=0x01d10750, unsigned int timeout=4294967295)  Line 188 + 0x14 bytes	C++
 	xul.dll!mozilla::ShutdownXPCOM(nsIServiceManager * servMgr=0x00000000)  Line 564	C++
 	xul.dll!NS_ShutdownXPCOM_P(nsIServiceManager * servMgr=0x00000000)  Line 519 + 0x9 bytes	C++
 	xpcom.dll!NS_ShutdownXPCOM(nsIServiceManager * svcMgr=0x00000000)  Line 134 + 0xa bytes	C++
 	xpcshell.exe!NS_internal_main(int argc=24, char * * argv=0x01c4f6bc, char * * envp=0x01c431b8)  Line 1973 + 0x8 bytes	C++
 	xpcshell.exe!wmain(int argc=31, wchar_t * * argv=0x01cfbc68)  Line 109 + 0x16 bytes	C++


This is just before NS_XPCOM_SHUTDOWN_THREADS_OBSERVER_ID is fired.  I can also see the following stack (events fired from inside call to NS_XPCOM_SHUTDOWN_THREADS_OBSERVER_ID notification:



>	xul.dll!`anonymous namespace'::ScriptLoaderRunnable::RunInternal()  Line 243	C++
 	xul.dll!`anonymous namespace'::ScriptLoaderRunnable::Run()  Line 159 + 0xb bytes	C++
 	xul.dll!nsThread::ProcessNextEvent(bool mayWait=true, bool * result=0x0034f53b)  Line 627 + 0x19 bytes	C++
 	xul.dll!NS_ProcessNextEvent_P(nsIThread * thread=0x01d10750, bool mayWait=true)  Line 238 + 0x17 bytes	C++
 	xul.dll!mozilla::dom::workers::RuntimeService::Cleanup()  Line 1192 + 0xe bytes	C++
 	xul.dll!mozilla::dom::workers::RuntimeService::Observe(nsISupports * aSubject=0x00000000, const char * aTopic=0x556e7cdc, const wchar_t * aData=0x00000000)  Line 1417	C++
 	xul.dll!nsObserverList::NotifyObservers(nsISupports * aSubject=0x00000000, const char * aTopic=0x556e7cdc, const wchar_t * someData=0x00000000)  Line 100	C++
 	xul.dll!nsObserverService::NotifyObservers(nsISupports * aSubject=0x00000000, const char * aTopic=0x556e7cdc, const wchar_t * someData=0x00000000)  Line 164	C++
 	xul.dll!mozilla::ShutdownXPCOM(nsIServiceManager * servMgr=0x00000000)  Line 570	C++
 	xul.dll!NS_ShutdownXPCOM_P(nsIServiceManager * servMgr=0x00000000)  Line 519 + 0x9 bytes	C++
 	xpcom.dll!NS_ShutdownXPCOM(nsIServiceManager * svcMgr=0x00000000)  Line 134 + 0xa bytes	C++
 	xpcshell.exe!NS_internal_main(int argc=24, char * * argv=0x01c4f6bc, char * * envp=0x01c431b8)  Line 1973 + 0x8 bytes	C++
 	xpcshell.exe!wmain(int argc=31, wchar_t * * argv=0x01cfbc68)  Line 109 + 0x16 bytes	C++


If there is some specific change in order of observers to NS_XPCOM_SHUTDOWN_THREADS_OBSERVER_ID on Ubuntu or it's just a timing issue of some kind, I don't know.

I don't see any bug that would be landed around the time this started to be so intensive, maybe except Bug 822399 (cc Olli).  That is a wild theory only.


This is definitely not caused by some network change.
Comment 181 User image Gabriele Svelto [:gsvelto] 2013-04-04 08:15:53 PDT
(In reply to Honza Bambas (:mayhemer) from comment #180)
> When doing check-interactive of the failing test, after test has run and I
> type quit() I'm getting the following stack (windows):

I've seen an issue which looked imilar to this one while working on a different bug. That issue was fixed in bug 835730 and boiled down to this: nsBrowserGlue was tearing down some stuff when receiving an xpcom-shutdown event; those components were initialized during profile loading and in some tests this wasn't happening. In the end various shutdown functions were called on components that had never been initialized leading to an error very much like this one when manually calling _quit() interactively in the affected xpcshell test.

Since the problem might be something similar I'll have a look later today and see if can track it down.
Comment 182 User image Honza Bambas (:mayhemer) 2013-04-04 08:36:15 PDT
Thanks, Gabriele.
Comment 183 User image Gabriele Svelto [:gsvelto] 2013-04-04 10:44:56 PDT
I've gathered a few more clues about this failure and they point in a direction similar my previous experience:

- The assertion is triggered by executing a script (osfile_async_worker.js) as part of an xpcom-shutdown observer after ShutdownXPCOM() has been called

- This is causing a ScriptLoaderRunnable class to be instanced three times, it is from here that the nsStreamTransportService code is being called. The first time it runs, the |mPool| field is non-null and everything goes fine, this is during ShutdownXPCOM(). The second and third times it's in the "xpcom-shutdown" observer and that's where the assertion is being triggered

- In every case this is happening in a DOM worker thread, this is created here as part of the test:

https://mxr.mozilla.org/mozilla-central/source/toolkit/components/search/nsSearchService.js#2708

      let promise = OS.File.writeAtomic(path, data, { tmpPath: path + ".tmp"});

So my diagnose is that some code is hooking the "xpcom-shutdown" event and running some code that has already been run once cleaning up after itself so the following runs are causing the issue. The culprit seems to lie somewhere in the OS.File module so that's where I'll be looking next.
Comment 186 User image Treeherder Robot 2013-04-08 16:48:03 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=21565790&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-04-08 08:20:10
slave: talos-r3-xp-003

16:37:18  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
16:37:31  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
16:38:30    ERROR - Return code: 1
Comment 187 User image Treeherder Robot 2013-04-09 01:37:43 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=21584891&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-04-08 16:58:09
slave: talos-r3-w7-061

01:30:49  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
01:31:14  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
01:32:15    ERROR - Return code: 1
Comment 188 User image Treeherder Robot 2013-04-09 17:27:41 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=21616497&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-04-09 07:56:03
slave: talos-r3-w7-066

16:27:58  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
16:28:22  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
16:29:21    ERROR - Return code: 1
Comment 189 User image Treeherder Robot 2013-04-10 09:42:18 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=21630553&tree=Try
Rev3 WINNT 5.1 try debug test xpcshell on 2013-04-09 15:00:10
slave: talos-r3-xp-052

23:18:04  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
23:18:17  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
23:19:18    ERROR - Return code: 1
Comment 190 User image Treeherder Robot 2013-04-10 09:42:31 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=21631805&tree=Try
Rev3 WINNT 6.1 try debug test xpcshell on 2013-04-09 15:44:40
slave: talos-r3-w7-033

22:48:10    ERROR -  abort: data/release/patcher-configs/mozBeta-thunderbird-branch-patcher2.cfg.i@5f96a0f00feb: no match found!
22:48:10    ERROR -  Automation Error: hg not responding
22:48:10    ERROR - Return code: -1
00:17:48  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
00:18:05  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
00:19:06    ERROR - Return code: 1
Comment 191 User image Treeherder Robot 2013-04-10 09:42:44 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=21629389&tree=Try
WINNT 6.2 try debug test xpcshell on 2013-04-09 14:14:24
slave: t-w864-ix-062

22:28:49  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
22:28:56  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
22:29:39    ERROR - Return code: 1
Comment 192 User image Norbert Lindenberg 2013-04-10 10:29:14 PDT
It looks like enabling the ECMAScript Internationalization API (part of SpiderMonkey, uses the big third-party ICU library) may make this failure permanent instead of intermittent on Windows - I see two complete sets of failures on two try runs:
April 9: https://tbpl.mozilla.org/?tree=Try&rev=4cc524a3f8ae
April 8: https://tbpl.mozilla.org/?tree=Try&rev=1fc6411a138d

I don't see these failures on earlier try runs:
April 4: https://tbpl.mozilla.org/?tree=Try&rev=7aa110e2dc60
so something else must have happened between April 4 and April 8 (the only differences on my side are restructured configure/make files).

To reproduce the failures, apply patches b2470ed032d1 and edfeec4def28 of the first-listed try run to current m-c.
Comment 193 User image David Teller [:Yoric] (please use "needinfo") 2013-04-10 12:15:13 PDT
(In reply to Gabriele Svelto [:gsvelto] from comment #183)
> I've gathered a few more clues about this failure and they point in a
> direction similar my previous experience:
> 
> - The assertion is triggered by executing a script (osfile_async_worker.js)
> as part of an xpcom-shutdown observer after ShutdownXPCOM() has been called
> 
> - This is causing a ScriptLoaderRunnable class to be instanced three times,
> it is from here that the nsStreamTransportService code is being called. The
> first time it runs, the |mPool| field is non-null and everything goes fine,
> this is during ShutdownXPCOM(). The second and third times it's in the
> "xpcom-shutdown" observer and that's where the assertion is being triggered
> 
> - In every case this is happening in a DOM worker thread, this is created
> here as part of the test:
> 
> https://mxr.mozilla.org/mozilla-central/source/toolkit/components/search/
> nsSearchService.js#2708
> 
>       let promise = OS.File.writeAtomic(path, data, { tmpPath: path +
> ".tmp"});
> 
> So my diagnose is that some code is hooking the "xpcom-shutdown" event and
> running some code that has already been run once cleaning up after itself so
> the following runs are causing the issue. The culprit seems to lie somewhere
> in the OS.File module so that's where I'll be looking next.

There is some code hooking web-workers-shutdown in OS.File: 
http://dxr.mozilla.org/mozilla-central/toolkit/components/osfile/osfile_async_front.jsm#l152

Could this be the cause?
Comment 194 User image Gabriele Svelto [:gsvelto] 2013-04-11 00:08:12 PDT
(In reply to Norbert Lindenberg from comment #192)
> It looks like enabling the ECMAScript Internationalization API (part of
> SpiderMonkey, uses the big third-party ICU library) may make this failure
> permanent instead of intermittent on Windows [...]

Interesting, I hadn't tried on Windows yet but I could reproduce it fairly consistently on Linux already.

(In reply to David Rajchenbach Teller [:Yoric] from comment #193)
> There is some code hooking web-workers-shutdown in OS.File: 
> http://dxr.mozilla.org/mozilla-central/toolkit/components/osfile/
> osfile_async_front.jsm#l152
> 
> Could this be the cause?

It might, thanks for the heads up.
Comment 195 User image Treeherder Robot 2013-04-11 14:34:55 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=21698156&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-04-11 05:39:48
slave: talos-r3-w7-054

14:13:16  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
14:13:41  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
14:14:42    ERROR - Return code: 1
Comment 196 User image Norbert Lindenberg 2013-04-11 19:21:27 PDT
It seems to me that there are two separate bugs - the failure logs above are always either Linux/test_645970.js or Windows/test_logging.js, never Linux/test_logging.js or Windows/test_645970.js. The ones I've seen in my try runs were always of the Windows/test_logging.js variant. Note that test_logging.js is a new test which reached mozilla-central only on April 5.
Comment 197 User image Norbert Lindenberg 2013-04-11 23:59:53 PDT
Created attachment 736684 [details] [diff] [review]
Made test_logging.js correctly ignore messages it wants to ignore

Partial fix.
Comment 198 User image Jonathan Laver [:rabbidrabbit] 2013-04-12 00:57:16 PDT
Comment on attachment 736684 [details] [diff] [review]
Made test_logging.js correctly ignore messages it wants to ignore

Review of attachment 736684 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good to me.
Comment 199 User image Treeherder Robot 2013-04-12 08:53:14 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=21736812&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-04-12 00:21:08
slave: talos-r3-xp-001

08:40:03  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
08:40:16  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
08:41:16    ERROR - Return code: 1
Comment 200 User image David Teller [:Yoric] (please use "needinfo") 2013-04-13 12:30:46 PDT
Comment on attachment 736684 [details] [diff] [review]
Made test_logging.js correctly ignore messages it wants to ignore

Chiming in: rabbidrabbit doesn't have review rights on this part of the code, although he authored it.
Comment 201 User image David Teller [:Yoric] (please use "needinfo") 2013-04-13 12:38:49 PDT
Comment on attachment 736684 [details] [diff] [review]
Made test_logging.js correctly ignore messages it wants to ignore

Review of attachment 736684 [details] [diff] [review]:
-----------------------------------------------------------------

Patch looks like it will fix something. I do not understand the cause of the crash well enough to know whether this will be sufficient, though.
Comment 202 User image David Teller [:Yoric] (please use "needinfo") 2013-04-13 12:49:20 PDT
(In reply to Gabriele Svelto [:gsvelto] from comment #183)
> - In every case this is happening in a DOM worker thread, this is created
> here as part of the test:
> 
> https://mxr.mozilla.org/mozilla-central/source/toolkit/components/search/
> nsSearchService.js#2708
> 
>       let promise = OS.File.writeAtomic(path, data, { tmpPath: path +
> ".tmp"});

Do I understand correctly that this code is executed upon shutdown?
If so, we have a weird race condition, because this is code that is meant to be executed during initialization.
Comment 203 User image Gabriele Svelto [:gsvelto] 2013-04-15 01:49:46 PDT
(In reply to David Rajchenbach Teller [:Yoric] from comment #202)
> Do I understand correctly that this code is executed upon shutdown?
> If so, we have a weird race condition, because this is code that is meant to
> be executed during initialization.

No, it's more complicated and re-reading my comment I didn't describe the mechanism very well :-) This code only triggers the creation of a DOM Worker thread; then during shutdown this thread goes on to execute another script which is causing the problem. I was able to analyze the problem better and I found where the whole chain starts, it's here in RuntimeService::Cleanup():

https://mxr.mozilla.org/mozilla-central/source/dom/workers/RuntimeService.cpp#1127

Which is being called by an "xpcom-shutdown" observer (which is what I first saw when testing):

https://mxr.mozilla.org/mozilla-central/source/dom/workers/RuntimeService.cpp#1419

So for some reason the following is happening:

- OS.File starts up, creates a DOM worker and registers the "web-workers-shutdown" event
- During shutdown the "xpcom-shutdown" event is dispatched
- RuntimeService picks it up, calls Cleanup() which sends "web-workers-shutdown"
- osfile_async_front.jsm:webWorkersShutdownObserver() is invoked in response to the event
- This sends a "System_shutdown" message to the worker
- The shutdown code in osfile_async_worker.js is called, this is what's triggering the execution of ScriptLoaderRunnable

Now, the first time this runs it's fine; for some reason however it seems that the last four steps are repeated more than once causing the web worker to be shutdown more than once and that trips the assertion.
Comment 204 User image Treeherder Robot 2013-04-15 08:02:13 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=21814781&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-04-15 06:39:45
slave: talos-r3-xp-078

07:54:39  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
07:54:51  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
07:55:52    ERROR - Return code: 1
Comment 205 User image Treeherder Robot 2013-04-15 12:32:51 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=21823684&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test xpcshell on 2013-04-15 11:28:20
slave: talos-r3-fed64-054

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/imap/test/unit/test_imapFlagChange.js | test failed (with xpcshell return code: -11), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/mailnews/imap/test/unit/test_imapFlagChange.js | application crashed [@ mozalloc_abort(char const*)]
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
Comment 206 User image David Teller [:Yoric] (please use "needinfo") 2013-04-16 02:00:56 PDT
Created attachment 737865 [details] [diff] [review]
Unregistering the shutdown observer after the first "web-workers-shutdown"

Gabriele, if your analysis is correct (and it looks correct), this should fix the bug.
Comment 207 User image Treeherder Robot 2013-04-16 02:28:14 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=21853844&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-04-16 00:41:07
slave: talos-r3-w7-046

02:14:52  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
02:15:08  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
02:16:12    ERROR - Return code: 1
Comment 208 User image Nathan Froyd [:froydnj] 2013-04-16 06:46:39 PDT
Comment on attachment 737865 [details] [diff] [review]
Unregistering the shutdown observer after the first "web-workers-shutdown"

Review of attachment 737865 [details] [diff] [review]:
-----------------------------------------------------------------

::: toolkit/components/osfile/osfile_async_front.jsm
@@ +183,5 @@
> +  if (aTopic == WEB_WORKERS_SHUTDOWN_TOPIC) {
> +    // Failing to unregister can cause crashes in some tests
> +    // (probably not in production), see bug 845190
> +    Services.obs.removeObserver(webWorkersShutdownObserver, WEB_WORKERS_SHUTDOWN_TOPIC);
> +  }

I don't think you really need the commit; unregistering observers is pretty standard.

But why not unregister TEST_WEB_WORKERS_SHUTDOWN_TOPIC?  Actually, why is *registering* the observer on the test topic even done unconditionally in this file?

@@ +203,5 @@
>    });
>  };
>  
>  // Attaching an observer listening to the "web-workers-shutdown".
> +// The observer is removed once "web-workers-shutdown" is received.

No comment necessary.  The previous one could go too.
Comment 209 User image David Teller [:Yoric] (please use "needinfo") 2013-04-16 09:03:58 PDT
(In reply to Nathan Froyd (:froydnj) from comment #208)
> Comment on attachment 737865 [details] [diff] [review]
> Unregistering the shutdown observer after the first "web-workers-shutdown"
> 
> Review of attachment 737865 [details] [diff] [review]:
> -----------------------------------------------------------------
> 
> ::: toolkit/components/osfile/osfile_async_front.jsm
> @@ +183,5 @@
> > +  if (aTopic == WEB_WORKERS_SHUTDOWN_TOPIC) {
> > +    // Failing to unregister can cause crashes in some tests
> > +    // (probably not in production), see bug 845190
> > +    Services.obs.removeObserver(webWorkersShutdownObserver, WEB_WORKERS_SHUTDOWN_TOPIC);
> > +  }
> 
> I don't think you really need the commit; unregistering observers is pretty
> standard.

Ok with s/commit/comment/.

> But why not unregister TEST_WEB_WORKERS_SHUTDOWN_TOPIC?

Well, because I do not want to enforce the fact that we are only ever going to run a single test.

> Actually, why is
> *registering* the observer on the test topic even done unconditionally in
> this file?

Because, at this stage, we don't really have a way to determine whether we are being executed in a testing setting. I guess we could wrap this in a preference, but I would rather do this as a followup, if that's ok with you.

> 
> @@ +203,5 @@
> >    });
> >  };
> >  
> >  // Attaching an observer listening to the "web-workers-shutdown".
> > +// The observer is removed once "web-workers-shutdown" is received.
> 
> No comment necessary.  The previous one could go too.

Ok.
Comment 210 User image Nathan Froyd [:froydnj] 2013-04-16 09:08:05 PDT
Comment on attachment 737865 [details] [diff] [review]
Unregistering the shutdown observer after the first "web-workers-shutdown"

(In reply to David Rajchenbach Teller [:Yoric] from comment #209)
> (In reply to Nathan Froyd (:froydnj) from comment #208)
> > I don't think you really need the commit; unregistering observers is pretty
> > standard.
> 
> Ok with s/commit/comment/.

Right, thank you!

> > But why not unregister TEST_WEB_WORKERS_SHUTDOWN_TOPIC?
> 
> Well, because I do not want to enforce the fact that we are only ever going
> to run a single test.
> 
> > Actually, why is
> > *registering* the observer on the test topic even done unconditionally in
> > this file?
> 
> Because, at this stage, we don't really have a way to determine whether we
> are being executed in a testing setting. I guess we could wrap this in a
> preference, but I would rather do this as a followup, if that's ok with you.

You know how much I like followup bugs. :)  That's fine.

r=me with the changes.
Comment 211 User image Norbert Lindenberg 2013-04-16 15:40:36 PDT
The combination of the two patches available so far still does not fix the perma-orange on Windows with the internationalization API enabled:
https://tbpl.mozilla.org/?tree=Try&rev=e9a5f999214f
Comment 212 User image David Teller [:Yoric] (please use "needinfo") 2013-04-17 05:34:09 PDT
Created attachment 738449 [details] [diff] [review]
Unregistering the shutdown observer after the first "web-workers-shutdown", v2

Try: https://tbpl.mozilla.org/?tree=Try&rev=9a94ce2801fe
Comment 213 User image Gabriele Svelto [:gsvelto] 2013-04-18 06:46:02 PDT
I've tried applying the patch and the test passes correctly however now I see this when running on Linux:

 0:00.40 file:///home/gsvelto/projects/build/firefox-debug/dist/bin/components/nsHandlerService.js:891: NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIProperties.get]
 0:00.40 JS Component Loader: ERROR /home/gsvelto/projects/mozilla-central/testing/xpcshell/head.js:941
 0:00.40                      TypeError: Components is undefined
 0:00.40 file:///home/gsvelto/projects/build/firefox-debug/dist/bin/components/nsHandlerService.js:891: NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIProperties.get]
 0:00.40 JS Component Loader: ERROR /home/gsvelto/projects/mozilla-central/testing/xpcshell/head.js:944
 0:00.40                      TypeError: Components is undefined
 0:00.40 LoadPlugin() /home/gsvelto/projects/build/firefox-debug/dom/plugins/test/testplugin/libnptest.so returned 7fb2a3bde8b0
 0:00.40 LoadPlugin() /home/gsvelto/projects/build/firefox-debug/dom/plugins/test/testplugin/secondplugin/libnpsecondtest.so returned 7fb2a7faad30
 0:00.40 WARNING: NS_ENSURE_TRUE(mPool) failed: file /home/gsvelto/projects/mozilla-central/netwerk/base/src/nsStreamTransportService.cpp, line 465
 0:00.40 WARNING: unable to post continuation event: file /home/gsvelto/projects/mozilla-central/xpcom/io/nsStreamUtils.cpp, line 438
 0:00.40 WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0xC1F30001: file /home/gsvelto/projects/mozilla-central/dom/workers/ScriptLoader.cpp, line 323
 0:00.40 WORKER ERROR DURING SETUP Error: Failed to load script: resource://gre/modules/osfile.jsm (nsresult = 0xc1f30001)
 0:00.40 WORKER ERROR DETAIL @resource://gre/modules/osfile/osfile_async_worker.js:16
 0:00.40 @resource://gre/modules/osfile/osfile_async_worker.js:392

Breaking-in with GDB shows that the issue is different, yet a I can still see a worker thread been spun up during shutdown which is then torn down and triggers the warning.
Comment 214 User image David Teller [:Yoric] (please use "needinfo") 2013-04-18 06:47:30 PDT
The patches are being collapsed into bug 862570.
Comment 215 User image Treeherder Robot 2013-04-19 18:10:32 PDT
mccr8
https://tbpl.mozilla.org/php/getParsedLog.php?id=22029508&tree=Try
Rev3 WINNT 6.1 try debug test xpcshell on 2013-04-19 11:46:30
slave: talos-r3-w7-038

13:19:21  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
13:19:40  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
13:20:45    ERROR - Return code: 1
Comment 216 User image Treeherder Robot 2013-04-22 00:42:55 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=22079904&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-04-21 22:20:07
slave: talos-r3-w7-111

22:22:17    ERROR -  abort: There is no Mercurial repository here (.hg not found)!
22:22:17    ERROR -  Automation Error: hg not responding
22:22:17    ERROR - Return code: -1
23:52:06  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
23:52:22  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
23:53:26    ERROR - Return code: 1
Comment 217 User image Treeherder Robot 2013-04-24 16:11:43 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22211009&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test xpcshell on 2013-04-24 15:37:57
slave: talos-r4-lion-005

16:04:39  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
16:04:54  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
16:05:08    ERROR - Return code: 1
Comment 218 User image Jeff Walden [:Waldo] (remove +bmo to email) 2013-04-25 15:08:13 PDT
Comment on attachment 736684 [details] [diff] [review]
Made test_logging.js correctly ignore messages it wants to ignore

https://hg.mozilla.org/integration/mozilla-inbound/rev/8a2536988191
Comment 219 User image Ryan VanderMeulen [:RyanVM] 2013-04-26 18:51:18 PDT
https://hg.mozilla.org/mozilla-central/rev/8a2536988191
Comment 220 User image Treeherder Robot 2013-04-29 13:19:31 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=22373531&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-04-29 11:37:06
slave: talos-r3-w7-117

13:09:01  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
13:09:28  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
13:10:34    ERROR - Return code: 1
Comment 221 User image Treeherder Robot 2013-04-29 16:21:43 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22381739&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test xpcshell on 2013-04-29 15:45:49
slave: talos-r4-lion-014

16:14:29  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: 1), see following log:
16:14:45  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
16:15:12    ERROR - Return code: 1
Comment 222 User image Treeherder Robot 2013-04-30 07:24:09 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=22412141&tree=Fx-Team
Rev4 MacOSX Lion 10.7 fx-team debug test xpcshell on 2013-04-30 06:45:56
slave: talos-r4-lion-071

07:15:53  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
07:16:09  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
07:16:25    ERROR - Return code: 1
Comment 223 User image Treeherder Robot 2013-04-30 12:24:10 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22421504&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2013-04-30 11:45:55
slave: talos-r4-snow-036

12:15:46  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
12:16:02  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
12:16:16    ERROR - Return code: 1
Comment 224 User image Treeherder Robot 2013-04-30 20:01:20 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22443337&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test xpcshell on 2013-04-30 19:06:00
slave: talos-r4-lion-043

19:34:39  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
19:34:55  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:35:10    ERROR - Return code: 1
Comment 225 User image Treeherder Robot 2013-05-01 03:53:08 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=22455482&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2013-05-01 03:14:29
slave: talos-r4-snow-074

03:45:49  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
03:46:06  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
03:46:20    ERROR - Return code: 1
Comment 226 User image Treeherder Robot 2013-05-01 18:48:17 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22483316&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-01 17:12:38
slave: talos-r3-w7-028

18:40:29  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
18:40:40  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
18:41:39    ERROR - Return code: 1
Comment 227 User image Brendan Eich [:brendan] 2013-05-06 12:04:31 PDT
Cc'ing Taras and Dougt for any insights, also for point of view on disabling this test and opening a bug to diagnose and re-enable. That would let Waldo land the JS Intl code, so we can make fwd progress there.

/be
Comment 228 User image David Teller [:Yoric] (please use "needinfo") 2013-05-06 14:23:23 PDT
We expected that bug 862570 would fix the issue. It seems that this is not the case.
Comment 229 User image Treeherder Robot 2013-05-06 17:10:52 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22656251&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-06 15:49:52
slave: talos-r3-xp-122

16:59:08  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
16:59:19  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
17:00:16    ERROR - Return code: 1
Comment 230 User image Treeherder Robot 2013-05-06 17:40:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22657143&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-06 16:05:41
slave: t-w864-ix-092

17:23:40  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
17:23:46  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
17:24:25    ERROR - Return code: 1
Comment 231 User image Treeherder Robot 2013-05-06 18:23:36 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22657607&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-06 16:09:38
slave: talos-r3-w7-091

17:36:30  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
17:36:41  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
17:37:38    ERROR - Return code: 1
Comment 232 User image Treeherder Robot 2013-05-06 18:23:43 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22657045&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-06 16:09:38
slave: talos-r3-xp-007

17:20:32  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
17:20:43  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
17:21:40    ERROR - Return code: 1
Comment 233 User image Treeherder Robot 2013-05-06 18:25:09 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22656668&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-06 15:51:32
slave: t-w864-ix-077

17:07:05  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
17:07:11  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
17:07:51    ERROR - Return code: 1
Comment 234 User image Phil Ringnalda (:philor) 2013-05-06 18:27:54 PDT
And this explosion of instances is from yet another JS patch, https://hg.mozilla.org/integration/mozilla-inbound/rev/75699d465ba0 from bug 864085, making it permaorange on Windows.

I might be making the wrong call, but I think it's time to disable it.
Comment 235 User image Phil Ringnalda (:philor) 2013-05-06 18:39:19 PDT
Disabled on Windows debug in https://hg.mozilla.org/integration/mozilla-inbound/rev/65463f2f7ba9
Comment 236 User image Treeherder Robot 2013-05-06 18:40:58 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22658882&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-06 17:09:11
slave: talos-r3-xp-118

18:18:45  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
18:18:55  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
18:19:53    ERROR - Return code: 1
Comment 237 User image Treeherder Robot 2013-05-06 18:41:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22658979&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-06 17:09:11
slave: t-w864-ix-019

18:20:25  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
18:20:31  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
18:21:11    ERROR - Return code: 1
Comment 238 User image Treeherder Robot 2013-05-06 18:43:33 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=22659586&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-06 17:09:11
slave: talos-r3-w7-068

18:36:16  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
18:36:27  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
18:37:24    ERROR - Return code: 1
Comment 239 User image Treeherder Robot 2013-05-06 18:57:04 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=22660216&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-06 17:41:12
slave: talos-r3-xp-128

01:50:58  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
01:51:09  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
01:52:07    ERROR - Return code: 1
Comment 240 User image Treeherder Robot 2013-05-06 18:57:08 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=22660280&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-06 17:41:11
slave: t-w864-ix-048

18:52:40  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
18:52:46  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
18:53:25    ERROR - Return code: 1
Comment 241 User image Treeherder Robot 2013-05-06 19:17:59 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=22660974&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-06 17:41:08
slave: talos-r3-w7-127

19:07:53  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
19:08:04  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
19:09:01    ERROR - Return code: 1
Comment 242 User image Treeherder Robot 2013-05-06 19:33:04 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=22661852&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-06 18:16:16
slave: t-w864-ix-074

19:28:11  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
19:28:17  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
19:28:57    ERROR - Return code: 1
Comment 243 User image Treeherder Robot 2013-05-06 19:38:46 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=22661909&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-06 18:16:16
slave: talos-r3-xp-136

02:24:58  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
02:25:09  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
02:26:06    ERROR - Return code: 1
Comment 244 User image Treeherder Robot 2013-05-06 19:41:00 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=22662203&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-06 18:26:23
slave: talos-r3-xp-052

19:37:03  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
19:37:14  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
19:38:11    ERROR - Return code: 1
Comment 245 User image Treeherder Robot 2013-05-06 19:47:08 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=22662379&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-06 18:28:59
slave: t-w864-ix-012

19:42:05  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
19:42:11  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
19:42:50    ERROR - Return code: 1
Comment 246 User image Treeherder Robot 2013-05-06 19:54:48 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22662564&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-06 18:35:04
slave: talos-r3-xp-071

19:45:58  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
19:46:09  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
19:47:06    ERROR - Return code: 1
Comment 247 User image Treeherder Robot 2013-05-06 19:54:53 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22662492&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-06 18:16:26
slave: talos-r3-w7-046

19:43:15  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
19:43:26  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
19:44:24    ERROR - Return code: 1
Comment 248 User image Treeherder Robot 2013-05-06 20:04:01 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22662969&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-06 18:35:04
slave: t-w864-ix-092

19:55:10  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
19:55:15  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
19:55:56    ERROR - Return code: 1
Comment 249 User image Treeherder Robot 2013-05-06 20:11:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22663326&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-06 18:48:26
slave: talos-r3-xp-017

20:02:47  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
20:02:58  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
20:03:56    ERROR - Return code: 1
Comment 250 User image Treeherder Robot 2013-05-06 20:11:19 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22663254&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-06 18:46:15
slave: talos-r3-xp-022

19:56:59  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
19:57:10  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
19:58:07    ERROR - Return code: 1
Comment 251 User image Treeherder Robot 2013-05-06 20:11:24 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22663133&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-06 18:46:07
slave: t-w864-ix-067

19:58:43  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
19:58:49  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
19:59:28    ERROR - Return code: 1
Comment 252 User image Treeherder Robot 2013-05-06 20:11:29 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22663233&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-06 18:30:32
slave: talos-r3-w7-076

19:58:53  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
19:59:04  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
20:00:02    ERROR - Return code: 1
Comment 253 User image Treeherder Robot 2013-05-06 20:12:34 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22663362&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-06 18:36:28
slave: talos-r3-w7-115

20:03:08  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
20:03:19  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
20:04:16    ERROR - Return code: 1
Comment 254 User image Treeherder Robot 2013-05-06 20:25:15 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22664018&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-06 18:48:33
slave: talos-r3-w7-069

20:16:37  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
20:16:48  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
20:17:44    ERROR - Return code: 1
Comment 255 User image Treeherder Robot 2013-05-06 20:25:19 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22663848&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-06 18:46:06
slave: talos-r3-w7-050

20:12:45  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
20:12:59  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
20:13:56    ERROR - Return code: 1
Comment 256 User image Treeherder Robot 2013-05-06 20:31:41 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22664174&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-06 19:11:08
slave: talos-r3-xp-094

20:20:02  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
20:20:13  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
20:21:10    ERROR - Return code: 1
Comment 257 User image Treeherder Robot 2013-05-06 20:31:45 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22664310&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-06 18:48:34
slave: t-w864-ix-049

20:23:01  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
20:23:07  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
20:23:47    ERROR - Return code: 1
Comment 258 User image Treeherder Robot 2013-05-06 20:32:26 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22664565&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-06 19:16:32
slave: talos-r3-xp-118

20:27:36  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
20:27:47  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
20:28:45    ERROR - Return code: 1
Comment 259 User image Treeherder Robot 2013-05-06 20:32:31 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22664361&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-06 19:11:29
slave: t-w864-ix-021

20:23:45  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
20:23:51  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
20:24:30    ERROR - Return code: 1
Comment 260 User image Treeherder Robot 2013-05-06 20:49:17 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22664853&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-06 19:20:48
slave: talos-r3-xp-110

20:31:21  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
20:31:32  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
20:32:30    ERROR - Return code: 1
Comment 261 User image Treeherder Robot 2013-05-06 20:49:22 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22664937&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-06 19:20:45
slave: t-w864-ix-024

20:34:47  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
20:34:52  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
20:35:32    ERROR - Return code: 1
Comment 262 User image Treeherder Robot 2013-05-06 20:49:27 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22665167&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-06 19:11:06
slave: talos-r3-w7-018

20:38:41  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
20:38:52  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
20:39:51    ERROR - Return code: 1
Comment 263 User image Treeherder Robot 2013-05-06 20:59:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22665728&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-06 19:21:06
slave: talos-r3-w7-064

20:49:58  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
20:50:09  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
20:51:07    ERROR - Return code: 1
Comment 264 User image Treeherder Robot 2013-05-06 21:18:28 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22666510&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-06 19:58:18
slave: talos-r3-xp-018

21:08:48  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
21:08:59  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
21:09:56    ERROR - Return code: 1
Comment 265 User image Treeherder Robot 2013-05-06 21:23:19 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22666822&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-06 20:04:02
slave: talos-r3-xp-010

21:14:27  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
21:14:38  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
21:15:36    ERROR - Return code: 1
Comment 266 User image Treeherder Robot 2013-05-06 21:25:40 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22661624&tree=Fx-Team
Rev3 WINNT 6.1 fx-team debug test xpcshell on 2013-05-06 17:53:14
slave: talos-r3-w7-016

19:21:10  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
19:21:21  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
19:22:20    ERROR - Return code: 1
Comment 267 User image Treeherder Robot 2013-05-06 21:36:23 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22667490&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-06 20:02:22
slave: talos-r3-w7-117

21:29:03  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
21:29:14  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
21:30:11    ERROR - Return code: 1
Comment 268 User image Treeherder Robot 2013-05-06 22:05:46 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22667633&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-06 20:04:23
slave: talos-r3-w7-029

21:32:29  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
21:32:40  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
21:33:38    ERROR - Return code: 1
Comment 269 User image David Teller [:Yoric] (please use "needinfo") 2013-05-07 01:56:47 PDT
I'm currently neck deep in bug 838577, but as soon as I have some respite (hopefully this week), I'll resume investigating this bug.
Comment 270 User image Treeherder Robot 2013-05-07 10:40:19 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=22690784&tree=Thunderbird-Trunk
TB Rev3 WINNT 6.1 comm-central debug test xpcshell on 2013-05-07 08:40:12
slave: talos-r3-w7-041

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
Comment 271 User image Ryan VanderMeulen [:RyanVM] 2013-05-07 19:39:26 PDT
https://hg.mozilla.org/mozilla-central/rev/65463f2f7ba9
Comment 272 User image Gabriele Svelto [:gsvelto] 2013-05-08 03:05:02 PDT
I'm also stuck fixing hard-to-reproduce B2G crashes but as soon as I'm done I'll be trying to further the investigation I was doing in comment 213. I'm still convinced that the cause is some code that is spawning a worker thread while shutdown is already undergoing. Last time I hit an issue like this it was because of a non-initialized subsystem being shut down but this time it looks different.
Comment 273 User image Treeherder Robot 2013-05-08 03:46:01 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=22725019&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-08 02:13:00
slave: talos-r3-w7-098

03:39:55  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
03:40:06  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
03:41:22    ERROR - Return code: 1
Comment 274 User image Gabriele Svelto [:gsvelto] 2013-05-10 09:24:51 PDT
I've had some time to investigate this further and I can confirm two things:

- The issue is the same on Windows and Linux so this is not platform-specific

- The assertion is triggered by the following chain: ShutdownXPCOM() sends an xpcom-shutdown event to all observers and then spins the event loop with NS_ProcessPendingEvents() to let them run. During this process a new worker thread is spawned; afterwards the xpcom-shutdown-threads event is sent and at this stage RuntimeService::Cleanup() spins the event loop again causing the worker to run and fail with the assertion.
Comment 275 User image Treeherder Robot 2013-05-12 06:05:56 PDT
ehsan
https://tbpl.mozilla.org/php/getParsedLog.php?id=22877970&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 04:03:50
slave: t-w864-ix-060

05:15:18  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
05:15:24  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
05:16:19    ERROR - Return code: 1
Comment 276 User image Treeherder Robot 2013-05-12 09:19:55 PDT
ehsan
https://tbpl.mozilla.org/php/getParsedLog.php?id=22879359&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2013-05-12 08:02:06
slave: talos-r4-snow-008

08:32:01  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
08:32:18  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
08:32:31    ERROR - Return code: 1
Comment 277 User image Treeherder Robot 2013-05-12 09:20:41 PDT
ehsan
https://tbpl.mozilla.org/php/getParsedLog.php?id=22880026&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 07:58:02
slave: t-w864-ix-031

09:11:32  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
09:11:38  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
09:12:34    ERROR - Return code: 1
Comment 278 User image Treeherder Robot 2013-05-12 09:30:48 PDT
dbaron
https://tbpl.mozilla.org/php/getParsedLog.php?id=22877851&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 03:47:57
slave: t-w864-ix-078

03:50:18    ERROR -  abort: HTTP Error 500: Internal Server Error
03:50:18    ERROR -  Automation Error: hg not responding
03:50:18    ERROR - Return code: -1
03:50:18    ERROR - Can't run command ['c:/mozilla-build/hg/hg', '--config', 'ui.merge=internal:merge', 'branch'] in non-existent directory C:\slave\test\build\tools!
03:50:18    ERROR - Can't run command ['c:/mozilla-build/hg/hg', '--config', 'ui.merge=internal:merge', 'update', '-C'] in non-existent directory 'C:\slave\test\build\tools'!
05:04:50  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
05:04:56  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
05:05:53    ERROR - Return code: 1
Comment 279 User image Treeherder Robot 2013-05-12 09:41:12 PDT
dbaron
https://tbpl.mozilla.org/php/getParsedLog.php?id=22876181&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 01:51:54
slave: t-w864-ix-076

03:04:52  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
03:04:58  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
03:05:54    ERROR - Return code: 1
Comment 280 User image Treeherder Robot 2013-05-12 09:41:38 PDT
dbaron
https://tbpl.mozilla.org/php/getParsedLog.php?id=22879022&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 06:45:42
slave: t-w864-ix-025

07:58:42  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
07:58:48  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
07:59:43    ERROR - Return code: 1
Comment 281 User image Treeherder Robot 2013-05-12 09:45:09 PDT
dbaron
https://tbpl.mozilla.org/php/getParsedLog.php?id=22875723&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 01:20:03
slave: t-w864-ix-031

02:32:24  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
02:32:30  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
02:33:25    ERROR - Return code: 1
Comment 282 User image Treeherder Robot 2013-05-12 09:48:29 PDT
dbaron
https://tbpl.mozilla.org/php/getParsedLog.php?id=22874684&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-12 00:10:27
slave: talos-r3-w7-038

01:37:18  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
01:37:29  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
01:38:48    ERROR - Return code: 1
Comment 283 User image Treeherder Robot 2013-05-12 09:48:48 PDT
dbaron
https://tbpl.mozilla.org/php/getParsedLog.php?id=22874400&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 00:10:50
slave: t-w864-ix-056

01:22:54  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
01:23:00  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
01:23:56    ERROR - Return code: 1
Comment 284 User image Treeherder Robot 2013-05-12 10:40:04 PDT
nalexander
https://tbpl.mozilla.org/php/getParsedLog.php?id=22850628&tree=Services-Central
Rev4 MacOSX Lion 10.7 services-central debug test xpcshell on 2013-05-10 19:41:57
slave: talos-r4-lion-069

20:12:48  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
20:13:04  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
20:13:20    ERROR - Return code: 1
Comment 285 User image Treeherder Robot 2013-05-12 22:13:03 PDT
jesup
https://tbpl.mozilla.org/php/getParsedLog.php?id=22888865&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 20:56:24
slave: t-w864-ix-033

22:07:05  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
22:07:11  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
22:08:06    ERROR - Return code: 1
Comment 286 User image Treeherder Robot 2013-05-12 22:53:53 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22890176&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2013-05-12 22:16:10
slave: talos-r4-snow-050

22:44:12  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
22:44:29  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
22:44:42    ERROR - Return code: 1
Comment 287 User image Treeherder Robot 2013-05-12 22:54:09 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22889837&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2013-05-12 22:06:18
slave: talos-r4-snow-002

22:34:12  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
22:34:28  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
22:34:41    ERROR - Return code: 1
Comment 288 User image Treeherder Robot 2013-05-12 22:54:20 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22888602&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2013-05-12 21:32:13
slave: talos-r4-snow-002

21:59:21  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
21:59:37  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
21:59:50    ERROR - Return code: 1
Comment 289 User image Treeherder Robot 2013-05-12 23:03:59 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22880379&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 08:42:08
slave: t-w864-ix-057

09:54:52  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
09:54:58  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
09:55:53    ERROR - Return code: 1
Comment 290 User image Treeherder Robot 2013-05-12 23:07:49 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22881500&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 12:27:57
slave: t-w864-ix-040

13:39:26  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
13:39:33  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
13:40:29    ERROR - Return code: 1
Comment 291 User image Treeherder Robot 2013-05-12 23:11:54 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22887787&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 20:14:58
slave: t-w864-ix-075

21:26:58  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
21:27:04  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
21:27:59    ERROR - Return code: 1
Comment 292 User image Treeherder Robot 2013-05-12 23:12:40 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22888107&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 20:28:57
slave: t-w864-ix-027

21:39:31  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
21:39:37  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
21:40:34    ERROR - Return code: 1
Comment 293 User image Treeherder Robot 2013-05-12 23:13:07 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=22887787&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 20:14:58
slave: t-w864-ix-075

21:26:58  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
21:27:04  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
21:27:59    ERROR - Return code: 1
Comment 294 User image Treeherder Robot 2013-05-12 23:14:36 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22886828&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 19:39:08
slave: t-w864-ix-029

20:49:42  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
20:49:48  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
20:50:44    ERROR - Return code: 1
Comment 295 User image Treeherder Robot 2013-05-12 23:15:44 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=22891113&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 21:53:02
slave: t-w864-ix-030

23:07:54  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
23:08:00  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
23:08:55    ERROR - Return code: 1
Comment 296 User image Treeherder Robot 2013-05-12 23:17:49 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22885572&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 18:13:52
slave: t-w864-ix-029

19:24:59  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
19:25:05  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
19:26:00    ERROR - Return code: 1
Comment 297 User image Treeherder Robot 2013-05-12 23:18:06 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22885377&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 17:54:02
slave: t-w864-ix-032

19:05:22  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
19:05:28  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
19:06:23    ERROR - Return code: 1
Comment 298 User image Treeherder Robot 2013-05-12 23:19:40 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22883592&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2013-05-12 16:38:08
slave: talos-r4-snow-005

17:07:00  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
17:07:17  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
17:07:31    ERROR - Return code: 1
Comment 299 User image Treeherder Robot 2013-05-12 23:30:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22883433&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 15:48:57
slave: t-w864-ix-098

16:58:49  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
16:58:55  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
16:59:50    ERROR - Return code: 1
Comment 300 User image Treeherder Robot 2013-05-13 02:03:03 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=22893108&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2013-05-12 23:28:53
slave: talos-r3-xp-106

00:36:46  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
00:36:57  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
00:38:08    ERROR - Return code: 1
Comment 301 User image Treeherder Robot 2013-05-13 02:03:07 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=22893122&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 23:28:53
slave: t-w864-ix-029

00:40:34  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
00:40:40  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
00:41:36    ERROR - Return code: 1
Comment 302 User image Treeherder Robot 2013-05-13 02:03:48 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=22892792&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 22:56:40
slave: t-w864-ix-040

00:09:29  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
00:09:35  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
00:10:30    ERROR - Return code: 1
Comment 303 User image Treeherder Robot 2013-05-13 02:19:40 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=22892672&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 22:48:25
slave: t-w864-ix-076

00:01:22  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
00:01:28  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
00:02:23    ERROR - Return code: 1
Comment 304 User image Treeherder Robot 2013-05-13 03:29:05 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=22895449&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-13 01:59:57
slave: t-w864-ix-074

03:11:38  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
03:11:44  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
03:12:39    ERROR - Return code: 1
Comment 305 User image Treeherder Robot 2013-05-13 03:34:06 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=22895661&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-13 01:59:49
slave: talos-r3-w7-107

03:26:06  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
03:26:17  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
03:27:33    ERROR - Return code: 1
Comment 306 User image Treeherder Robot 2013-05-13 04:02:34 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=22896353&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2013-05-13 03:26:05
slave: talos-r4-snow-076

03:55:27  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: 1), see following log:
03:55:43  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
03:56:25  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
03:56:41  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
03:56:55    ERROR - Return code: 1
Comment 307 User image Treeherder Robot 2013-05-13 04:59:17 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=22882354&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-12 14:32:06
slave: t-w864-ix-032

15:43:11  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
15:43:17  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
15:44:12    ERROR - Return code: 1
Comment 308 User image Treeherder Robot 2013-05-13 05:00:00 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=22882148&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2013-05-12 14:51:05
slave: talos-r4-snow-079

15:20:36  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
15:20:54  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
15:21:09    ERROR - Return code: 1
Comment 309 User image Treeherder Robot 2013-05-13 05:02:12 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=22898207&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-05-13 03:42:54
slave: t-w864-ix-075

04:55:19  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
04:55:25  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
04:56:21    ERROR - Return code: 1
Comment 310 User image Ed Morley [:emorley] 2013-05-13 05:07:50 PDT
Note: Comment 289 onwards was caused by the landing of bug 860965, which has since been backed out.
Comment 311 User image David Teller [:Yoric] (please use "needinfo") 2013-05-13 07:22:57 PDT
Created attachment 748808 [details] [diff] [review]
Better handling of attempts to initialize the OS.File worker thread during shutdown.

Ok, I think that I got it, thanks to comment 274.

I believe that the problem is due to the lazy initialization of worker threads. In a few situations, we end up sending our first message to the OS.File worker thread during shutdown.

In both cases, we import osfile.jsm (which registers a shutdown observer which sends a message to the worker thread to collect information on resource leaks) but never actually perform any I/O (hence never initialize the worker thread before shutdown).

This patch does two things:
- skip this reporting if the worker thread has never been initialized (which is semantically correct - a worker that has never been initialized cannot leak file descriptors);
- throw an error if we attempt to send any other message during shutdown to a yet uninitialized OS.File worker thread.
Comment 312 User image Nathan Froyd [:froydnj] 2013-05-13 07:46:38 PDT
Comment on attachment 748808 [details] [diff] [review]
Better handling of attempts to initialize the OS.File worker thread during shutdown.

Review of attachment 748808 [details] [diff] [review]:
-----------------------------------------------------------------

::: toolkit/components/osfile/osfile_async_front.jsm
@@ +241,5 @@
>      if (msg) {
>        LOG("WARNING: File descriptors leaks detected.\n" + msg);
>      }
>    });
> +  gShuttingDown = true;

Setting gShuttingDown should be moved further up, before the check of Scheduler.initialized, right?  Otherwise you're never going to hit the error case you added in Scheduler.post.  Or maybe it should even be moved into the conditional for WEB_WORKERS_SHUTDOWN_TOPIC; I don't really understand why this function would have code specially for WEB_WORKERS_SHUTDOWN_TOPIC and then separate code for every other topic.
Comment 313 User image Gabriele Svelto [:gsvelto] 2013-05-13 10:11:14 PDT
(In reply to David Rajchenbach Teller [:Yoric] from comment #311)
> Ok, I think that I got it, thanks to comment 274.
> 
> I believe that the problem is due to the lazy initialization of worker
> threads. In a few situations, we end up sending our first message to the
> OS.File worker thread during shutdown.

From what I could see the problem is even deeper. It seems that by the time we hit ShutdownXPCOM() in this test we haven't even yet loaded the worker's JS code. Armed with a lot of patience and stepping carefully through the code I managed to unravel this chain of events:

- nsSearchService.js tries to do an atomic write immediately after the test has executed:

https://mxr.mozilla.org/mozilla-central/source/toolkit/components/search/nsSearchService.js#2703

- This causes the file handling code to spawn a new DOM Worker in _PromiseWorker.jsm, this is done by posting a runnable to via RuntimeService::ScheduleWorker() (this all happens in the main thread)

https://mxr.mozilla.org/mozilla-central/source/toolkit/components/osfile/_PromiseWorker.jsm#82

- The test finishes and then the WorkerThreadRunnable gets a chance to run and creates the worker. The worker now runs and tries to load the script it needs to execute by invoking LoadWorkerScript() this in turn sends a ScriptLoaderRunnable to execute in the main thread.

- Before the ScriptLoaderRunnable runnable gets a chance to run, the test quits and calls ShutdownXPCOM() which notifies all xpcom-shutdown observers and then spins the event loop here:

https://mxr.mozilla.org/mozilla-central/source/xpcom/build/nsXPComInit.cpp#583

- At this stage the ScriptLoaderRunnable starts to run and tries to load the worker's JS code but it's now already too late. It will fail in multiple places which you can see in the log if you run the test, this is the first related error that crops up:

file:///home/gsvelto/projects/build/firefox-debug/dist/bin/components/nsHandlerService.js:895: NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIProperties.get]
JS Component Loader: ERROR /home/gsvelto/projects/mozilla-central/testing/xpcshell/head.js:957
                     TypeError: Components is undefined

What's causing it is the system trying to establish the MIME type of the source file which is being loaded for the worker. Things basically go south from here but the actual problem is that the worker's JS code has not been loaded yet before we hit ShutdownXPCOM(), so this is just a side-effect.
Comment 314 User image Shu-yu Guo [:shu] 2013-05-13 10:41:07 PDT
(In reply to Ed Morley [:edmorley UTC+1] from comment #310)
> Note: Comment 289 onwards was caused by the landing of bug 860965, which has
> since been backed out.

I'm not too familiar with the XPCOM side of things -- can someone shed light on why landing a patch that only shuffles some self-hosted JavaScript code around causes this particular xpcshell failure? I suppose it changed event loop timings?
Comment 315 User image Gabriele Svelto [:gsvelto] 2013-05-13 11:11:35 PDT
(In reply to Shu-yu Guo [:shu] from comment #314)
> I'm not too familiar with the XPCOM side of things -- can someone shed light
> on why landing a patch that only shuffles some self-hosted JavaScript code
> around causes this particular xpcshell failure? I suppose it changed event
> loop timings?

Yes, it likely changes the order in which posted events get executed. I'm preparing a patch that tries to drain the event queue more thoroughly before shutting down to see if it fixes the problem.
Comment 316 User image David Teller [:Yoric] (please use "needinfo") 2013-05-13 12:12:37 PDT
(In reply to Gabriele Svelto [:gsvelto] from comment #313)
> (In reply to David Rajchenbach Teller [:Yoric] from comment #311)
> > Ok, I think that I got it, thanks to comment 274.
> > 
> > I believe that the problem is due to the lazy initialization of worker
> > threads. In a few situations, we end up sending our first message to the
> > OS.File worker thread during shutdown.
> 
> From what I could see the problem is even deeper. It seems that by the time
> we hit ShutdownXPCOM() in this test we haven't even yet loaded the worker's
> JS code. Armed with a lot of patience and stepping carefully through the
> code I managed to unravel this chain of events:

Yes, that's what I meant with "lazy initialization initialization of worker threads." – namely OS.File's IO worker thread. My patch should raise an asynchronous error whenever this takes place in OS.File.
Comment 317 User image David Teller [:Yoric] (please use "needinfo") 2013-05-13 13:03:26 PDT
Created attachment 748965 [details] [diff] [review]
Better handling of attempts to initialize the OS.File worker thread during shutdown, v2

Let's simplify that code a little.
Comment 318 User image Treeherder Robot 2013-05-13 14:08:49 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=22913720&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test xpcshell on 2013-05-13 12:21:20
slave: talos-r3-fed64-063

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
Comment 319 User image Treeherder Robot 2013-05-13 14:09:01 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=22913747&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test xpcshell on 2013-05-13 12:18:51
slave: talos-r3-fed-087

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
Comment 320 User image Gabriele Svelto [:gsvelto] 2013-05-14 06:03:46 PDT
(In reply to David Rajchenbach Teller [:Yoric] from comment #316)
> Yes, that's what I meant with "lazy initialization initialization of worker
> threads." – namely OS.File's IO worker thread. My patch should raise an
> asynchronous error whenever this takes place in OS.File.

Yes but the problem here is that the post() command happens before shutdown commences so it doesn't trigger your additional check. The creation of the worker is what's triggering the problem as it fires the ScriptLoaderRunnable that will then run after shutdown has commenced.

I've been looking through the code under dom/workers and I can't seem to find a simple solution to prevent the problem from happening. I think we need to modify RuntimeService::Cleanup() (which runs in response to xpcom-shutdown) in such a way that it ensures that all loader runnables have finished executing before returning. It might that this would also fail if other xpcom-shutdown listeners have already shut themselves down in which case we would need to cancel all ScriptLoaderRunnables before they get to run.
Comment 321 User image Gabriele Svelto [:gsvelto] 2013-05-14 07:02:05 PDT
More debugging and more pinpointing... turns out that I had partially misinterpreted the sequence of events. The osfile_async_workers.js source is loaded properly *before* shutdown has initiated but gets executed *afterwards*. Once it starts being executed it will try to import more JS source code here:

https://mxr.mozilla.org/mozilla-central/source/toolkit/components/osfile/osfile_async_worker.js#16

This in turn creates a new ScriptLoaderRunnable to load the code which then fails.
Comment 322 User image David Teller [:Yoric] (please use "needinfo") 2013-05-14 07:14:11 PDT
Mmmh...
This wouldn't be the first time that ScriptLoaderRunnable causes mysterious errors. In this case, my patch probably won't help.
Comment 323 User image Gabriele Svelto [:gsvelto] 2013-05-14 07:52:00 PDT
(In reply to David Rajchenbach Teller [:Yoric] from comment #322)
> Mmmh...
> This wouldn't be the first time that ScriptLoaderRunnable causes mysterious
> errors. In this case, my patch probably won't help.

No, and the bigger issue here is that a worker thread can invoke importScripts() recursively so there's no way to ensure that loading a piece of code won't trigger loading another one unless the worker is completely stopped/canceled/killed. Ultimately one of the runnables might end up beyond the ShutdownXPCOM() call and wreak havoc. Unfortunately I'm not sufficiently familiar with this code to come up with a way to change the shutdown procedure and prevent this; I think we need a DOM worker guru here.
Comment 324 User image Treeherder Robot 2013-05-14 07:53:38 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=22943369&tree=Mozilla-Aurora
Rev4 MacOSX Lion 10.7 mozilla-aurora debug test xpcshell on 2013-05-14 07:09:49
slave: talos-r4-lion-055

07:40:55  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
07:41:11  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
07:41:28    ERROR - Return code: 1
Comment 325 User image Shu-yu Guo [:shu] 2013-05-14 08:34:31 PDT
Is there a workaround at least, or do I have to wait for this to be fixed until I try to reland my stuff?
Comment 326 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2013-05-14 13:02:36 PDT
It's not clear to me what the problem is here. From comment 323:

> Ultimately one of the runnables might end up beyond the ShutdownXPCOM() call
> and wreak havoc.

This shouldn't be possible as RuntimeService::Cleanup won't return until all worker code is finished and all worker threads joined (and a full flush of the main thread's event queue as well).
Comment 327 User image Nathan Froyd [:froydnj] 2013-05-14 13:11:46 PDT
Comment on attachment 748965 [details] [diff] [review]
Better handling of attempts to initialize the OS.File worker thread during shutdown, v2

Clearing review in light of the discussion; please reset if this looks like the right fix after all.
Comment 328 User image Gabriele Svelto [:gsvelto] 2013-05-14 14:43:14 PDT
(In reply to ben turner [:bent] from comment #326)
> This shouldn't be possible as RuntimeService::Cleanup won't return until all
> worker code is finished and all worker threads joined (and a full flush of
> the main thread's event queue as well).

That's what I also thought but somehow it isn't the case here. I can try to break in RuntimeService::Cleanup() and see what's going on there. Is it possible that only the ScriptLoaderRunnable might have "survived" the shutdown procedure while the actual worker was shut down?
Comment 329 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2013-05-14 18:32:34 PDT
No, not really. The worker can't complete until all pending ScriptLoaderRunnables are finished.
Comment 330 User image Gabriele Svelto [:gsvelto] 2013-05-15 00:09:01 PDT
(In reply to ben turner [:bent] from comment #329)
> No, not really. The worker can't complete until all pending
> ScriptLoaderRunnables are finished.

I see... that sounds reasonable. I'll go through the test one more time with GDB and I'll post a full trace of what I'm seeing in the hope that it sheds some light on what's going on here.
Comment 331 User image Gabriele Svelto [:gsvelto] 2013-05-15 10:41:21 PDT
(In reply to ben turner [:bent] from comment #329)
> No, not really. The worker can't complete until all pending
> ScriptLoaderRunnables are finished.

Your comment pointed me in the right direction. I've checked and while that ScriptLoaderRunnable is running in the DOM worker thread the main thread is waiting in RuntimeService::Cleanup() for the worker to stop so that part is completely fine.

I then went ahead and checked the order of shutdown of the various components and found out that nsStreamTransportService is shut down before that ScriptLoaderRunnable gets a chance to run in response to an xpcom-shutdown-threads event, see here:

https://mxr.mozilla.org/mozilla-central/source/netwerk/base/src/nsStreamTransportService.cpp#513

I assume this does not happen in general, but in this specific test the nsStreamTransportService gets the xpcom-shutdown-threads before it reaches RuntimeService and thus the latter will clean up after itself "too late". Considering that I'm seeing more errors besides the assertion it might be that other important subsystems have already been shut down by the time the worker thread gets to run its code.
Comment 332 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2013-05-15 11:43:40 PDT
Hm. That's an interesting theory, but then if the stream transport is cleaning itself up I don't see how we could be hitting the assertion that this bug was filed for...
Comment 333 User image Treeherder Robot 2013-05-17 08:27:55 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=23080141&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-05-17 07:24:38
slave: tst-linux32-ec2-034

08:18:50  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
08:19:10  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
08:20:36    ERROR - Return code: 1
Comment 334 User image Treeherder Robot 2013-05-17 16:18:58 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=23095639&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-05-17 14:57:00
slave: tst-linux32-ec2-052

15:49:56  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
15:50:16  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
15:51:38    ERROR - Return code: 1
Comment 335 User image Treeherder Robot 2013-05-17 16:19:02 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23095639&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-05-17 14:57:00
slave: tst-linux32-ec2-052

15:49:56  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
15:50:16  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
15:51:38    ERROR - Return code: 1
Comment 336 User image Treeherder Robot 2013-05-17 21:51:48 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23105925&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-05-17 20:51:56
slave: tst-linux32-ec2-072

21:45:09  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
21:45:29  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
21:46:51    ERROR - Return code: 1
Comment 337 User image Treeherder Robot 2013-05-18 20:14:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23123197&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2013-05-18 19:35:00
slave: talos-r4-snow-004

20:05:14  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
20:05:31  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
20:05:44    ERROR - Return code: 1
Comment 338 User image Treeherder Robot 2013-05-20 05:23:13 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=23153559&tree=Fx-Team
Rev3 WINNT 6.1 fx-team debug test xpcshell on 2013-05-20 03:42:10
slave: talos-r3-w7-036

05:08:19  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
05:08:32  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
05:09:46    ERROR - Return code: 1
Comment 339 User image Treeherder Robot 2013-05-20 05:23:56 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=23153559&tree=Fx-Team
Rev3 WINNT 6.1 fx-team debug test xpcshell on 2013-05-20 03:42:10
slave: talos-r3-w7-036

05:08:19  WARNING -  TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
05:08:32  WARNING -  PROCESS-CRASH | c:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
05:09:46    ERROR - Return code: 1
Comment 340 User image Treeherder Robot 2013-05-20 22:37:16 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23189290&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-05-20 21:08:20
slave: tst-linux32-ec2-059

22:03:44  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
22:04:03  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
22:05:26    ERROR - Return code: 1
Comment 341 User image Treeherder Robot 2013-05-21 08:21:28 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=23206420&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-05-21 07:08:54
slave: tst-linux32-ec2-008

08:02:08  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
08:02:28  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
08:03:52    ERROR - Return code: 1
Comment 342 User image Treeherder Robot 2013-05-21 13:16:37 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=23218438&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2013-05-21 12:38:15
slave: talos-r4-snow-075

13:09:32  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
13:09:48  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
13:10:02    ERROR - Return code: 1
Comment 343 User image Treeherder Robot 2013-05-21 22:06:04 PDT
dcamp
https://tbpl.mozilla.org/php/getParsedLog.php?id=23238169&tree=Fx-Team
Rev4 MacOSX Lion 10.7 fx-team debug test xpcshell on 2013-05-21 21:21:08
slave: talos-r4-lion-037

21:52:54  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
21:53:10  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
21:53:25    ERROR - Return code: 1
Comment 344 User image Treeherder Robot 2013-05-22 04:20:58 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=23254267&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test xpcshell on 2013-05-22 03:35:19
slave: talos-r4-lion-004

04:05:26  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
04:05:42  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
04:05:58    ERROR - Return code: 1
Comment 345 User image Treeherder Robot 2013-05-22 05:14:42 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=23257122&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test xpcshell on 2013-05-22 04:28:21
slave: talos-r4-lion-008

05:00:02  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
05:00:19  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
05:00:35    ERROR - Return code: 1
Comment 346 User image Treeherder Robot 2013-05-22 13:30:58 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23278301&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test xpcshell on 2013-05-22 12:28:59
slave: talos-r4-lion-029

12:59:38  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
12:59:54  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
13:00:09    ERROR - Return code: 1
Comment 347 User image Treeherder Robot 2013-05-22 13:31:44 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=23278301&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test xpcshell on 2013-05-22 12:28:59
slave: talos-r4-lion-029

12:59:38  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
12:59:54  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
13:00:09    ERROR - Return code: 1
Comment 348 User image Treeherder Robot 2013-05-22 14:20:51 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23281160&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-05-22 12:22:33
slave: tst-linux32-ec2-032

14:00:04  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
14:00:43  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
14:03:27    ERROR - Return code: 1
Comment 349 User image Treeherder Robot 2013-05-22 14:21:11 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=23281160&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-05-22 12:22:33
slave: tst-linux32-ec2-032

14:00:04  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
14:00:43  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
14:03:27    ERROR - Return code: 1
Comment 350 User image Treeherder Robot 2013-05-22 23:51:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23303110&tree=Mozilla-Inbound
Rev4 MacOSX Lion 10.7 mozilla-inbound debug test xpcshell on 2013-05-22 23:07:30
slave: talos-r4-lion-077

23:39:16  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
23:39:32  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
23:39:48    ERROR - Return code: 1
Comment 351 User image Treeherder Robot 2013-05-23 07:58:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23318377&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2013-05-23 07:16:01
slave: talos-r4-snow-010

07:44:23  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
07:44:40  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
07:44:52    ERROR - Return code: 1
Comment 352 User image David Teller [:Yoric] (please use "needinfo") 2013-05-27 06:15:52 PDT
For these specific crashes, I could put a wallpaper bug that initializes OS.File in the test early enough that we don't see the crash. Would this be any useful?
Comment 353 User image Treeherder Robot 2013-05-28 07:54:24 PDT
Gijs
https://tbpl.mozilla.org/php/getParsedLog.php?id=23479083&tree=UX
Rev4 MacOSX Snow Leopard 10.6 ux debug test xpcshell on 2013-05-28 07:11:08
slave: talos-r4-snow-076

07:41:34  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
07:41:50  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
07:42:03    ERROR - Return code: 1
Comment 354 User image Gabriele Svelto [:gsvelto] 2013-05-28 07:59:23 PDT
(In reply to David Rajchenbach Teller [:Yoric] from comment #352)
> For these specific crashes, I could put a wallpaper bug that initializes
> OS.File in the test early enough that we don't see the crash. Would this be
> any useful?

I think that might fix this specific problem; a lot of other similar tests use OS.File and work just fine. We should then keep track in another bug about the root issue (web workers shutdown sequence).
Comment 355 User image Treeherder Robot 2013-05-28 08:12:39 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23480468&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-05-28 07:07:27
slave: tst-linux32-ec2-061

08:03:18  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
08:03:38  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
08:05:05    ERROR - Return code: 1
Comment 356 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2013-05-28 15:37:15 PDT
I still don't think we understand the root problem here...

If what you said in comment 331 is true ("nsStreamTransportService is shut down before that ScriptLoaderRunnable gets a chance to run") then we shouldn't see the assertion that we're apparently hitting here ("ASSERTION: thread pool wasn't shutdown").
Comment 357 User image Treeherder Robot 2013-05-28 22:46:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23520028&tree=Mozilla-Aurora
Rev3 WINNT 6.1 mozilla-aurora debug test xpcshell on 2013-05-28 21:15:59
slave: talos-r3-w7-073

22:42:19  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
22:42:30  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
22:43:46    ERROR - Return code: 1
Comment 358 User image Treeherder Robot 2013-05-29 21:06:43 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23568569&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test xpcshell on 2013-05-29 19:23:13
slave: talos-r3-w7-083

20:52:20  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
20:52:31  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
20:53:48    ERROR - Return code: 1
Comment 359 User image Honza Bambas (:mayhemer) 2013-05-30 07:35:18 PDT
(In reply to ben turner [:bent] from comment #356)
> I still don't think we understand the root problem here...
> 
> If what you said in comment 331 is true ("nsStreamTransportService is shut
> down before that ScriptLoaderRunnable gets a chance to run") then we
> shouldn't see the assertion that we're apparently hitting here ("ASSERTION:
> thread pool wasn't shutdown").

The problem is that something instantiates (GetService'es) the stream transport service AFTER or INSIDE xpcom-shutdown-threads.  The stream transport service then cannot shutdown, it can never get xpcom-shutdown-threads notification, since it's behind it.
Comment 360 User image David Teller [:Yoric] (please use "needinfo") 2013-05-30 07:37:52 PDT
As a side-note, this is the kind of situation for which we first discussed replacing observer events by promises in some cases: being able to watch for an event after it had occurred.
Comment 361 User image Gabriele Svelto [:gsvelto] 2013-05-30 07:56:11 PDT
(In reply to Honza Bambas (:mayhemer) from comment #359)
> The problem is that something instantiates (GetService'es) the stream
> transport service AFTER or INSIDE xpcom-shutdown-threads.  The stream
> transport service then cannot shutdown, it can never get
> xpcom-shutdown-threads notification, since it's behind it.

Yes, that's happening in RuntimeService::Cleanup() which is waiting for workers to terminate. Since the OS.File worker hasn't even been loaded yet it spins up and starts requesting services while inside xpcom-shutdown-threads which fails.
Comment 362 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2013-05-30 08:44:32 PDT
I'm not 100% sure but the worker code should be able to gracefully fail if the StreamTransportService is not available. It sounds to me like the real fix here should be to make sure that the StreamTransportService does not try to resurrect itself after it has already been shut down.
Comment 363 User image Treeherder Robot 2013-05-30 14:12:09 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=23608980&tree=Birch
Ubuntu VM 12.04 birch debug test xpcshell on 2013-05-30 13:11:39
slave: tst-linux32-ec2-019

14:06:39  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
14:06:59  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
14:08:25    ERROR - Return code: 1
Comment 364 User image Treeherder Robot 2013-05-30 19:28:23 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=23621043&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-05-30 18:19:54
slave: tst-linux32-ec2-090

19:12:19  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:12:38  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:14:07    ERROR - Return code: 1
Comment 365 User image Shu-yu Guo [:shu] 2013-05-31 10:19:10 PDT
A gentle reminder that this blocks me from landing self-hosted JS code, and so we should fix this soon. :)
Comment 366 User image David Teller [:Yoric] (please use "needinfo") 2013-06-01 00:20:01 PDT
Created attachment 756933 [details] [diff] [review]
Wallpaper patch

Since this prevents other work from landing, here's a wallpaper patch.

Try: https://tbpl.mozilla.org/?tree=Try&rev=e88535999673
Comment 367 User image David Teller [:Yoric] (please use "needinfo") 2013-06-01 01:02:40 PDT
Sorry, wrong try link.
Try: https://tbpl.mozilla.org/?tree=Try&rev=0161adac5a44
Comment 368 User image Nathan Froyd [:froydnj] 2013-06-01 10:55:10 PDT
Comment on attachment 756933 [details] [diff] [review]
Wallpaper patch

Review of attachment 756933 [details] [diff] [review]:
-----------------------------------------------------------------

I don't think this is the right fix.  Ben's solution from comment 362 sounds reasonable and should be ~10 lines of code, maybe less.
Comment 369 User image David Teller [:Yoric] (please use "needinfo") 2013-06-02 00:33:48 PDT
> I don't think this is the right fix.  Ben's solution from comment 362 sounds
> reasonable and should be ~10 lines of code, maybe less.

Ok, this will be a larger wallpaper fix. I'll give it a try.
Comment 370 User image David Teller [:Yoric] (please use "needinfo") 2013-06-02 05:41:42 PDT
Created attachment 757107 [details] [diff] [review]
Preventing nsStreamTransportService from re-initializing

Is that what you had in mind, Ben?

Try: https://tbpl.mozilla.org/?tree=Try&rev=4e4faf4b5945
Comment 371 User image Nathan Froyd [:froydnj] 2013-06-02 05:48:19 PDT
Comment on attachment 757107 [details] [diff] [review]
Preventing nsStreamTransportService from re-initializing

Review of attachment 757107 [details] [diff] [review]:
-----------------------------------------------------------------

::: netwerk/base/src/nsStreamTransportService.cpp
@@ +514,5 @@
>  
>    if (mPool) {
>      mPool->Shutdown();
>      mPool = nullptr;
> +    mHasBeenShutdown = true;

I think you want to set this variable unconditionally.
Comment 372 User image David Teller [:Yoric] (please use "needinfo") 2013-06-02 07:12:30 PDT
Created attachment 757126 [details] [diff] [review]
Preventing nsStreamTransportService from re-initializing, v2

Good point.
Comment 373 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2013-06-02 09:51:06 PDT
Comment on attachment 757126 [details] [diff] [review]
Preventing nsStreamTransportService from re-initializing, v2

Review of attachment 757126 [details] [diff] [review]:
-----------------------------------------------------------------

Wouldn't a resurrected nsStreamTransportService actually be a new instance? You have to keep track of the shutdown flag statically.
Comment 374 User image David Teller [:Yoric] (please use "needinfo") 2013-06-02 10:43:20 PDT
Created attachment 757152 [details] [diff] [review]
Preventing nsStreamTransportService from re-initializing, v3

Good point, too.
Comment 375 User image Treeherder Robot 2013-06-02 10:57:32 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23701503&tree=Mozilla-Central
Ubuntu VM 12.04 mozilla-central debug test xpcshell on 2013-06-02 09:51:24
slave: tst-linux32-ec2-048

10:44:45  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
10:45:04  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
10:46:27    ERROR - Return code: 1
Comment 376 User image David Teller [:Yoric] (please use "needinfo") 2013-06-02 14:07:15 PDT
Created attachment 757178 [details] [diff] [review]
Preventing nsStreamTransportService from re-initializing, v4

Sorry, fixed typo.
Comment 377 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2013-06-02 17:45:41 PDT
Comment on attachment 757178 [details] [diff] [review]
Preventing nsStreamTransportService from re-initializing, v4

>diff --git a/netwerk/base/src/nsStreamTransportService.cpp b/netwerk/base/src/nsStreamTransportService.cpp

> nsStreamTransportService::Init()
> {
>+    if (mHasBeenShutdown) {

(you meant sHasBeenShutdown)
Comment 378 User image David Teller [:Yoric] (please use "needinfo") 2013-06-03 02:54:24 PDT
Created attachment 757302 [details] [diff] [review]
Preventing nsStreamTransportService from re-initializing, v5

Ah, thanks.
I guess that's what I get for writing patches instead of sleeping.
Comment 379 User image Honza Bambas (:mayhemer) 2013-06-03 06:45:35 PDT
Comment on attachment 757302 [details] [diff] [review]
Preventing nsStreamTransportService from re-initializing, v5

Review of attachment 757302 [details] [diff] [review]:
-----------------------------------------------------------------

I don't think this is going to work.

Problem is that stream transport service is apparently instantiated AFTER the "xpcom-shutdown-threads", so the change in Init() method will see your new flag as false anyway.

You needs this flag in XPCOM and let the stream transport service check it.  Problem is - what impact is this going to have on OS.File?  Is there a chance of user data loose during shutdown?
Comment 380 User image David Teller [:Yoric] (please use "needinfo") 2013-06-03 07:17:48 PDT
(In reply to Honza Bambas (:mayhemer) from comment #379)
> I don't think this is going to work.
> 
> Problem is that stream transport service is apparently instantiated AFTER
> the "xpcom-shutdown-threads", so the change in Init() method will see your
> new flag as false anyway.

Ah, it was my understanding that it was *re*instantiated. However, as you, I fear that my patch is too fragile.

The only robust way I can think of is to make nsIComponentManager aware of where we are in the startup/shutdown process, possibly with two methods such as:

  /**
   * Determine if the process has reached a given stage.
   *
   * @param stage One of the startup or shutdown notifications detailed in 
   * https://developer.mozilla.org/en-US/docs/Observer_Notifications
   * @return |true| if |setIsReached(stage)| has ever been called.
   */
  bool isReached(wstring stage);
  [noscript] bool setIsReached(wstring stage);

I believe that this would be useful for more than this bug.

> You needs this flag in XPCOM and let the stream transport service check it. 
> Problem is - what impact is this going to have on OS.File?  Is there a
> chance of user data loose during shutdown?

In real use scenario, OS.File is instantiated during startup, so we shouldn't have any issue. In a non-Firefox context, this might be different.
Comment 381 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2013-06-03 11:00:42 PDT
We can force the stream transport service alive in RuntimeService::Init(), but that seems fragile too. It seems like Necko should be handling this somehow.
Comment 382 User image Treeherder Robot 2013-06-03 17:18:23 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23736931&tree=Mozilla-Central
Ubuntu VM 12.04 mozilla-central debug test xpcshell on 2013-06-03 14:53:11
slave: tst-linux32-ec2-075

15:45:45  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
15:46:05  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
15:47:27    ERROR - Return code: 1
Comment 383 User image Treeherder Robot 2013-06-04 03:07:45 PDT
Gijs
https://tbpl.mozilla.org/php/getParsedLog.php?id=23759963&tree=UX
Ubuntu VM 12.04 ux debug test xpcshell on 2013-06-04 01:44:08
slave: tst-linux32-ec2-021

02:36:53  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
02:37:13  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
02:38:36    ERROR - Return code: 1
Comment 384 User image Treeherder Robot 2013-06-04 17:36:38 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=23784667&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora debug test xpcshell on 2013-06-04 14:29:49
slave: talos-r3-xp-125

15:41:42  WARNING -  TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | test failed (with xpcshell return code: -2147483645), see following log:
15:41:53  WARNING -  PROCESS-CRASH | C:\talos-slave\test\build\tests\xpcshell\tests\toolkit\components\search\tests\xpcshell\test_645970.js | application crashed [@ mozalloc_abort(char const * const)]
15:43:05    ERROR - Return code: 1
Comment 385 User image Treeherder Robot 2013-06-05 01:33:55 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=23801441&tree=Birch
Ubuntu VM 12.04 birch debug test xpcshell on 2013-06-04 21:08:06
slave: tst-linux32-ec2-061

22:02:40  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
22:02:59  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
22:04:24    ERROR - Return code: 1
Comment 386 User image Treeherder Robot 2013-06-06 03:41:46 PDT
:jonco
https://tbpl.mozilla.org/php/getParsedLog.php?id=23818487&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try debug test xpcshell on 2013-06-05 09:40:08
slave: talos-r4-snow-048

10:11:33  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
10:11:50  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
10:12:03    ERROR - Return code: 1
Comment 387 User image David Teller [:Yoric] (please use "needinfo") 2013-06-06 03:44:50 PDT
Well, back to plan whatever-it-was: wallpaper the patch until we can make the necessary changes to Necko or XPCOM itself, so as to unblock bug 853301 and bug 860965.
Comment 388 User image David Teller [:Yoric] (please use "needinfo") 2013-06-07 06:28:47 PDT
(In reply to Honza Bambas (:mayhemer) from comment #379)
> Comment on attachment 757302 [details] [diff] [review]
> Preventing nsStreamTransportService from re-initializing, v5
> 
> Review of attachment 757302 [details] [diff] [review]:
> -----------------------------------------------------------------
> 
> I don't think this is going to work.
> 
> Problem is that stream transport service is apparently instantiated AFTER
> the "xpcom-shutdown-threads", so the change in Init() method will see your
> new flag as false anyway.
> 
> You needs this flag in XPCOM and let the stream transport service check it. 
> Problem is - what impact is this going to have on OS.File?  Is there a
> chance of user data loose during shutdown?

I don't know how intermittent the problem is, but https://tbpl.mozilla.org/?tree=Try&rev=5551a5bf965c doesn't have xpcshell failures (there's a build failure, but doesn't seem related to my patch). I'll relaunch tests a few times, but I believe that we can try and land this patch – and revert it if it doesn't actually fix the issue.
Comment 389 User image David Teller [:Yoric] (please use "needinfo") 2013-06-07 07:24:04 PDT
Honza, does that strategy sound ok to you?
Comment 390 User image Honza Bambas (:mayhemer) 2013-06-07 09:04:37 PDT
I personally don't believe the patch will change stuff, but you've spent more time investigating this then me.  So, go forward, we can back it out any time later.
Comment 391 User image Christian :Biesinger (don't email me, ping me on IRC) 2013-06-07 13:00:51 PDT
Comment on attachment 748965 [details] [diff] [review]
Better handling of attempts to initialize the OS.File worker thread during shutdown, v2

     let promise = worker.post.apply(worker, args);
+    if (!this.initialized && gShuttingDown) {
+      return Promise.reject(new Error("Attempting to initialize OS.File thread during shutdown"));
+    }

shouldn't the return be before the "let promise" line?
Comment 392 User image David Teller [:Yoric] (please use "needinfo") 2013-06-07 13:37:05 PDT
Comment on attachment 757302 [details] [diff] [review]
Preventing nsStreamTransportService from re-initializing, v5

Mmmhhh... It seems that I obsoleted v5 in reaction to an issue on v4 that v5 actually fixed. I must be tired.
Also, sorry, I managed to r? the wrong patch.
Comment 393 User image David Teller [:Yoric] (please use "needinfo") 2013-06-10 06:33:48 PDT
Ok, let's see if this fixes the issue.
Comment 394 User image Ryan VanderMeulen [:RyanVM] 2013-06-10 08:25:56 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/f92a6ad158c7
Comment 395 User image Ryan VanderMeulen [:RyanVM] 2013-06-10 12:50:30 PDT
https://hg.mozilla.org/mozilla-central/rev/f92a6ad158c7

What's the plan for re-enabling the tests on the platforms they were disabled on?
Comment 396 User image David Teller [:Yoric] (please use "needinfo") 2013-06-10 12:52:34 PDT
The patch should re-enable the tests.
The idea is to revert the patch (hence re-disabling the tests) if we don't solve the issue.
Comment 397 User image Ryan VanderMeulen [:RyanVM] 2013-06-10 12:54:12 PDT
I don't see any test re-enabling in that changeset...
Comment 398 User image David Teller [:Yoric] (please use "needinfo") 2013-06-10 13:52:01 PDT
Created attachment 760563 [details] [diff] [review]
Re-enabling test suite.

My bad.
Comment 399 User image Treeherder Robot 2013-06-10 18:21:32 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=23989076&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-10 17:12:21
slave: tst-linux64-ec2-112

18:01:26  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
18:01:40  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
18:02:54    ERROR - Return code: 1
Comment 400 User image Ryan VanderMeulen [:RyanVM] 2013-06-10 19:09:21 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/14d35bcbc52f

Fingers crossed.
Comment 401 User image Treeherder Robot 2013-06-11 00:26:39 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=23996684&tree=Thunderbird-Trunk
TB Rev3 Fedora 12x64 comm-central debug test xpcshell on 2013-06-10 20:43:51
slave: talos-r3-fed64-051

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
Comment 402 User image Treeherder Robot 2013-06-11 00:26:45 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=23996010&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test xpcshell on 2013-06-10 20:21:55
slave: talos-r3-fed-025

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
Comment 403 User image Ed Morley [:emorley] 2013-06-11 01:39:56 PDT
https://hg.mozilla.org/mozilla-central/rev/14d35bcbc52f
Comment 404 User image Treeherder Robot 2013-06-11 04:32:17 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=24002660&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-11 03:23:05
slave: tst-linux64-ec2-188

04:03:58  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
04:04:10  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
04:05:32    ERROR - Return code: 1
Comment 405 User image Ryan VanderMeulen [:RyanVM] 2013-06-11 04:46:24 PDT
Looks like that didn't work.
Comment 406 User image Treeherder Robot 2013-06-11 05:06:03 PDT
WG9s
https://tbpl.mozilla.org/php/getParsedLog.php?id=24003941&tree=Mozilla-Central
Ubuntu VM 12.04 x64 mozilla-central debug test xpcshell on 2013-06-11 04:11:00
slave: tst-linux64-ec2-328

04:54:56  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
04:55:08  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
04:56:32    ERROR - Return code: 1
Comment 407 User image Ryan VanderMeulen [:RyanVM] 2013-06-11 05:14:37 PDT
Reverted.
https://hg.mozilla.org/integration/mozilla-inbound/rev/8fe099852dc4
Comment 408 User image Treeherder Robot 2013-06-11 10:11:13 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=24013173&tree=Mozilla-Central
Windows 7 32-bit mozilla-central debug test xpcshell on 2013-06-11 08:58:00
slave: t-w732-ix-113

09:58:19  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | test failed (with xpcshell return code: -2147483645), see following log:
09:58:25  WARNING -  PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\toolkit\components\osfile\tests\xpcshell\test_logging.js | application crashed [@ mozalloc_abort(char const * const)]
09:59:04    ERROR - Return code: 1
Comment 409 User image Treeherder Robot 2013-06-11 10:43:40 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=24014921&tree=Mozilla-Central
Ubuntu VM 12.04 x64 mozilla-central debug test xpcshell on 2013-06-11 09:49:53
slave: tst-linux64-ec2-387

10:34:12  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:34:24  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
10:35:51    ERROR - Return code: 1
Comment 410 User image Ryan VanderMeulen [:RyanVM] 2013-06-11 12:04:57 PDT
https://hg.mozilla.org/mozilla-central/rev/8fe099852dc4
Comment 411 User image Treeherder Robot 2013-06-11 12:18:17 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=24017345&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test xpcshell on 2013-06-11 10:31:41
slave: talos-r3-fed-032

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
Comment 412 User image Treeherder Robot 2013-06-11 21:24:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24021137&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-11 12:18:32
revision: b20581b9efbb
slave: tst-linux64-ec2-308

13:02:22  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
13:02:34  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
13:04:01    ERROR - Return code: 1
Comment 413 User image Treeherder Robot 2013-06-12 01:01:13 PDT
jonco
https://tbpl.mozilla.org/php/getParsedLog.php?id=24014584&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-11 09:43:01
revision: 5114c659929b
slave: tst-linux64-ec2-365

10:28:13  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
10:28:27  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
10:29:51    ERROR - Return code: 1
Comment 414 User image Treeherder Robot 2013-06-12 05:20:43 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=24051981&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-12 03:39:25
revision: 7fb933609efe
slave: tst-linux64-ec2-333

04:23:43  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | test failed (with xpcshell return code: -11), see following log:
04:23:55  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/search/tests/xpcshell/test_645970.js | application crashed [@ mozalloc_abort(char const*)]
04:25:19    ERROR - Return code: 1
Comment 415 User image Treeherder Robot 2013-06-13 11:22:05 PDT
mkmelin
https://tbpl.mozilla.org/php/getParsedLog.php?id=24104022&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test xpcshell on 2013-06-13 05:29:50
revision: 47d08a243bde
slave: talos-r3-fed-039

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
Comment 416 User image Treeherder Robot 2013-06-14 15:13:38 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24168040&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-14 14:11:54
revision: f0c61b755de9
slave: tst-linux64-ec2-041

14:39:10  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
14:39:24  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
15:04:00    ERROR - Return code: 1
Comment 417 User image Treeherder Robot 2013-06-17 13:12:49 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=24215492&tree=Thunderbird-Trunk
TB Rev3 Fedora 12 comm-central debug test xpcshell on 2013-06-16 15:41:46
revision: 723ed450d2e7
slave: talos-r3-fed-080

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
Comment 418 User image Treeherder Robot 2013-06-19 09:54:11 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24339131&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-19 08:52:29
revision: 259e68f8843d
slave: tst-linux64-ec2-026

09:19:54  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
09:20:08  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
09:44:32    ERROR - Return code: 1
Comment 419 User image Treeherder Robot 2013-06-20 08:48:27 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=24384298&tree=Mozilla-Central
Ubuntu VM 12.04 mozilla-central debug test xpcshell on 2013-06-20 07:42:31
revision: a67425aa4728
slave: tst-linux32-ec2-034

08:13:48  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
08:14:08  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
08:41:51    ERROR - Return code: 1
Comment 420 User image Treeherder Robot 2013-06-20 20:55:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24415389&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-20 19:52:56
revision: 7addaeb4e9ad
slave: tst-linux64-ec2-321

20:18:28  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
20:18:40  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
20:41:24    ERROR - Return code: 1
Comment 421 User image Treeherder Robot 2013-06-20 20:55:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24414632&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-20 19:27:19
revision: 9695f620df74
slave: tst-linux64-ec2-373

19:53:31  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:53:45  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
20:16:15    ERROR - Return code: 1
Comment 422 User image Treeherder Robot 2013-06-20 20:56:06 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24413750&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-20 19:07:09
revision: 03fcdac57879
slave: tst-linux64-ec2-364

19:33:16  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:33:29  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:56:24    ERROR - Return code: 1
Comment 423 User image Treeherder Robot 2013-06-21 06:12:20 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=24423514&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-21 05:18:06
revision: 50e5eb0c4008
slave: tst-linux64-ec2-034

05:44:07  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
05:44:20  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
06:06:14    ERROR - Return code: 1
Comment 424 User image Treeherder Robot 2013-06-21 06:22:17 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=24423667&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-21 05:27:21
revision: 0dd5a67fd870
slave: tst-linux64-ec2-090

05:53:08  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
05:53:20  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
06:15:59    ERROR - Return code: 1
Comment 425 User image Treeherder Robot 2013-06-21 08:00:48 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=24425842&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-21 07:01:38
revision: 0dd5a67fd870
slave: tst-linux64-ec2-050

07:31:02  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
07:31:17  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
07:57:10    ERROR - Return code: 1
Comment 426 User image Treeherder Robot 2013-06-21 09:50:20 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=24428455&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-21 08:42:29
revision: d9618f424221
slave: tst-linux64-ec2-089

09:08:24  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
09:08:37  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
09:30:34    ERROR - Return code: 1
Comment 427 User image Treeherder Robot 2013-06-21 10:27:12 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=24430600&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-21 09:18:04
revision: 544f20b3e767
slave: tst-linux64-ec2-375

09:45:41  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
09:45:54  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
10:08:55    ERROR - Return code: 1
Comment 428 User image Treeherder Robot 2013-06-21 11:22:54 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=24431764&tree=Birch
Ubuntu VM 12.04 x64 birch debug test xpcshell on 2013-06-21 09:46:00
revision: f9c7aac2370a
slave: tst-linux64-ec2-035

10:12:21  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
10:12:34  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
10:35:19    ERROR - Return code: 1
Comment 429 User image Treeherder Robot 2013-06-21 14:07:10 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=24436168&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-21 11:49:10
revision: 19051dc100fe
slave: tst-linux64-ec2-144

12:18:13  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
12:18:27  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
12:44:18    ERROR - Return code: 1
Comment 430 User image Treeherder Robot 2013-06-21 14:09:09 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=24438781&tree=Fx-Team
Ubuntu VM 12.04 x64 fx-team debug test xpcshell on 2013-06-21 13:04:55
revision: 8f5749eb49f6
slave: tst-linux64-ec2-432

13:31:55  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
13:32:08  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
13:56:08    ERROR - Return code: 1
Comment 431 User image Treeherder Robot 2013-06-21 14:18:18 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24435576&tree=Fx-Team
Ubuntu VM 12.04 x64 fx-team debug test xpcshell on 2013-06-21 11:31:34
revision: 09fd019331d3
slave: tst-linux64-ec2-095

12:00:59  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
12:01:13  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
12:27:02    ERROR - Return code: 1
Comment 432 User image Treeherder Robot 2013-06-21 14:29:34 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24439646&tree=Fx-Team
Ubuntu VM 12.04 x64 fx-team debug test xpcshell on 2013-06-21 13:32:09
revision: 98ffaa4da1c7
slave: tst-linux64-ec2-110

13:58:05  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
13:58:19  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
14:20:23    ERROR - Return code: 1
Comment 433 User image Treeherder Robot 2013-06-21 15:17:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24440969&tree=Birch
Ubuntu VM 12.04 x64 birch debug test xpcshell on 2013-06-21 14:11:56
revision: 3185e7bf207c
slave: tst-linux64-ec2-355

14:38:20  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
14:38:34  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
15:01:41    ERROR - Return code: 1
Comment 434 User image Treeherder Robot 2013-06-21 16:46:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24443999&tree=Birch
Ubuntu VM 12.04 x64 birch debug test xpcshell on 2013-06-21 15:51:12
revision: 83b735ca92ed
slave: tst-linux64-ec2-142

16:17:01  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
16:17:14  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
16:40:02    ERROR - Return code: 1
Comment 435 User image Shu-yu Guo [:shu] 2013-06-21 16:59:09 PDT
I'm guessing from this sudden deluge of failures that the load-bearing wallpaper didn't work out?
Comment 436 User image Treeherder Robot 2013-06-21 18:40:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24445793&tree=Fx-Team
Ubuntu VM 12.04 x64 fx-team debug test xpcshell on 2013-06-21 16:36:49
revision: deb4d87d1684
slave: tst-linux64-ec2-417

17:02:44  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
17:02:57  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
17:25:41    ERROR - Return code: 1
Comment 437 User image Treeherder Robot 2013-06-22 01:59:12 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=24443967&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-21 15:48:00
revision: 0daeb0a45496
slave: tst-linux64-ec2-426

16:15:33  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
16:15:46  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
16:39:08    ERROR - Return code: 1
Comment 438 User image Treeherder Robot 2013-06-22 12:17:14 PDT
keeler
https://tbpl.mozilla.org/php/getParsedLog.php?id=24451306&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-21 18:37:45
revision: df4cadfc44cd
slave: tst-linux64-ec2-086

19:08:10  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:08:25  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:35:33    ERROR - Return code: 1
Comment 439 User image Treeherder Robot 2013-06-22 12:17:22 PDT
keeler
https://tbpl.mozilla.org/php/getParsedLog.php?id=24451037&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-21 18:37:51
revision: df4cadfc44cd
slave: tst-linux64-ec2-044

19:04:54  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:05:08  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:28:47    ERROR - Return code: 1
Comment 440 User image Treeherder Robot 2013-06-22 12:17:36 PDT
keeler
https://tbpl.mozilla.org/php/getParsedLog.php?id=24450997&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-21 18:37:53
revision: df4cadfc44cd
slave: tst-linux64-ec2-366

19:04:31  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:04:44  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:27:53    ERROR - Return code: 1
Comment 441 User image Treeherder Robot 2013-06-22 12:17:41 PDT
keeler
https://tbpl.mozilla.org/php/getParsedLog.php?id=24451043&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-21 18:37:53
revision: df4cadfc44cd
slave: tst-linux64-ec2-446

19:05:04  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:05:18  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:28:51    ERROR - Return code: 1
Comment 442 User image Treeherder Robot 2013-06-22 12:18:05 PDT
keeler
https://tbpl.mozilla.org/php/getParsedLog.php?id=24451060&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-21 18:37:56
revision: df4cadfc44cd
slave: tst-linux64-ec2-378

19:05:22  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:05:35  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:29:25    ERROR - Return code: 1
Comment 443 User image Treeherder Robot 2013-06-22 12:18:23 PDT
keeler
https://tbpl.mozilla.org/php/getParsedLog.php?id=24450939&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-21 18:37:59
revision: df4cadfc44cd
slave: tst-linux64-ec2-337

19:03:49  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:04:03  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:26:28    ERROR - Return code: 1
Comment 444 User image Treeherder Robot 2013-06-22 12:18:35 PDT
keeler
https://tbpl.mozilla.org/php/getParsedLog.php?id=24451011&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-21 18:38:00
revision: df4cadfc44cd
slave: tst-linux64-ec2-411

19:04:33  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:04:46  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:28:12    ERROR - Return code: 1
Comment 445 User image Treeherder Robot 2013-06-22 12:18:45 PDT
keeler
https://tbpl.mozilla.org/php/getParsedLog.php?id=24451248&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-21 18:38:08
revision: df4cadfc44cd
slave: tst-linux64-ec2-013

19:07:44  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:07:58  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:34:04    ERROR - Return code: 1
Comment 446 User image Treeherder Robot 2013-06-22 12:18:51 PDT
keeler
https://tbpl.mozilla.org/php/getParsedLog.php?id=24450980&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-21 18:38:10
revision: df4cadfc44cd
slave: tst-linux64-ec2-449

19:04:27  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:04:40  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:27:30    ERROR - Return code: 1
Comment 447 User image Treeherder Robot 2013-06-22 12:18:56 PDT
keeler
https://tbpl.mozilla.org/php/getParsedLog.php?id=24450970&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-21 18:38:14
revision: df4cadfc44cd
slave: tst-linux64-ec2-354

19:04:25  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:04:39  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:27:12    ERROR - Return code: 1
Comment 448 User image Treeherder Robot 2013-06-22 12:19:30 PDT
keeler
https://tbpl.mozilla.org/php/getParsedLog.php?id=24450989&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-21 18:38:50
revision: df4cadfc44cd
slave: tst-linux64-ec2-057

19:05:41  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:05:54  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:27:31    ERROR - Return code: 1
Comment 449 User image Treeherder Robot 2013-06-25 13:42:27 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=24581622&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-25 12:46:52
revision: 447ff64adbb1
slave: tst-linux64-ec2-010

13:14:11  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
13:14:24  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
13:37:34    ERROR - Return code: 1
Comment 450 User image Treeherder Robot 2013-06-26 10:39:10 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24619719&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-26 09:38:35
revision: 53e925dc3bda
slave: tst-linux64-ec2-006

10:08:54  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
10:09:08  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
10:31:16    ERROR - Return code: 1
Comment 451 User image Treeherder Robot 2013-06-26 11:58:39 PDT
Gijs
https://tbpl.mozilla.org/php/getParsedLog.php?id=24620075&tree=UX
Ubuntu VM 12.04 x64 ux debug test xpcshell on 2013-06-26 09:46:59
revision: 1e69af94fff2
slave: tst-linux64-ec2-305

10:17:21  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
10:17:34  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
10:40:46    ERROR - Return code: 1
Comment 452 User image David Teller [:Yoric] (please use "needinfo") 2013-06-26 12:36:15 PDT
Created attachment 767930 [details] [diff] [review]
2. Preventing nsStreamTransportService from re-initializing, v6

Same objective, more robust implementation.
Comment 453 User image David Teller [:Yoric] (please use "needinfo") 2013-06-26 12:40:31 PDT
Created attachment 767935 [details] [diff] [review]
1. Exposing startup/shutdown data

Here's a patch exposing the current xpcom startup/shutdown status, so that clients can take informed decisions, such as not initializing during shutdown.

I have put the code in nsXPComInit.cpp, but it could move
Comment 454 User image David Teller [:Yoric] (please use "needinfo") 2013-06-26 13:13:52 PDT
Try: https://tbpl.mozilla.org/?tree=Try&rev=b02719706450
Comment 455 User image Christian :Biesinger (don't email me, ping me on IRC) 2013-06-26 16:25:22 PDT
Comment on attachment 767930 [details] [diff] [review]
2. Preventing nsStreamTransportService from re-initializing, v6

this is missing a return statement...?
Comment 456 User image David Teller [:Yoric] (please use "needinfo") 2013-06-26 17:47:58 PDT
Created attachment 768100 [details] [diff] [review]
2. Preventing nsStreamTransportService from re-initializing, v7

Oops.
Try: https://tbpl.mozilla.org/?tree=Try&rev=b4dbf8a429a5
Comment 457 User image Treeherder Robot 2013-06-26 19:24:51 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24643413&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-26 18:26:07
revision: ae6f3b0bc23d
slave: tst-linux64-ec2-040

18:53:29  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
18:53:43  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:15:34    ERROR - Return code: 1
Comment 458 User image Treeherder Robot 2013-06-26 21:27:34 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24646339&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-26 20:11:53
revision: 12e09c549363
slave: tst-linux64-ec2-331

20:39:28  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
20:39:41  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
21:02:52    ERROR - Return code: 1
Comment 459 User image Treeherder Robot 2013-06-26 22:25:06 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24648120&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-26 21:23:08
revision: 794e53a1c8dc
slave: tst-linux64-ec2-353

21:50:24  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
21:50:37  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
22:13:13    ERROR - Return code: 1
Comment 460 User image Treeherder Robot 2013-06-27 03:47:11 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=24654814&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-27 02:38:28
revision: 59f88c16fca7
slave: tst-linux64-ec2-042

03:06:28  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
03:06:41  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
03:29:27    ERROR - Return code: 1
Comment 461 User image Treeherder Robot 2013-06-27 09:04:16 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24662863&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-27 08:05:54
revision: 016160c72517
slave: tst-linux64-ec2-092

08:34:08  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
08:34:22  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
08:56:20    ERROR - Return code: 1
Comment 462 User image Christian :Biesinger (don't email me, ping me on IRC) 2013-06-27 12:33:59 PDT
Comment on attachment 768100 [details] [diff] [review]
2. Preventing nsStreamTransportService from re-initializing, v7

this is a storage patch, not stream transport service?
Comment 463 User image David Teller [:Yoric] (please use "needinfo") 2013-06-27 12:36:30 PDT
Created attachment 768517 [details] [diff] [review]
2. Preventing nsStreamTransportService from re-initializing, v8

Sorry about that. Too much multitasking, too much jetlag, not enough sleep.
Comment 464 User image Treeherder Robot 2013-06-27 14:35:51 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24674058&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-27 13:02:26
revision: 24de4eda70e2
slave: tst-linux64-ec2-145

13:33:13  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
13:33:27  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
13:56:50    ERROR - Return code: 1
Comment 465 User image Christian :Biesinger (don't email me, ping me on IRC) 2013-06-27 15:19:31 PDT
Comment on attachment 768517 [details] [diff] [review]
2. Preventing nsStreamTransportService from re-initializing, v8

 {
+    if (NS_GetAppStatus() >= NS_APPSTATUS_QUIT_APPLICATION_GRANTED) {
+      // Do not initialize if we are currently shutting down.
+      // See bug 845190.
+     return NS_ERROR_ILLEGAL_DURING_SHUTDOWN;
+    }

please fix the inconsistent indentation
Comment 466 User image Treeherder Robot 2013-06-27 17:28:08 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24682883&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-27 16:30:43
revision: 611624b7ddb4
slave: tst-linux64-ec2-322

16:57:59  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
16:58:12  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
17:20:17    ERROR - Return code: 1
Comment 467 User image Treeherder Robot 2013-06-27 19:48:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24687158&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-27 18:49:51
revision: c5ccdfa3a392
slave: tst-linux64-ec2-387

19:17:15  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:17:28  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:40:00    ERROR - Return code: 1
Comment 468 User image Treeherder Robot 2013-06-28 08:08:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24711002&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 07:12:40
revision: 2b2fea402b9c
slave: tst-linux64-ec2-344

07:40:21  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
07:40:35  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
08:03:39    ERROR - Return code: 1
Comment 469 User image David Teller [:Yoric] (please use "needinfo") 2013-06-28 09:54:20 PDT
Comment on attachment 768517 [details] [diff] [review]
2. Preventing nsStreamTransportService from re-initializing, v8

Applied feedback and moved this to bug 888347.
Comment 470 User image Treeherder Robot 2013-06-28 12:02:33 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24717849&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 11:04:28
revision: 19d5caf61217
slave: tst-linux64-ec2-073

11:31:57  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
11:32:11  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
11:53:58    ERROR - Return code: 1
Comment 471 User image Treeherder Robot 2013-06-28 12:40:10 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24719240&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 11:37:26
revision: 14b27ee025b8
slave: tst-linux64-ec2-038

12:06:27  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
12:06:40  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
12:28:51    ERROR - Return code: 1
Comment 472 User image Treeherder Robot 2013-06-28 14:06:52 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=24721023&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-28 12:40:03
revision: e487625f28d0
slave: tst-linux64-ec2-022

13:08:08  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
13:08:21  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
13:30:35    ERROR - Return code: 1
Comment 473 User image Treeherder Robot 2013-06-28 18:22:24 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24731168&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-28 17:15:00
revision: d1e9d5618e95
slave: tst-linux32-ec2-354

17:47:59  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
17:48:18  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
18:14:47    ERROR - Return code: 1
Comment 474 User image Treeherder Robot 2013-06-28 18:22:48 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24730742&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 17:03:00
revision: d1e9d5618e95
slave: tst-linux64-ec2-403

17:30:38  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
17:30:52  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
17:52:39    ERROR - Return code: 1
Comment 475 User image Treeherder Robot 2013-06-28 18:23:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24730413&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 16:48:06
revision: edde24398dd0
slave: tst-linux64-ec2-019

17:16:42  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
17:16:56  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
17:39:23    ERROR - Return code: 1
Comment 476 User image Treeherder Robot 2013-06-28 18:23:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24730458&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 16:52:56
revision: 9fc940c4a6dd
slave: tst-linux64-ec2-340

17:19:33  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
17:19:45  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
17:41:16    ERROR - Return code: 1
Comment 477 User image Treeherder Robot 2013-06-28 19:24:49 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24732416&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 18:25:57
revision: 1c8e6f8e6715
slave: tst-linux64-ec2-331

18:52:59  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
18:53:12  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:15:42    ERROR - Return code: 1
Comment 478 User image Treeherder Robot 2013-06-28 19:57:31 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24733279&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-28 18:51:51
revision: 1c8e6f8e6715
slave: tst-linux32-ec2-093

19:25:04  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:25:22  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:51:32    ERROR - Return code: 1
Comment 479 User image Treeherder Robot 2013-06-28 20:30:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24734229&tree=Birch
Ubuntu VM 12.04 x64 birch debug test xpcshell on 2013-06-28 19:32:20
revision: a8d2b85d56db
slave: tst-linux64-ec2-353

20:00:09  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
20:00:23  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
20:23:00    ERROR - Return code: 1
Comment 480 User image Treeherder Robot 2013-06-28 20:35:24 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24734372&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 19:36:49
revision: 6d731a339374
slave: tst-linux64-ec2-426

20:04:20  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
20:04:33  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
20:26:53    ERROR - Return code: 1
Comment 481 User image Treeherder Robot 2013-06-28 20:58:47 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24735249&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-28 19:53:02
revision: 6d731a339374
slave: tst-linux32-ec2-334

20:25:56  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
20:26:15  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
20:52:33    ERROR - Return code: 1
Comment 482 User image Treeherder Robot 2013-06-28 21:31:58 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24736280&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-28 20:27:47
revision: 4df4f2767a69
slave: tst-linux32-ec2-123

21:00:23  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
21:00:42  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
21:26:58    ERROR - Return code: 1
Comment 483 User image Treeherder Robot 2013-06-28 21:50:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24736474&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 20:44:20
revision: 1b8207252e9c
slave: tst-linux64-ec2-120

21:10:43  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
21:10:56  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
21:32:46    ERROR - Return code: 1
Comment 484 User image Treeherder Robot 2013-06-28 21:50:31 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24736415&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-28 20:32:54
revision: 5ecd26bc5274
slave: tst-linux32-ec2-144

21:05:05  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
21:05:24  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
21:31:12    ERROR - Return code: 1
Comment 485 User image Treeherder Robot 2013-06-28 21:58:52 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24737009&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 20:58:56
revision: dc039d7f5e00
slave: tst-linux64-ec2-004

21:26:31  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
21:26:44  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
21:49:35    ERROR - Return code: 1
Comment 486 User image Treeherder Robot 2013-06-28 22:35:40 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24738045&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-28 21:20:44
revision: 01f90ae5c64c
slave: tst-linux32-ec2-093

21:53:43  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
21:54:02  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
22:20:18    ERROR - Return code: 1
Comment 487 User image Treeherder Robot 2013-06-28 22:36:10 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24737743&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 21:23:11
revision: 01f90ae5c64c
slave: tst-linux64-ec2-393

21:49:26  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
21:49:38  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
22:10:38    ERROR - Return code: 1
Comment 488 User image Treeherder Robot 2013-06-28 22:36:18 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24737415&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 21:11:56
revision: 01ad949468fb
slave: tst-linux64-ec2-379

21:39:17  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
21:39:30  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
22:01:33    ERROR - Return code: 1
Comment 489 User image Treeherder Robot 2013-06-28 22:37:33 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24738306&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-28 21:31:12
revision: f3c22357f4f7
slave: tst-linux32-ec2-137

22:03:48  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
22:04:06  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
22:29:56    ERROR - Return code: 1
Comment 490 User image Treeherder Robot 2013-06-28 23:51:32 PDT
jwein%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=24739008&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-28 22:02:51
revision: 3c5133764596
slave: tst-linux32-ec2-328

22:35:20  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
22:35:38  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
23:01:32    ERROR - Return code: 1
Comment 491 User image Treeherder Robot 2013-06-28 23:51:39 PDT
jwein%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=24738930&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 22:07:39
revision: 3c5133764596
slave: tst-linux64-ec2-140

22:35:04  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
22:35:18  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
22:57:56    ERROR - Return code: 1
Comment 492 User image Treeherder Robot 2013-06-29 04:12:46 PDT
jacek
https://tbpl.mozilla.org/php/getParsedLog.php?id=24739679&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-28 22:48:58
revision: b684eef8d587
slave: tst-linux32-ec2-118

23:19:57  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
23:20:15  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
23:44:50    ERROR - Return code: 1
Comment 493 User image Treeherder Robot 2013-06-29 04:13:39 PDT
jacek
https://tbpl.mozilla.org/php/getParsedLog.php?id=24739657&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 22:51:25
revision: b684eef8d587
slave: tst-linux64-ec2-447

23:19:24  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
23:19:38  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
23:41:53    ERROR - Return code: 1
Comment 494 User image Treeherder Robot 2013-06-29 04:13:50 PDT
jacek
https://tbpl.mozilla.org/php/getParsedLog.php?id=24738901&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-28 22:09:07
revision: 0c7b39985a22
slave: tst-linux64-ec2-064

22:35:45  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
22:35:58  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
22:56:55    ERROR - Return code: 1
Comment 495 User image Treeherder Robot 2013-06-29 06:44:11 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24744530&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-29 05:37:15
revision: 7b86302ab2b3
slave: tst-linux64-ec2-120

06:06:27  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
06:06:41  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
06:29:43    ERROR - Return code: 1
Comment 496 User image Treeherder Robot 2013-06-29 06:58:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24744596&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-29 05:41:50
revision: 7b86302ab2b3
slave: tst-linux32-ec2-352

06:14:11  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
06:14:29  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
06:39:13    ERROR - Return code: 1
Comment 497 User image Treeherder Robot 2013-06-29 08:08:58 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24746185&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-29 07:12:58
revision: 5e226d928613
slave: tst-linux64-ec2-430

07:41:08  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
07:41:22  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
08:03:06    ERROR - Return code: 1
Comment 498 User image Treeherder Robot 2013-06-29 08:15:29 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24746263&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-29 07:09:54
revision: 5e226d928613
slave: tst-linux32-ec2-001

07:41:12  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
07:41:30  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
08:06:05    ERROR - Return code: 1
Comment 499 User image Treeherder Robot 2013-06-29 09:18:26 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24747502&tree=Birch
Ubuntu VM 12.04 birch debug test xpcshell on 2013-06-29 08:11:57
revision: 1b9033f35918
slave: tst-linux32-ec2-031

08:44:56  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
08:45:15  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
09:10:40    ERROR - Return code: 1
Comment 500 User image Treeherder Robot 2013-06-29 09:33:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24747662&tree=Birch
Ubuntu VM 12.04 x64 birch debug test xpcshell on 2013-06-29 08:33:36
revision: 1b9033f35918
slave: tst-linux64-ec2-005

09:02:08  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
09:02:22  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
09:24:44    ERROR - Return code: 1
Comment 501 User image Treeherder Robot 2013-06-29 10:34:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24749257&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-29 09:23:37
revision: 28518f8ce532
slave: tst-linux64-ec2-334

09:51:40  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
09:51:53  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
10:13:42    ERROR - Return code: 1
Comment 502 User image Treeherder Robot 2013-06-29 10:56:11 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24749916&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-29 09:57:54
revision: d20fa876e95d
slave: tst-linux64-ec2-424

10:26:15  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
10:26:28  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
10:48:30    ERROR - Return code: 1
Comment 503 User image Treeherder Robot 2013-06-29 15:31:18 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24751179&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-29 13:37:24
revision: b485dcc32ee6
slave: tst-linux32-ec2-302

14:09:36  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
14:09:55  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
14:35:42    ERROR - Return code: 1
Comment 504 User image Treeherder Robot 2013-06-29 15:49:58 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24751207&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-29 13:51:55
revision: b485dcc32ee6
slave: tst-linux64-ec2-340

14:19:07  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
14:19:20  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
14:41:45    ERROR - Return code: 1
Comment 505 User image Treeherder Robot 2013-06-29 16:05:09 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24750064&tree=UX
Ubuntu VM 12.04 ux debug test xpcshell on 2013-06-29 10:06:19
revision: 82c63da57b32
slave: tst-linux32-ec2-123

10:38:47  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
10:39:06  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
11:04:46    ERROR - Return code: 1
Comment 506 User image Treeherder Robot 2013-06-29 16:05:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24749879&tree=UX
Ubuntu VM 12.04 x64 ux debug test xpcshell on 2013-06-29 09:54:59
revision: 82c63da57b32
slave: tst-linux64-ec2-333

10:23:11  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
10:23:24  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
10:45:31    ERROR - Return code: 1
Comment 507 User image Treeherder Robot 2013-06-29 17:56:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24728619&tree=Fx-Team
Ubuntu VM 12.04 x64 fx-team debug test xpcshell on 2013-06-28 16:00:48
revision: eb6cf1052d77
slave: tst-linux64-ec2-128

16:29:40  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
16:29:54  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
16:52:31    ERROR - Return code: 1
Comment 508 User image Treeherder Robot 2013-06-29 19:41:20 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24753503&tree=Mozilla-Central
Ubuntu VM 12.04 x64 mozilla-central debug test xpcshell on 2013-06-29 18:45:01
revision: 614e1793e958
slave: tst-linux64-ec2-443

19:11:25  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:11:39  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:33:35    ERROR - Return code: 1
Comment 509 User image Treeherder Robot 2013-06-29 20:09:23 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24753973&tree=Birch
Ubuntu VM 12.04 x64 birch debug test xpcshell on 2013-06-29 19:11:41
revision: 614e1793e958
slave: tst-linux64-ec2-407

19:38:41  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:38:54  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
20:01:39    ERROR - Return code: 1
Comment 510 User image Treeherder Robot 2013-06-29 20:17:55 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24754037&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-29 19:23:22
revision: 9a57cd3e5a93
slave: tst-linux64-ec2-044

19:50:30  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:50:43  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
20:12:58    ERROR - Return code: 1
Comment 511 User image Treeherder Robot 2013-06-29 20:30:49 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24754098&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-29 19:26:57
revision: 9a57cd3e5a93
slave: tst-linux32-ec2-031

19:59:29  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:59:48  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
20:25:38    ERROR - Return code: 1
Comment 512 User image Treeherder Robot 2013-06-29 21:19:11 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24754542&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-29 20:16:44
revision: 592cee0b8224
slave: tst-linux64-ec2-031

20:43:38  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
20:43:51  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
21:06:11    ERROR - Return code: 1
Comment 513 User image Treeherder Robot 2013-06-29 21:59:24 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24755689&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-29 20:55:26
revision: 592cee0b8224
slave: tst-linux32-ec2-036

21:25:59  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
21:26:17  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
21:50:52    ERROR - Return code: 1
Comment 514 User image Treeherder Robot 2013-06-29 22:25:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24755972&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-29 21:09:38
revision: 89035681fdd1
slave: tst-linux32-ec2-044

21:42:00  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
21:42:19  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
22:07:49    ERROR - Return code: 1
Comment 515 User image Treeherder Robot 2013-06-29 22:54:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24756664&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-29 21:57:25
revision: 89035681fdd1
slave: tst-linux64-ec2-370

22:24:20  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
22:24:33  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
22:46:34    ERROR - Return code: 1
Comment 516 User image Treeherder Robot 2013-06-29 22:54:16 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24756402&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-29 21:31:17
revision: d4659e304514
slave: tst-linux32-ec2-095

22:04:14  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
22:04:33  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
22:29:55    ERROR - Return code: 1
Comment 517 User image Treeherder Robot 2013-06-30 02:14:35 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=24757037&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-29 22:32:06
revision: d8abc39f2820
slave: tst-linux64-ec2-354

22:59:14  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
22:59:28  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
23:21:51    ERROR - Return code: 1
Comment 518 User image Treeherder Robot 2013-06-30 03:02:01 PDT
Gijs
https://tbpl.mozilla.org/php/getParsedLog.php?id=24757932&tree=UX
Ubuntu VM 12.04 ux debug test xpcshell on 2013-06-30 01:32:05
revision: ee81f5bac27a
slave: tst-linux32-ec2-037

02:03:58  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
02:04:17  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
02:29:31    ERROR - Return code: 1
Comment 519 User image Treeherder Robot 2013-06-30 07:04:20 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=24759649&tree=Try
Ubuntu VM 12.04 try debug test xpcshell on 2013-06-30 04:39:32
revision: d16eab2937e2
slave: tst-linux32-ec2-316

05:11:47  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
05:12:06  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
05:37:25    ERROR - Return code: 1
Comment 520 User image Treeherder Robot 2013-06-30 10:29:23 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24762602&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-30 09:32:35
revision: 3f5669a7cd14
slave: tst-linux64-ec2-376

10:00:19  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
10:00:32  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
10:23:04    ERROR - Return code: 1
Comment 521 User image Treeherder Robot 2013-06-30 10:53:26 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24763142&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-30 09:45:34
revision: 3f5669a7cd14
slave: tst-linux32-ec2-329

10:18:40  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
10:18:58  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
10:45:10    ERROR - Return code: 1
Comment 522 User image Treeherder Robot 2013-06-30 10:54:10 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24762996&tree=Mozilla-Central
Ubuntu VM 12.04 x64 mozilla-central debug test xpcshell on 2013-06-30 09:47:53
revision: e24391ffbe7e
slave: tst-linux64-ec2-399

10:15:54  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
10:16:07  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
10:38:15    ERROR - Return code: 1
Comment 523 User image Treeherder Robot 2013-06-30 10:58:17 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24763301&tree=Birch
Ubuntu VM 12.04 birch debug test xpcshell on 2013-06-30 09:52:26
revision: e24391ffbe7e
slave: tst-linux32-ec2-332

10:25:49  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
10:26:08  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
10:52:30    ERROR - Return code: 1
Comment 524 User image Treeherder Robot 2013-06-30 11:18:02 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24763623&tree=Mozilla-Central
Ubuntu VM 12.04 mozilla-central debug test xpcshell on 2013-06-30 10:10:10
revision: e24391ffbe7e
slave: tst-linux32-ec2-148

10:43:26  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
10:43:45  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
11:10:44    ERROR - Return code: 1
Comment 525 User image Treeherder Robot 2013-06-30 11:35:34 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24763906&tree=Fx-Team
Ubuntu VM 12.04 fx-team debug test xpcshell on 2013-06-30 10:29:33
revision: e24391ffbe7e
slave: tst-linux32-ec2-097

11:01:52  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
11:02:10  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
11:27:27    ERROR - Return code: 1
Comment 526 User image Treeherder Robot 2013-06-30 11:35:42 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24763841&tree=Fx-Team
Ubuntu VM 12.04 x64 fx-team debug test xpcshell on 2013-06-30 10:32:37
revision: e24391ffbe7e
slave: tst-linux64-ec2-407

11:00:35  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
11:00:48  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
11:23:30    ERROR - Return code: 1
Comment 527 User image Treeherder Robot 2013-06-30 11:35:53 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24763872&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-06-30 10:27:03
revision: fe2f77d51bf1
slave: tst-linux32-ec2-102

10:59:32  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
10:59:51  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
11:25:21    ERROR - Return code: 1
Comment 528 User image Treeherder Robot 2013-06-30 12:27:54 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24764462&tree=Birch
Ubuntu VM 12.04 x64 birch debug test xpcshell on 2013-06-30 11:33:00
revision: ac17d84c8b7c
slave: tst-linux64-ec2-408

12:00:56  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
12:01:10  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
12:23:45    ERROR - Return code: 1
Comment 529 User image Treeherder Robot 2013-06-30 12:28:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24764279&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-30 11:11:24
revision: 3c993adfab9c
slave: tst-linux64-ec2-302

11:38:54  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
11:39:08  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
12:00:48    ERROR - Return code: 1
Comment 530 User image Treeherder Robot 2013-06-30 12:43:46 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24764586&tree=Birch
Ubuntu VM 12.04 x64 birch debug test xpcshell on 2013-06-30 11:43:04
revision: 16a6252d6d68
slave: tst-linux64-ec2-393

12:10:28  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
12:10:41  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
12:32:39    ERROR - Return code: 1
Comment 531 User image Treeherder Robot 2013-06-30 13:27:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24764934&tree=Birch
Ubuntu VM 12.04 birch debug test xpcshell on 2013-06-30 12:26:53
revision: 16a6252d6d68
slave: tst-linux32-ec2-065

12:57:34  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
12:57:52  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
13:21:45    ERROR - Return code: 1
Comment 532 User image Treeherder Robot 2013-06-30 16:30:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24767114&tree=Mozilla-Central
Ubuntu VM 12.04 mozilla-central debug test xpcshell on 2013-06-30 15:16:09
revision: 7965d384123c
slave: tst-linux32-ec2-341

15:48:57  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
15:49:16  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
16:15:32    ERROR - Return code: 1
Comment 533 User image Treeherder Robot 2013-06-30 19:41:20 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24769555&tree=Mozilla-Central
Ubuntu VM 12.04 x64 mozilla-central debug test xpcshell on 2013-06-30 18:39:49
revision: 7463e5548797
slave: tst-linux64-ec2-147

19:06:50  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:07:04  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:29:22    ERROR - Return code: 1
Comment 534 User image Treeherder Robot 2013-06-30 19:44:51 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24769625&tree=Birch
Ubuntu VM 12.04 x64 birch debug test xpcshell on 2013-06-30 18:46:47
revision: 7463e5548797
slave: tst-linux64-ec2-045

19:13:16  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:13:30  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:35:20    ERROR - Return code: 1
Comment 535 User image Treeherder Robot 2013-06-30 19:49:28 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24769684&tree=Birch
Ubuntu VM 12.04 birch debug test xpcshell on 2013-06-30 18:41:01
revision: 7463e5548797
slave: tst-linux32-ec2-368

19:12:46  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:13:05  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:38:51    ERROR - Return code: 1
Comment 536 User image Treeherder Robot 2013-06-30 19:49:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24769698&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-30 18:52:00
revision: 7463e5548797
slave: tst-linux64-ec2-012

19:18:25  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:18:39  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:39:37    ERROR - Return code: 1
Comment 537 User image Treeherder Robot 2013-06-30 20:22:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24770179&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-06-30 19:27:02
revision: 23f0ca9de75f
slave: tst-linux64-ec2-111

19:52:41  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:52:54  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
20:14:25    ERROR - Return code: 1
Comment 538 User image Treeherder Robot 2013-06-30 23:54:00 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=24766176&tree=Try
Ubuntu VM 12.04 try debug test xpcshell on 2013-06-30 14:26:52
revision: 4ebf2905355c
slave: tst-linux32-ec2-098

14:59:01  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
14:59:20  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
15:24:57    ERROR - Return code: 1
Comment 539 User image Treeherder Robot 2013-06-30 23:54:04 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=24766017&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-06-30 14:27:12
revision: 4ebf2905355c
slave: tst-linux64-ec2-056

14:55:01  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
14:55:14  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
15:17:53    ERROR - Return code: 1
Comment 540 User image Treeherder Robot 2013-07-01 02:43:51 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=24776423&tree=Mozilla-Central
Ubuntu VM 12.04 x64 mozilla-central debug test xpcshell on 2013-07-01 01:42:56
revision: d7553251cf43
slave: tst-linux64-ec2-111

02:09:26  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
02:09:39  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
02:30:53    ERROR - Return code: 1
Comment 541 User image Treeherder Robot 2013-07-01 02:44:07 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=24776475&tree=Mozilla-Central
Ubuntu VM 12.04 mozilla-central debug test xpcshell on 2013-07-01 01:34:53
revision: d7553251cf43
slave: tst-linux32-ec2-030

02:07:18  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
02:07:37  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
02:32:51    ERROR - Return code: 1
Comment 542 User image Treeherder Robot 2013-07-01 03:00:14 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=24775858&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-07-01 01:14:03
revision: 89a5e4356ad1
slave: tst-linux64-ec2-386

01:42:17  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
01:42:30  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
02:05:34    ERROR - Return code: 1
Comment 543 User image Treeherder Robot 2013-07-01 03:00:51 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=24776111&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-07-01 01:26:55
revision: e07fc1165da9
slave: tst-linux64-ec2-127

01:53:52  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
01:54:04  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
02:15:42    ERROR - Return code: 1
Comment 544 User image Treeherder Robot 2013-07-01 03:00:57 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=24776203&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-07-01 01:24:56
revision: e07fc1165da9
slave: tst-linux32-ec2-139

01:55:39  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
01:55:57  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
02:19:48    ERROR - Return code: 1
Comment 545 User image Treeherder Robot 2013-07-01 03:31:17 PDT
Gijs
https://tbpl.mozilla.org/php/getParsedLog.php?id=24769965&tree=UX
Ubuntu VM 12.04 x64 ux debug test xpcshell on 2013-06-30 19:06:51
revision: ea3c07fc095b
slave: tst-linux64-ec2-316

19:34:21  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:34:35  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:57:15    ERROR - Return code: 1
Comment 546 User image Treeherder Robot 2013-07-01 03:32:39 PDT
Gijs
https://tbpl.mozilla.org/php/getParsedLog.php?id=24767032&tree=UX
Ubuntu VM 12.04 x64 ux debug test xpcshell on 2013-06-30 15:15:01
revision: a434db8e365c
slave: tst-linux64-ec2-383

15:42:29  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
15:42:43  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
16:05:04    ERROR - Return code: 1
Comment 547 User image Treeherder Robot 2013-07-01 03:34:24 PDT
Gijs
https://tbpl.mozilla.org/php/getParsedLog.php?id=24767132&tree=UX
Ubuntu VM 12.04 ux debug test xpcshell on 2013-06-30 15:22:01
revision: c901ba98ea87
slave: tst-linux32-ec2-102

15:53:39  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
15:53:57  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
16:18:45    ERROR - Return code: 1
Comment 548 User image Treeherder Robot 2013-07-01 03:34:31 PDT
Gijs
https://tbpl.mozilla.org/php/getParsedLog.php?id=24767176&tree=UX
Ubuntu VM 12.04 x64 ux debug test xpcshell on 2013-06-30 15:36:53
revision: c901ba98ea87
slave: tst-linux64-ec2-044

16:03:43  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
16:03:57  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
16:26:16    ERROR - Return code: 1
Comment 549 User image Treeherder Robot 2013-07-01 05:00:36 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=24778867&tree=Fx-Team
Ubuntu VM 12.04 fx-team debug test xpcshell on 2013-07-01 03:19:18
revision: a8ce130d013e
slave: tst-linux32-ec2-330

03:52:22  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
03:52:41  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
04:19:04    ERROR - Return code: 1
Comment 550 User image Treeherder Robot 2013-07-01 05:00:40 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=24779146&tree=Fx-Team
Ubuntu VM 12.04 x64 fx-team debug test xpcshell on 2013-07-01 03:37:05
revision: a8ce130d013e
slave: tst-linux64-ec2-002

04:04:44  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
04:04:58  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
04:27:48    ERROR - Return code: 1
Comment 551 User image Treeherder Robot 2013-07-01 05:04:41 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=24777192&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-07-01 02:16:36
revision: 70488f55e30d
slave: tst-linux64-ec2-313

02:44:29  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
02:44:42  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
03:07:02    ERROR - Return code: 1
Comment 552 User image Treeherder Robot 2013-07-01 05:38:33 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=24780819&tree=Mozilla-Central
Ubuntu VM 12.04 x64 mozilla-central debug test xpcshell on 2013-07-01 04:41:00
revision: 5e66712edb18
slave: tst-linux64-ec2-353

05:09:14  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
05:09:28  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
05:32:03    ERROR - Return code: 1
Comment 553 User image Ryan VanderMeulen [:RyanVM] 2013-07-01 06:05:55 PDT
Disabled test_logging on Linux as well.
https://hg.mozilla.org/mozilla-central/rev/4ffb23062b3b
Comment 554 User image Treeherder Robot 2013-07-01 07:05:00 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=24782941&tree=Birch
Ubuntu VM 12.04 birch debug test xpcshell on 2013-07-01 05:55:54
revision: 56172e239ed5
slave: tst-linux32-ec2-037

06:28:32  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
06:28:51  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
06:53:55    ERROR - Return code: 1
Comment 555 User image Treeherder Robot 2013-07-01 07:18:42 PDT
bugs%pettay.fi
https://tbpl.mozilla.org/php/getParsedLog.php?id=24783481&tree=Try
Ubuntu VM 12.04 try debug test xpcshell on 2013-07-01 06:11:58
revision: 8963666af313
slave: tst-linux32-ec2-311

06:45:12  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
06:45:31  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
07:10:56    ERROR - Return code: 1
Comment 556 User image Treeherder Robot 2013-07-01 07:31:44 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24783874&tree=Mozilla-Central
Ubuntu VM 12.04 x64 mozilla-central debug test xpcshell on 2013-07-01 06:36:25
revision: ffbdd1090cb8
slave: tst-linux64-ec2-313

07:05:24  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
07:05:38  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
07:28:18    ERROR - Return code: 1
Comment 557 User image Treeherder Robot 2013-07-01 07:47:24 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24784294&tree=Mozilla-Central
Ubuntu VM 12.04 x64 mozilla-central debug test xpcshell on 2013-07-01 06:51:00
revision: adba381648d0
slave: tst-linux64-ec2-395

07:19:49  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
07:20:03  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
07:42:41    ERROR - Return code: 1
Comment 558 User image Treeherder Robot 2013-07-01 13:55:26 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24784886&tree=UX
Ubuntu VM 12.04 x64 ux debug test xpcshell on 2013-07-01 07:08:52
revision: 930a5d9d769d
slave: tst-linux64-ec2-341

07:37:58  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
07:38:11  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
08:00:20    ERROR - Return code: 1
Comment 559 User image Treeherder Robot 2013-07-01 13:56:17 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24782181&tree=UX
Ubuntu VM 12.04 ux debug test xpcshell on 2013-07-01 05:37:55
revision: f611d07ea260
slave: tst-linux32-ec2-015

06:10:36  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
06:10:54  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
06:35:46    ERROR - Return code: 1
Comment 560 User image Treeherder Robot 2013-07-01 13:56:22 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=24781827&tree=UX
Ubuntu VM 12.04 x64 ux debug test xpcshell on 2013-07-01 05:29:38
revision: f611d07ea260
slave: tst-linux64-ec2-003

05:58:12  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
05:58:25  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
06:21:06    ERROR - Return code: 1
Comment 561 User image Treeherder Robot 2013-07-02 03:26:49 PDT
Standard8
https://tbpl.mozilla.org/php/getParsedLog.php?id=24743021&tree=Thunderbird-Beta
TB Rev3 Fedora 12x64 comm-beta debug test xpcshell on 2013-06-29 04:21:43
revision: 4fa19dd04f5a
slave: talos-r3-fed64-059

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
Comment 562 User image Treeherder Robot 2013-07-02 10:24:26 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=24796588&tree=Try
Ubuntu VM 12.04 try debug test xpcshell on 2013-07-01 12:06:32
revision: 6e47be82bbc5
slave: tst-linux32-ec2-305

12:45:54  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
12:46:13  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
13:12:21    ERROR - Return code: 1
Comment 563 User image Treeherder Robot 2013-07-02 10:24:45 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=24796467&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-07-01 12:17:00
revision: 6e47be82bbc5
slave: tst-linux64-ec2-415

12:45:45  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
12:45:58  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
13:08:16    ERROR - Return code: 1
Comment 564 User image Treeherder Robot 2013-07-03 02:06:56 PDT
Gijs
https://tbpl.mozilla.org/php/getParsedLog.php?id=24840146&tree=UX
Ubuntu VM 12.04 ux debug test xpcshell on 2013-07-02 10:05:54
revision: 26608ffcc23c
slave: tst-linux32-ec2-313

10:38:47  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
10:39:06  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
11:05:16    ERROR - Return code: 1
Comment 565 User image Treeherder Robot 2013-07-03 06:14:39 PDT
Gijs
https://tbpl.mozilla.org/php/getParsedLog.php?id=24881823&tree=UX
Ubuntu VM 12.04 ux debug test xpcshell on 2013-07-03 04:32:27
revision: 0b667de52fa4
slave: tst-linux32-ec2-320

05:05:37  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
05:05:56  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
05:31:54    ERROR - Return code: 1
Comment 566 User image Treeherder Robot 2013-07-03 13:12:10 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=24901000&tree=Mozilla-Beta
Rev4 MacOSX Lion 10.7 mozilla-beta debug test xpcshell on 2013-07-03 12:38:08
revision: 960a41eb5c01
slave: talos-r4-lion-090

13:07:35  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
13:07:52  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
13:08:06    ERROR - Return code: 1
Comment 567 User image Treeherder Robot 2013-07-04 10:31:19 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=24940328&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-07-04 08:50:09
revision: 8d1679654a72
slave: tst-linux64-ec2-099

09:18:26  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
09:18:40  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
09:40:48    ERROR - Return code: 1
Comment 568 User image Treeherder Robot 2013-07-07 06:33:47 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=24944568&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-07-04 10:53:30
revision: 8d1679654a72
slave: tst-linux64-ec2-332

11:20:27  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
11:20:39  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
11:42:29    ERROR - Return code: 1
Comment 569 User image Treeherder Robot 2013-07-15 10:01:56 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=25285066&tree=Mozilla-Central
Ubuntu VM 12.04 x64 mozilla-central debug test xpcshell on 2013-07-15 06:36:33
revision: 5e191a26d909
slave: tst-linux64-ec2-111

06:40:37  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | test failed (with xpcshell return code: -11), see following log:
06:40:52  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | application crashed [@ mozalloc_abort(char const*)]
07:35:28    ERROR - Return code: 1
Comment 571 User image Shu-yu Guo [:shu] 2013-07-16 01:46:49 PDT
Yoric, what's the status of this bug? I recall you telling me in person this was waiting on a review from bent (which I don't see). In any case, he's on PTO right now so I suggest getting a review from someone else, like jlebar, if you still need one.
Comment 572 User image Felix S. Klock II [:pnkfelix, :fklock] 2013-07-16 02:50:09 PDT
Shu, sorry, I should have followed up with you about this yesterday: the patch that is supposed to fix this problem is attached to Bug 888347 (which is listed as blocking this bug), as well as some recent dialogue about reviewing the patch.
Comment 573 User image Treeherder Robot 2013-07-16 04:01:57 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=25320817&tree=Birch
Ubuntu VM 12.04 birch debug test xpcshell on 2013-07-16 02:49:54
revision: 8a97675fcb69
slave: tst-linux32-ec2-008

02:53:36  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | test failed (with xpcshell return code: -11), see following log:
02:53:56  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | application crashed [@ mozalloc_abort(char const*)]
03:57:46    ERROR - Return code: 1
Comment 574 User image Treeherder Robot 2013-07-16 07:51:28 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25315470&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-07-15 23:37:06
revision: 70f4d118d159
slave: tst-linux32-ec2-143

23:40:58  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_nosession_sync.js | test failed (with xpcshell return code: -11), see following log:
23:41:19  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_nosession_sync.js | application crashed [@ mozalloc_abort(char const*)]
00:00:53  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/services/common/tests/unit/test_storage_server.js | test failed (with xpcshell return code: 0), see following log:
00:00:55  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/services/common/tests/unit/test_storage_server.js | 412 == 204 - See following stack:
00:00:55  WARNING -  TEST-UNEXPECTED-FAIL | (xpcshell/head.js) | TypeError: invalid 'in' operand error - See following stack:
00:45:40    ERROR - Return code: 1
Comment 575 User image Treeherder Robot 2013-07-16 20:33:35 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=25359593&tree=Mozilla-Central
Ubuntu VM 12.04 x64 mozilla-central debug test xpcshell on 2013-07-16 19:37:20
revision: 582ffcd0459a
slave: tst-linux64-ec2-438

19:40:04  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | test failed (with xpcshell return code: -11), see following log:
19:40:18  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | application crashed [@ mozalloc_abort(char const*)]
20:26:28    ERROR - Return code: 1
Comment 576 User image Treeherder Robot 2013-07-17 09:23:48 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25381677&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-07-17 08:14:22
revision: d1c616745325
slave: tst-linux64-ec2-088

08:19:11  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | test failed (with xpcshell return code: -11), see following log:
09:05:52    ERROR - Return code: 1
Comment 577 User image Treeherder Robot 2013-07-17 11:06:55 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25387349&tree=Birch
Ubuntu VM 12.04 x64 birch debug test xpcshell on 2013-07-17 10:05:09
revision: 78404aea639e
slave: tst-linux64-ec2-013

10:08:35  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | test failed (with xpcshell return code: -11), see following log:
10:08:49  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | application crashed [@ mozalloc_abort(char const*)]
11:02:33    ERROR - Return code: 1
Comment 578 User image Treeherder Robot 2013-07-18 05:13:47 PDT
Gijs
https://tbpl.mozilla.org/php/getParsedLog.php?id=25427729&tree=UX
Ubuntu VM 12.04 ux debug test xpcshell on 2013-07-18 03:11:04
revision: 955e76aa16e7
slave: tst-linux32-ec2-047

03:15:01  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | test failed (with xpcshell return code: -11), see following log:
03:15:22  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | application crashed [@ mozalloc_abort(char const*)]
03:34:57  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/services/datareporting/tests/xpcshell/test_session_recorder.js | test failed (with xpcshell return code: 0), see following log:
03:34:57  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/services/datareporting/tests/xpcshell/test_session_recorder.js | 4 == 3 - See following stack:
03:34:57  WARNING -  TEST-UNEXPECTED-FAIL | resource://gre/modules/commonjs/sdk/core/promise.js | Unexpected exception 2147500036, see following stack:
04:18:50    ERROR - Return code: 1
Comment 579 User image Treeherder Robot 2013-07-23 10:13:52 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25616039&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-07-23 09:09:04
revision: 3c811f1e3d12
slave: tst-linux64-ec2-121

09:12:36  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | test failed (with xpcshell return code: -11), see following log:
10:07:47    ERROR - Return code: 256
Comment 581 User image Treeherder Robot 2013-07-24 12:30:08 PDT
honzab.moz%firemni.cz
https://tbpl.mozilla.org/php/getParsedLog.php?id=25550113&tree=Try
Ubuntu VM 12.04 try debug test xpcshell on 2013-07-21 18:56:43
revision: b1aedc435e74
slave: tst-linux32-ec2-112

19:28:43  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:29:02  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:53:49    ERROR - Return code: 256
Comment 582 User image Treeherder Robot 2013-07-24 12:30:24 PDT
honzab.moz%firemni.cz
https://tbpl.mozilla.org/php/getParsedLog.php?id=25550008&tree=Try
Ubuntu VM 12.04 x64 try debug test xpcshell on 2013-07-21 18:56:49
revision: b1aedc435e74
slave: tst-linux64-ec2-358

19:23:34  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
19:23:48  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
19:46:15    ERROR - Return code: 256
Comment 583 User image Treeherder Robot 2013-07-24 20:47:39 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=25697108&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-07-24 19:41:03
revision: a13dafd65d1c
slave: tst-linux64-ec2-098

19:43:46  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_nosession_sync.js | test failed (with xpcshell return code: -11), see following log:
20:31:36    ERROR - Return code: 256
Comment 584 User image Treeherder Robot 2013-07-25 00:58:58 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=25681050&tree=Try
Ubuntu VM 12.04 try debug test xpcshell on 2013-07-24 12:42:08
revision: 65364788db6c
slave: tst-linux32-ec2-067

12:45:23  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | test failed (with xpcshell return code: -11), see following log:
13:50:22    ERROR - Return code: 256
Comment 585 User image Treeherder Robot 2013-07-26 12:23:06 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=25788003&tree=Mozilla-Inbound
Ubuntu VM 12.04 mozilla-inbound debug test xpcshell on 2013-07-26 11:08:07
revision: 2e6def7eb4db
slave: tst-linux32-ec2-047

11:12:55  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_nosession_sync.js | test failed (with xpcshell return code: -11), see following log:
12:16:36    ERROR - Return code: 256
Comment 586 User image Treeherder Robot 2013-07-29 17:43:59 PDT
jwalden
https://tbpl.mozilla.org/php/getParsedLog.php?id=25885022&tree=Mozilla-Inbound
Windows XP 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 16:31:35
revision: a297a9937018
slave: t-xp32-ix-006

16:34:26  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
17:09:27    ERROR - Return code: 1
Comment 587 User image Treeherder Robot 2013-07-29 17:56:04 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=25886949&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-07-29 16:31:26
revision: a297a9937018
slave: t-w864-ix-069

16:36:11  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
17:48:10    ERROR - Return code: 1
Comment 588 User image Treeherder Robot 2013-07-29 17:56:21 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=25885841&tree=Mozilla-Inbound
Windows XP 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 16:46:41
revision: 7944ca804692
slave: t-xp32-ix-023

16:50:32  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
17:25:53    ERROR - Return code: 1
Comment 589 User image Treeherder Robot 2013-07-29 17:56:35 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=25885229&tree=Mozilla-Inbound
Windows XP 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 16:36:47
revision: c2dc8dbb77ef
slave: t-xp32-ix-120

16:39:21  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
17:13:56    ERROR - Return code: 1
Comment 590 User image Treeherder Robot 2013-07-29 18:18:40 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=25887712&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-07-29 16:46:00
revision: 7944ca804692
slave: t-w864-ix-094

16:50:00  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
18:02:38    ERROR - Return code: 1
Comment 591 User image Treeherder Robot 2013-07-29 18:18:51 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=25887119&tree=Mozilla-Inbound
Windows 7 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 16:46:45
revision: 7944ca804692
slave: t-w732-ix-020

16:52:50  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
17:51:18    ERROR - Return code: 1
Comment 592 User image Treeherder Robot 2013-07-29 18:18:52 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=25887254&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-07-29 16:37:52
revision: c2dc8dbb77ef
slave: t-w864-ix-065

16:42:00  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
17:54:13    ERROR - Return code: 1
Comment 593 User image Treeherder Robot 2013-07-29 18:19:20 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=25887299&tree=Mozilla-Inbound
Windows XP 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 17:17:06
revision: 93ba277cb5c4
slave: t-xp32-ix-042

17:19:44  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
17:20:15  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_session_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
17:55:04    ERROR - Return code: 1
Comment 594 User image Treeherder Robot 2013-07-29 18:19:33 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=25887819&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-07-29 17:12:01
revision: 93ba277cb5c4
slave: tst-linux64-ec2-343

17:14:38  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_nosession_sync.js | test failed (with xpcshell return code: -11), see following log:
18:05:14    ERROR - Return code: 256
Comment 595 User image Treeherder Robot 2013-07-29 18:36:11 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=25888727&tree=Mozilla-Inbound
Windows 7 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 17:21:06
revision: 93ba277cb5c4
slave: t-w732-ix-130

17:25:35  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
18:24:38    ERROR - Return code: 1
Comment 596 User image Ryan VanderMeulen [:RyanVM] 2013-07-29 18:49:59 PDT
Bug 853301 landed on inbound and in the process turned Windows debug xpcshell near perma-orange in either test_startup_nosession_sync.js or test_startup_session_sync.js. Also, more Linux failures were also occurring post-landing. Rather than continuing to hold random JS patches hostage because they just so happened to tickle this bug, I'll just start disabling the flaky tests instead. And maybe some day we can get this fixed for real and be done with it already.
https://hg.mozilla.org/integration/mozilla-inbound/rev/130edeb784f4
Comment 597 User image Treeherder Robot 2013-07-30 00:01:06 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25892527&tree=Mozilla-Inbound
Windows XP 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 19:24:57
revision: 5d56f5be9d3f
slave: t-xp32-ix-123

19:27:44  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
20:02:48    ERROR - Return code: 1
Comment 598 User image Treeherder Robot 2013-07-30 00:29:02 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25895435&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-07-29 20:06:54
revision: dcb2b4276185
slave: t-w864-ix-123

20:10:48  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
21:21:58    ERROR - Return code: 1
Comment 599 User image Treeherder Robot 2013-07-30 00:31:14 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25894295&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-07-29 19:27:31
revision: 5d56f5be9d3f
slave: t-w864-ix-045

19:31:34  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
20:43:46    ERROR - Return code: 1
Comment 600 User image Treeherder Robot 2013-07-30 00:31:51 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25893649&tree=Mozilla-Inbound
Windows 7 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 19:25:20
revision: 5d56f5be9d3f
slave: t-w732-ix-129

19:28:59  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
20:27:20    ERROR - Return code: 1
Comment 601 User image Treeherder Robot 2013-07-30 00:34:25 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25894832&tree=Mozilla-Inbound
Windows XP 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 20:06:58
revision: dcb2b4276185
slave: t-xp32-ix-092

20:12:49  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
20:13:20  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_session_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
20:59:26    ERROR - Return code: 1
Comment 602 User image Treeherder Robot 2013-07-30 00:35:14 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25890811&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-07-29 18:24:01
revision: fed05531f9e3
slave: tst-linux64-ec2-384

18:26:46  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_nosession_sync.js | test failed (with xpcshell return code: -11), see following log:
19:15:52    ERROR - Return code: 256
Comment 603 User image Treeherder Robot 2013-07-30 00:35:40 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25890306&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-07-29 17:43:08
revision: 922e7f0eb53a
slave: t-w864-ix-075

17:46:36  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
19:00:40    ERROR - Return code: 1
Comment 604 User image Treeherder Robot 2013-07-30 01:05:17 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25889972&tree=Mozilla-Inbound
Windows XP 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 18:15:03
revision: 770b97caaaba
slave: t-xp32-ix-037

18:17:38  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
18:52:18    ERROR - Return code: 1
Comment 605 User image Treeherder Robot 2013-07-30 01:05:36 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25889873&tree=Mozilla-Inbound
Windows XP 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 18:11:55
revision: fed05531f9e3
slave: t-xp32-ix-012

18:14:39  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
18:49:41    ERROR - Return code: 1
Comment 606 User image Treeherder Robot 2013-07-30 01:05:55 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25889873&tree=Mozilla-Inbound
Windows XP 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 18:11:55
revision: fed05531f9e3
slave: t-xp32-ix-012

18:14:39  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
18:49:41    ERROR - Return code: 1
Comment 607 User image Treeherder Robot 2013-07-30 01:07:36 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25895186&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-07-29 19:48:07
revision: a0bc16b5a428
slave: t-w864-ix-089

19:54:03  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
21:11:36    ERROR - Return code: 1
Comment 608 User image Treeherder Robot 2013-07-30 01:21:57 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25894351&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-07-29 19:28:46
revision: c2dc8dbb77ef
slave: t-w864-ix-059

19:32:46  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
20:45:22    ERROR - Return code: 1
Comment 609 User image Treeherder Robot 2013-07-30 01:24:29 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25894432&tree=Mozilla-Inbound
Windows 7 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 19:43:38
revision: a0bc16b5a428
slave: t-w732-ix-094

19:48:24  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
20:47:03    ERROR - Return code: 1
Comment 610 User image Treeherder Robot 2013-07-30 01:28:22 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25891192&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-07-29 18:10:49
revision: 505ad1c506cc
slave: t-w864-ix-059

18:15:02  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
19:27:26    ERROR - Return code: 1
Comment 611 User image Treeherder Robot 2013-07-30 01:28:23 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25891460&tree=Mozilla-Inbound
WINNT 6.2 mozilla-inbound debug test xpcshell on 2013-07-29 18:18:03
revision: 770b97caaaba
slave: t-w864-ix-024

18:22:56  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
19:35:07    ERROR - Return code: 1
Comment 612 User image Treeherder Robot 2013-07-30 01:28:27 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25890945&tree=Mozilla-Inbound
Windows 7 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 18:17:32
revision: 770b97caaaba
slave: t-w732-ix-021

18:21:48  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
19:20:32    ERROR - Return code: 1
Comment 613 User image Treeherder Robot 2013-07-30 01:30:31 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25890744&tree=Mozilla-Inbound
Windows 7 32-bit mozilla-inbound debug test xpcshell on 2013-07-29 18:10:00
revision: 505ad1c506cc
slave: t-w732-ix-032

18:14:23  WARNING -  TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
19:13:18    ERROR - Return code: 1
Comment 614 User image Treeherder Robot 2013-07-30 05:21:06 PDT
WG9s
https://tbpl.mozilla.org/php/getParsedLog.php?id=25888465&tree=Mozilla-Central
Ubuntu VM 12.04 x64 mozilla-central debug test xpcshell on 2013-07-29 17:29:03
revision: 3d40d270c031
slave: tst-linux64-ec2-397

17:32:06  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_nosession_sync.js | test failed (with xpcshell return code: -11), see following log:
18:19:17    ERROR - Return code: 256
Comment 615 User image Treeherder Robot 2013-07-30 06:30:11 PDT
Tomcat
https://tbpl.mozilla.org/php/getParsedLog.php?id=25886908&tree=Mozilla-Release
Rev4 MacOSX Lion 10.7 mozilla-release debug test xpcshell on 2013-07-29 17:15:39
revision: 064965b37dbd
slave: talos-r4-lion-078

17:46:19  WARNING -  TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: 1), see following log:
17:46:35  WARNING -  PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
17:46:52    ERROR - Return code: 256
Comment 616 User image Ryan VanderMeulen [:RyanVM] 2013-07-30 10:21:59 PDT
https://hg.mozilla.org/mozilla-central/rev/130edeb784f4
Comment 617 User image Treeherder Robot 2013-07-30 15:27:37 PDT
KWierso
https://tbpl.mozilla.org/php/getParsedLog.php?id=25931267&tree=Mozilla-Aurora
Ubuntu VM 12.04 mozilla-aurora debug test xpcshell on 2013-07-30 14:09:13
revision: 7fbedcc70869
slave: tst-linux32-ec2-003

14:44:11  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
14:44:31  WARNING -  PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
15:14:24    ERROR - Return code: 256
Comment 618 User image Treeherder Robot 2013-08-13 11:43:28 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=26488148&tree=Fx-Team
Ubuntu VM 12.04 fx-team debug test xpcshell on 2013-08-13 06:46:54
revision: 7aef78cb9ac1
slave: tst-linux32-ec2-021

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
Return code: 256
Comment 619 User image Treeherder Robot 2013-08-13 11:43:42 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=26495922&tree=Mozilla-Inbound
Ubuntu VM 12.04 x64 mozilla-inbound debug test xpcshell on 2013-08-13 09:50:38
revision: c3edf8994b78
slave: tst-linux64-ec2-108

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
Return code: 256
Comment 620 User image Ryan VanderMeulen [:RyanVM] 2013-08-13 11:45:41 PDT
Bug 827805 inadvertently re-enabled test_logging.js on Linux, hence the last two failures. I've re-disabled it.
Comment 621 User image Treeherder Robot 2013-08-26 14:06:39 PDT
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=27021015&tree=Mozilla-Beta
Ubuntu VM 12.04 x64 mozilla-beta debug test xpcshell on 2013-08-26 13:05:03
revision: 998fae3a6eba
slave: tst-linux64-ec2-067

TEST-UNEXPECTED-FAIL | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | test failed (with xpcshell return code: -11), see following log:
PROCESS-CRASH | /builds/slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | application crashed [@ mozalloc_abort(char const*)]
Return code: 256
Comment 622 User image Ryan VanderMeulen [:RyanVM] 2013-08-27 06:40:33 PDT
(In reply to Ryan VanderMeulen [:RyanVM UTC-4] from comment #553)
> Disabled test_logging on Linux as well.
> https://hg.mozilla.org/mozilla-central/rev/4ffb23062b3b

Pushed to beta.
https://hg.mozilla.org/releases/mozilla-beta/rev/f83885316c05
Comment 623 User image David Teller [:Yoric] (please use "needinfo") 2013-09-10 12:49:57 PDT
So we should finally be able to revert the test disablings.
Comment 624 User image Ryan VanderMeulen [:RyanVM] 2013-09-10 12:50:41 PDT
Give me a link to a Try push with lots of green retriggers and I'd be happy to.
Comment 625 User image David Teller [:Yoric] (please use "needinfo") 2013-09-14 02:37:40 PDT
Oh, well, it seems that the error is still there, just morphed to a new form:

02:05:05  WARNING -  TEST-UNEXPECTED-FAIL | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/toolkit/components/osfile/tests/xpcshell/test_logging.js | Test timed out
[...]
02:05:05     INFO -  WORKER ERROR DURING SETUP NS_ERROR_NOT_INITIALIZED: Component not initialized
02:05:05     INFO -  WORKER ERROR DETAIL undefined
02:05:05     INFO -  WARNING: A phase completion condition is taking too long to complete. Condition: OS.File: flush pending requests, warn about unclosed files, shut down service. Phase: web-workers-shutdown

Bug 888347 converts the crash into a much cleaner NS_ERROR_NOT_INITIALIZED.
Bug 913899 adds the warning.

I'll try and prepare a patch.
Comment 626 User image David Teller [:Yoric] (please use "needinfo") 2013-09-14 03:31:14 PDT
Let's look at a try push with bug 910827: https://tbpl.mozilla.org/?tree=Try&rev=6a7672b9f384
Comment 627 User image David Teller [:Yoric] (please use "needinfo") 2013-09-24 04:42:00 PDT
Created attachment 809118 [details] [diff] [review]
Re-enable all tests

Re-enabling all these deactivated tests.
Try: https://tbpl.mozilla.org/?tree=Try&rev=943184491620
Comment 628 User image Ryan VanderMeulen [:RyanVM] 2013-09-25 08:47:32 PDT
https://hg.mozilla.org/integration/fx-team/rev/579f2c394ccb

woowoo!
Comment 629 User image Ryan VanderMeulen [:RyanVM] 2013-09-25 11:45:36 PDT
https://hg.mozilla.org/mozilla-central/rev/579f2c394ccb
Comment 630 User image David Teller [:Yoric] (please use "needinfo") 2013-09-25 12:45:19 PDT
\o/
Comment 631 User image Treeherder Robot 2013-11-05 22:06:52 PST
khuey
https://tbpl.mozilla.org/php/getParsedLog.php?id=30184825&tree=Mozilla-Inbound
Rev5 MacOSX Mountain Lion 10.8 mozilla-inbound debug test xpcshell on 2013-11-05 21:18:31
revision: f08890ce0591
slave: talos-mtnlion-r5-025

TEST-UNEXPECTED-FAIL | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | application crashed [@ mozalloc_abort(char const*)]
Return code: 256
Comment 632 User image Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2013-11-05 22:07:53 PST
Looks like there's still something going on here?
Comment 633 User image David Teller [:Yoric] (please use "needinfo") 2013-11-06 06:20:33 PST
:(
Looking at it.
Comment 634 User image Wes Kocher (:KWierso) 2013-11-06 13:11:52 PST
Just backed out bug 927116 for this assert. :(
Comment 635 User image Treeherder Robot 2013-11-06 13:31:32 PST
RyanVM
https://tbpl.mozilla.org/php/getParsedLog.php?id=30228245&tree=Mozilla-Inbound
Rev5 MacOSX Mountain Lion 10.8 mozilla-inbound debug test xpcshell on 2013-11-06 13:05:10
revision: 1c5f04ca36d8
slave: talos-mtnlion-r5-028

TEST-UNEXPECTED-FAIL | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /builds/slave/talos-slave/test/build/tests/xpcshell/tests/browser/components/sessionstore/test/unit/test_startup_session_sync.js | application crashed [@ mozalloc_abort(char const*)]
Return code: 256
Comment 636 User image Ryan VanderMeulen [:RyanVM] 2013-11-06 14:03:31 PST
(In reply to Wes Kocher (:KWierso) from comment #634)
> Just backed out bug 927116 for this assert. :(

Actually, this could come in quite handy if it gives us a way to 100% reproduce the issue on Try.
Comment 637 User image Treeherder Robot 2013-11-06 14:11:36 PST
jwalden
https://tbpl.mozilla.org/php/getParsedLog.php?id=30229961&tree=Try
Windows XP 32-bit try debug test xpcshell on 2013-11-06 13:34:45
revision: 041e1357143e
slave: t-xp32-ix-067

TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_nosession_sync.js | application crashed [@ mozalloc_abort(char const * const)]
TEST-UNEXPECTED-FAIL | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_session_sync.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | C:\slave\test\build\tests\xpcshell\tests\browser\components\sessionstore\test\unit\test_startup_session_sync.js | application crashed [@ mozalloc_abort(char const * const)]
Return code: 1